﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_AlarmConfiguration, App_Web_w3zpafga" %>

<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/TrinetraGrid.ascx" TagName="FleetGrid" TagPrefix="uc5" %>
<%@ Register Src="~/UserControls/TrinetraGrid.ascx" TagName="EmailGrid" TagPrefix="uc4" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>tSense-IoT</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="icon" href="../NewDesign/img/favicon.png" type="image/x-icon" />
    <link href="../NewDesign/css/bootstrap.css" rel="stylesheet" />
    <link href="../NewDesign/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/css/responsive.css" rel="stylesheet" />
    <link href="../NewDesign/css/style.css" rel="stylesheet" />
    <script src="../NewDesign/js/jquery.min.js"></script>
    <script src="../js/jquery-3.3.1.min.js"></script>
    <script src="../NewDesign/js/bootstrap.min.js"></script>
    <script src="../NewDesign/js/jquery.js"></script>
    <script src="../NewDesign/js/script.js"></script>
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.css" rel="stylesheet" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <link id="datepicker" runat="server" type="text/css" href="../css/ui.datepicker.css" rel="stylesheet" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="Link1" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />
    <%--<link runat="server" type="text/css" href="~/css/bootstrap.css" rel="stylesheet" />--%>
    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <%--********* For Bootstrap Implementation *************--%>
    <%--<link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />--%>
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--********* End of Bootstrap Implementation *************--%>
    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>
    <script type="text/javascript" src="../js/ui.datepicker.js"></script>
    <script type="text/javascript" src="../js/JQQueryDatePicker.js"></script>
    <script lang="JavaScript1.2" type="text/javascript" src="../js/myformvalidations.js"></script>
    <%--<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>--%>
    <script src="../JQTimePicker/jquery-2.1.1.min.js"></script>
    <script src="../js/InventoryMgmt.js" type="text/javascript"></script>
    <script src="../js/wow.min.js"></script>
</head>
<body class="white">
    <div class="page-wrapper">
        <div class="preloader"></div>
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel runat="server" ID="updVenDetails" UpdateMode="Conditional">
                <ContentTemplate>
                    <uc1:Header ID="ucHeader" runat="server" />
                    <div class="vlive-reports-section maintenance">
                        <div class="container-fluid">
                            <div class="row clearfix">
                                <div class="col-ks-16">
                                    <div class="col-ks-8 HeaderTest">
                                        <div class="col-ks-16">
                                            <h2 class="pull-left">
                                                <asp:Literal ID="lblConfigurationCaption" runat="server">Configuration</asp:Literal>
                                            </h2>
                                        </div>
                                        <div class="col-ks-16">
                                            <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
                                                <NodeStyle CssClass="active" />
                                            </asp:SiteMapPath>
                                        </div>
                                    </div>
                                    <div class="col-ks-8 HeaderTopButton">
                                        <asp:LinkButton ID="lbtnAddSystemConfig" runat="server" CssClass="fa-plus btn btn-primary" CausesValidation="false"
                                            OnClick="lbtnAddSystemConfig_Click" OnClientClick="ShowPopUp();" Text="&nbsp;&nbsp;Add Alarm Configuration" Visible="false">
                                        </asp:LinkButton>
                                        <asp:LinkButton ID="btnBack" runat="server" CssClass="fa-arrow-left btn btn-primary" CausesValidation="false"
                                            PostBackUrl="~/Forms/ConfigurationSetup.aspx" Text="&nbsp;&nbsp;Back to Configuration">
                                        </asp:LinkButton>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <asp:HiddenField ID="hdnSystemconfigID" runat="server" />
                    <asp:Panel ID="pnlItemInfo" runat="server" Visible="false">
                        <div class="vlive-filter">
                            <div class="container-fluid">
                                <div class="vlive-centrifugal-fan maintenance-plan">
                                    <div class="col-ks-16 vlive-header_VXL">
                                        <div class="col-ks-16">
                                            <asp:Label ID="lblVenInfoHeading" runat="server" CssClass="pnlhearder" Text="Alarm Details"></asp:Label>
                                        </div>
                                    </div>
                                    <div class="row ftop">
                                        <div class="col-ks-10">
                                            <div class="col-md-12">
                                                <div class="col-ks-6">
                                                    <asp:Label ID="lblCustomerName" runat="server" Text="Alarm Name" CssClass="label"></asp:Label>
                                                    <%--<span style="color: red">*</span>--%>
                                                </div>
                                                <div class="col-ks-10">
                                                    <asp:DropDownList ID="ddlAlarms" runat="server" CssClass="form-control man-dat" OnSelectedIndexChanged="ddlAlarms_SelectedIndexChanged" AutoPostBack="true" TabIndex="1" Enabled="false"></asp:DropDownList>
                                                </div>
                                            </div>
                                            <div class="col-md-12">
                                                <div class="col-ks-6">
                                                    <asp:Label ID="lblDeviceName" runat="server" Text="Reason" CssClass="label"></asp:Label>
                                                    <%--<span style="color: red">*</span>--%>
                                                </div>
                                                <div class="col-ks-10">
                                                    <asp:TextBox ID="TxtReason" runat="server" CssClass="form-control man-dat"></asp:TextBox>
                                                    <asp:DropDownList ID="ddlDevice" runat="server" CssClass="form-control man-dat" TabIndex="2" Visible="false">
                                                        <asp:ListItem Text="- Select -" Value="- Select -" Selected="True"></asp:ListItem>
                                                    </asp:DropDownList>
                                                </div>
                                            </div>
                                            <div class="col-md-12">
                                                <div class="col-ks-6">
                                                    <asp:Label ID="Label1" runat="server" Text="Corrective Action" CssClass="label"></asp:Label>
                                                    <%--<span style="color: red">*</span>--%>
                                                </div>
                                                <div class="col-ks-10">
                                                    <asp:TextBox ID="TxtCrctvactn" runat="server" CssClass="form-control man-dat" TextMode="MultiLine"></asp:TextBox>                                                    
                                                </div>
                                            </div>
                                            <div class="col-ks-16">
                                                <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                                                    <ContentTemplate>
                                                        <div class="vlive-filter">
                                                            <div class="container-fluid">
                                                                <div class="vlive-centrifugal-fan maintenance-plan">
                                                                    <div class="col-ks-16 vlive-header_VXL">
                                                                        <div class="col-ks-16">
                                                                            <span id="lblPolicyName" class="pnlhearder">Logics to be checked</span>
                                                                        </div>
                                                                    </div>
                                                                    <div class="row ftop">
                                                                        <div class="col-md-12">
                                                                            <div class="table-responsive">
                                                                                <asp:GridView ID="GridView1" runat="server" Width="100%" AutoGenerateColumns="false"
                                                                                    Font-Names="Arial" Font-Size="9pt" AlternatingRowStyle-BackColor="#FAFAFA" RowStyle-BackColor="#FFFFFF"
                                                                                    HeaderStyle-BackColor="green" AllowPaging="true" ShowFooter="true" OnRowCancelingEdit="GridView1_RowCancelingEdit"
                                                                                    OnRowEditing="GridView1_RowEditing" OnRowCommand="GridView1_RowCommand" OnRowUpdating="GridView1_RowUpdating"
                                                                                    OnRowDataBound="GridView1_RowDataBound" DataKeyNames="RowIndex" RowStyle-Height="20px"
                                                                                    GridLines="Both" CssClass="table table-bordered" TabIndex="3">
                                                                                    <HeaderStyle BackColor="#F2F2F2" VerticalAlign="Middle" HorizontalAlign="Center" Height="25px" Font-Bold="false" />
                                                                                    <Columns>
                                                                                        <asp:TemplateField HeaderText="S.No." HeaderStyle-Font-Bold="false" HeaderStyle-HorizontalAlign="Center">
                                                                                            <ItemTemplate>
                                                                                                <span>
                                                                                                    <%#Container.DataItemIndex + 1 %>
                                                                                                </span>
                                                                                            </ItemTemplate>
                                                                                            <ItemStyle HorizontalAlign="Center" Height="18px" VerticalAlign="Middle" />
                                                                                        </asp:TemplateField>

                                                                                        <asp:TemplateField ItemStyle-Width="30%" HeaderText="Alarm">
                                                                                            <ItemTemplate>
                                                                                                <asp:Label ID="lblAlarmName" runat="server" Text='<%# Eval("AlarmParamName")%>'></asp:Label>
                                                                                            </ItemTemplate>
                                                                                            <EditItemTemplate>
                                                                                                <asp:DropDownList ID="ddl_defect" runat="server" CssClass="form-control man-dat" DataSource="<%# defectreason() %>"
                                                                                                    DataTextField="ParamName" DataValueField="ParamId" SelectedValue='<%# Bind("AlarmParamID") %>'>
                                                                                                </asp:DropDownList>
                                                                                            </EditItemTemplate>
                                                                                            <FooterTemplate>
                                                                                                <asp:DropDownList ID="ddl_defect" runat="server" CssClass="form-control man-dat" DataSource="<%# defectreason() %>"
                                                                                                    DataTextField="ParamName" DataValueField="ParamId" SelectedValue='<%# Bind("AlarmParamID") %>' Visible="false">
                                                                                                </asp:DropDownList>
                                                                                            </FooterTemplate>
                                                                                            <HeaderStyle BackColor="#F2F2F2" Height="25px" VerticalAlign="Middle" HorizontalAlign="Center"
                                                                                                Font-Bold="false" />
                                                                                            <ItemStyle HorizontalAlign="Left" Height="18px" />
                                                                                        </asp:TemplateField>
                                                                                        
                                                                                        <asp:TemplateField ItemStyle-Width="20%" HeaderText="Reason">
                                                                                            <ItemTemplate>
                                                                                                <asp:Label ID="lblMachineName" runat="server" Text='<%# Eval("Reason")%>'></asp:Label>
                                                                                            </ItemTemplate>
                                                                                            <EditItemTemplate>
                                                                                                <asp:TextBox ID="txtMachineName" runat="server" Text='<%# Eval("Reason")%>' CssClass="form-control man-dat"
                                                                                                    AutoCompleteType="Disabled" MaxLength="149"></asp:TextBox>
                                                                                            </EditItemTemplate>
                                                                                            <FooterTemplate>
                                                                                                <asp:TextBox ID="txtMachineName" runat="server" MaxLength="149" Visible="false" CssClass="form-control man-dat" AutoCompleteType="Disabled"></asp:TextBox>
                                                                                            </FooterTemplate>
                                                                                            <HeaderStyle BackColor="#F2F2F2" Height="25px" VerticalAlign="Middle" HorizontalAlign="Center"
                                                                                                Font-Bold="false" />
                                                                                            <ItemStyle HorizontalAlign="Left" Height="18px" />
                                                                                        </asp:TemplateField>

                                                                                        <asp:TemplateField ItemStyle-Width="40%" HeaderText="Corrective Action">
                                                                                            <ItemTemplate>
                                                                                                <asp:Label ID="lblMachineVolume" runat="server" Text='<%# Eval("CorrectiveAction")%>'></asp:Label>
                                                                                            </ItemTemplate>
                                                                                            <EditItemTemplate>
                                                                                                <asp:TextBox ID="txtMachineVolume" runat="server" Text='<%# Eval("CorrectiveAction")%>' CssClass="form-control man-dat"
                                                                                                    MaxLength="6"   AutoCompleteType="Disabled" TextMode="MultiLine"></asp:TextBox>
                                                                                            </EditItemTemplate>
                                                                                            <FooterTemplate>
                                                                                                <asp:TextBox ID="txtMachineVolume" runat="server" Visible="false" CssClass="form-control man-dat" MaxLength="6"
                                                                                                      AutoCompleteType="Disabled" TextMode="MultiLine"></asp:TextBox>
                                                                                                <asp:Label ID="lblMachinevalue" runat="server"></asp:Label>
                                                                                            </FooterTemplate>
                                                                                            <FooterStyle HorizontalAlign="Right" />
                                                                                            <HeaderStyle BackColor="#F2F2F2" Height="25px" VerticalAlign="Middle" HorizontalAlign="Center"
                                                                                                Font-Bold="false" />
                                                                                            <ItemStyle HorizontalAlign="Left" Height="18px" />
                                                                                        </asp:TemplateField>
                                                                                        <asp:TemplateField ItemStyle-Width="10%">
                                                                                            <ItemTemplate>
                                                                                                <%--<asp:LinkButton ID="lnk_edit" runat="server" Text =" " CssClass="btn btn-fa-edit" ToolTip="Click here to Edit" OnClientClick="ShowPopUp();"></asp:LinkButton>--%>
                                                                                                <asp:LinkButton ID="lnk_edit" runat="server" CommandName="Edit" ToolTip="Click here to edit"
                                                                                                    OnClientClick="ShowPopUp();" CssClass="Grid-btn-fa-pencil-square-o"></asp:LinkButton>
                                                                                                &nbsp;&nbsp;
                                                                                                <asp:LinkButton ID="btnDelete" runat="server" CommandArgument='<%#String.Format("{0}", Eval("RowIndex"))%>' CssClass="Grid-btn-fa-trash-o"
                                                                                                    OnClick="btnDeleteItem_click" ToolTip="Click here to Delete" OnClientClick="ShowPopUp();"></asp:LinkButton>
                                                                                                <%--<asp:ImageButton ID="lnk_edit" runat="server" AlternateText="Edit" ImageUrl="~/images/icn-edit.gif"
                                                                                                    ToolTip="Click here to Delete" CommandName="Edit" ImageAlign="Middle" CssClass="handButton"
                                                                                                    Style="cursor: pointer" OnClientClick="ShowPopUp();" />--%>
                                                                                                <%--<asp:ImageButton ID="btnDelete" runat="server" AlternateText="Delete" CommandArgument='<%#String.Format("{0}", Eval("RowIndex"))%>' OnClientClick="ShowPopUp();" ImageUrl="~/images/delete-icon.gif" OnClick="btnDeleteItem_click" ToolTip="Click here to Delete"
                                                                                                    ImageAlign="Middle" CssClass="handButton" Style="cursor: pointer"  />--%>
                                                                                            </ItemTemplate>
                                                                                            <EditItemTemplate>
                                                                                                <asp:LinkButton ID="lnk_update" runat="server" ToolTip="Click here to save changes" CommandName="Update"
                                                                                                    OnClientClick="return fun_alarmSave(this,'lnk_update');" CssClass="btn-fa-floppy-o"></asp:LinkButton>
                                                                                                &nbsp;&nbsp;
                                                                                                <asp:LinkButton ID="lnk_Cancel" runat="server" ToolTip="Click here to cancel" CommandName="Cancel"
                                                                                                    OnClientClick="ShowPopUp();" CssClass="btn-fa-ban"></asp:LinkButton>

                                                                                            </EditItemTemplate>
                                                                                            <FooterTemplate>
                                                                                                <asp:LinkButton ID="lnk_addnew" runat="server" CommandName="addnew">Add Item</asp:LinkButton>
                                                                                                <asp:LinkButton ID="lnk_Save" runat="server" ToolTip="Click here to save" CommandName="save" Visible="false" OnClientClick="return fun_alarmSave(this,'lnk_Save');" CssClass="btn-fa-floppy-o"></asp:LinkButton>
                                                                                                &nbsp;&nbsp;
                                                                                                <asp:LinkButton ID="lnk_Cancel" runat="server" Visible="false" ToolTip="Click here to cancel" CommandName="Cancel" OnClientClick="ShowPopUp();" CssClass="btn-fa-ban"></asp:LinkButton>

                                                                                            </FooterTemplate>
                                                                                            <HeaderStyle BackColor="#F2F2F2" Height="25px" VerticalAlign="Middle" HorizontalAlign="Center"
                                                                                                Font-Bold="false" />
                                                                                            <ItemStyle VerticalAlign="Middle" HorizontalAlign="Center" Height="18px" />
                                                                                        </asp:TemplateField>
                                                                                    </Columns>
                                                                                    <FooterStyle />
                                                                                    <EmptyDataTemplate>
                                                                                        <table cellpadding="0" cellspacing="0" border="0" style="width: 100%;">
                                                                                            <tr style="background-color: #F2F2F2; height: 30px; vertical-align: middle">
                                                                                                <td width="30%" style="padding-top: 5px; padding-left: 2px;">Alarm
                                                                                                </td>
                                                                                                <td width="20%" style="padding-top: 5px; padding-left: 2px;">Reason
                                                                                                </td>
                                                                                                <td width="40%" style="padding-top: 5px; padding-left: 2px;">Corrective Action
                                                                                                </td>
                                                                                                <td>&nbsp;
                                                                                                </td>
                                                                                            </tr>
                                                                                            <tr class="PageFooter">
                                                                                                <td style="padding:5px;">
                                                                                                    <asp:DropDownList ID="ddl_defect" runat="server" CssClass="form-control man-dat" DataSource="<%# defectreason() %>"
                                                                                                        DataTextField="ParamName" DataValueField="ParamId" SelectedValue='<%# Bind("AlarmParamID") %>'>
                                                                                                    </asp:DropDownList>
                                                                                                </td>
                                                                                                <td style="padding:5px;">
                                                                                                    <asp:TextBox ID="txtMachineName" TabIndex="4" runat="server" CssClass="form-control" AutoCompleteType="Disabled"></asp:TextBox>
                                                                                                </td>
                                                                                                <td style="padding:5px;">
                                                                                                    <asp:TextBox ID="txtMachineVolume" runat="server" CssClass="form-control" TabIndex="5" MaxLength="6"
                                                                                                          TextMode="MultiLine"></asp:TextBox>
                                                                                                </td>
                                                                                                <td style="padding:5px;">
                                                                                                    <asp:LinkButton ID="lnk_Save" runat="server" CommandName="Esave" CommandArgument=""
                                                                                                        TabIndex="6" OnClientClick="return fun_alarmSave(this,'lnk_Save');" CssClass="btn btn-primary">Add</asp:LinkButton>
                                                                                                </td>
                                                                                            </tr>
                                                                                        </table>
                                                                                    </EmptyDataTemplate>
                                                                                </asp:GridView>
                                                                                <div class="clearfix"></div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </ContentTemplate>
                                                    <Triggers>
                                                        <asp:AsyncPostBackTrigger ControlID="GridView1" />
                                                        <asp:PostBackTrigger ControlID="btnExport" />
                                                    </Triggers>
                                                </asp:UpdatePanel>
                                            </div>
                                            <div class="col-md-12">
                                                <div class="col-ks-16">
                                                    <%--<asp:Label ID="Label1" runat="server" ForeColor="Red">*</asp:Label>&nbsp;--%>
                                                    <span class="redtxt">|</span>&nbsp;<asp:Label ID="lblIndicatesMandatory" runat="server">Required Fields</asp:Label>
                                                </div>
                                            </div>
                                            <div class="col-md-12">
                                                <div class="col-ks-16" align="right">
                                                    <asp:LinkButton ID="ibtnUpdatesystem" ValidationGroup="vgVeh" runat="server" CssClass="btn btn-primary btn-fa-floppy-o"
                                                        CausesValidation="false" OnClientClick="return ValidateAlarmConfig();" OnClick="ibtnUpdatesystem_Click" Text="&nbsp;&nbsp;Update" TabIndex="7">
                                                    </asp:LinkButton>
                                                    <asp:LinkButton ID="ibtnAddSystemConfig" runat="server" CssClass="btn btn-primary btn-fa-floppy-o" ValidationGroup="vgVeh"
                                                        TabIndex="8" OnClientClick="return ValidateAlarmConfig();" OnClick="ibtnAddSystemConfig_Click" Text="&nbsp;&nbsp;Save">
                                                    </asp:LinkButton>
                                                    <asp:LinkButton ID="btnSystemCancel" runat="server" CssClass="btn btn-primary btn-fa-ban" OnClick="btnSystemCancel_Click"
                                                        CausesValidation="false" TabIndex="9" OnClientClick="ShowPopUp();" Text="&nbsp;&nbsp;Cancel">
                                                    </asp:LinkButton>
                                                    <asp:HiddenField ID="hdfSystemConfigID" runat="server" />
                                                    <asp:HiddenField ID="hdnTotalvalues" runat="server" Value="0" />
                                                    <asp:HiddenField ID="hdnItemsCount" runat="server" Value="0" />
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </asp:Panel>
                    <div class="clear clearfix"></div>
                    <asp:Panel ID="pnlItemDetailsList" runat="server">
                        <div class="vlive-filter">
                            <div class="container-fluid">
                                <div class="vlive-centrifugal-fan maintenance-plan">
                                    <div class="col-ks-16 vlive-header_VXL">
                                        <div class="col-ks-13">
                                            <asp:Label ID="lblsysConfig" runat="server" CssClass="pnlhearder" Text="Alarm Configuration"></asp:Label>
                                        </div>
                                        <div class="col-ks-1 ControlHide">
                                            <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" CssClass="form-control exportddl"
                                                ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                EnableTheming="true" Theme="Office2003Blue">
                                                <Items>
                                                    <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                    <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                    <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                    <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                </Items>
                                            </dxw:ASPxComboBox>
                                        </div>
                                        <div class="col-ks-2 ControlHide">
                                            <asp:LinkButton ID="btnExport" runat="server" CssClass="fa-file-excel-o btn btn-primary" Text="&nbsp;&nbsp;Export" OnClick="btnExport_Click">
                                            </asp:LinkButton>
                                        </div>
                                    </div>
                                    <div class="row ftop">
                                        <div class="col-md-12">
                                            <dxw:ASPxGridView ID="gvData" runat="server" Width="100%" EnableViewState="true" KeyFieldName="Paramid"
                                                EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvData_HtmlRowCreated" OnDataBinding="gvData_DataBinding">
                                                <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                    CssPostfix="Office2003_Blue">
                                                    <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                    </Header>
                                                    <LoadingPanel ImageSpacing="10px">
                                                    </LoadingPanel>
                                                    <PagerBottomPanel CssClass="PageFooter">
                                                    </PagerBottomPanel>
                                                    <PagerTopPanel CssClass="PageFooter">
                                                    </PagerTopPanel>
                                                </Styles>
                                                <SettingsPager PageSize="15" PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                    PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                    NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                    NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                </SettingsPager>
                                                <Columns>
                                                    <dxw:GridViewDataColumn FieldName="SysConfigID" Caption="SysConfigID" VisibleIndex="1" Visible="false">
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="ParamName" Caption="Param Name" VisibleIndex="1"
                                                        Width="9%">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblCustomerName" runat="server" Text="Param Name"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" AllowSort="True" ShowFilterRowMenu="True" />
                                                    </dxw:GridViewDataColumn>
                                                    
                                                    <dxw:GridViewDataColumn FieldName="Alarmchklist" Caption="Alarm check list" VisibleIndex="2"
                                                        CellStyle-Wrap="True" Width="9%" CellStyle-HorizontalAlign="Left">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblEquipmentName" runat="server" Text="Alarm check list"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                    </dxw:GridViewDataColumn>
                                                   
                                                    <dxw:GridViewDataTextColumn Caption="View" Width="3%" Name="View" VisibleIndex="6"
                                                        CellStyle-HorizontalAlign="Center">
                                                        <HeaderTemplate>
                                                        </HeaderTemplate>
                                                        <DataItemTemplate>
                                                            <asp:LinkButton ID="ibView" runat="server" OnClick="ibView_Click" CommandArgument='<%# Eval("Paramid") %>' CssClass="Grid-btn-fa-binoculars"
                                                                Style="text-decoration: none;" ToolTip="Click here to View"></asp:LinkButton>
                                                            <%--<img src="../images/icn-view.gif"/>--%>
                                                        </DataItemTemplate>
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn Caption="Edit" VisibleIndex="7" Width="3%" Name="Edit"
                                                        CellStyle-HorizontalAlign="Center">
                                                        <HeaderTemplate>
                                                        </HeaderTemplate>
                                                        <DataItemTemplate>
                                                            <asp:LinkButton ID="btnUpdateItem" runat="server" CommandArgument='<%# Eval("Paramid") %>' CssClass="Grid-btn-fa-pencil-square-o"
                                                                OnClientClick="return ShowPopUp();" OnClick="btnUpdateItem_Click" Style="text-decoration: none;" ToolTip="Click here to Edit"></asp:LinkButton>
                                                            <%--<img src="../images/icn-edit.gif" alt="View" title="Click here to Edit"/>--%>
                                                        </DataItemTemplate>
                                                    </dxw:GridViewDataTextColumn>
                                                   <%-- <dxw:GridViewDataTextColumn Caption="Delete" VisibleIndex="8" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                        CellStyle-HorizontalAlign="Center">
                                                        <HeaderTemplate>
                                                        </HeaderTemplate>
                                                        <DataItemTemplate>
                                                            <asp:LinkButton ID="lbtnDelete" runat="server" OnClientClick="return ShowPopUp();" CssClass="Grid-btn-fa-trash-o" ToolTip="Click here to Delete"
                                                                CommandArgument='<%# Eval("Paramid") %>' OnClick="lbtnDelete_Click"></asp:LinkButton> 
                                                        </DataItemTemplate>
                                                    </dxw:GridViewDataTextColumn>--%>
                                                </Columns>
                                                <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="500" />
                                                <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                <SettingsText EmptyDataRow="No Items details found" />
                                                <SettingsBehavior AllowFocusedRow="false" />
                                            </dxw:ASPxGridView>
                                            <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvData"
                                                ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Times New Roman;}
                                                    {\f1\fnil\fcharset0 Arial;}}\viewkind4\uc1\pard\f0\fs20\b\f1\fs28 Item Details\par\par\par}"
                                                DetailHorizontalOffset="1" DetailVerticalOffset="1" MaxColumnWidth="120">
                                                <Styles>
                                                    <Default VerticalAlign="Middle">
                                                    </Default>
                                                    <Header BackColor="#D1D1D1" Font-Bold="True" Font-Names="Arial" Font-Size="10pt"
                                                        ForeColor="Black" HorizontalAlign="Center" VerticalAlign="Middle" Wrap="false">
                                                    </Header>
                                                    <Cell VerticalAlign="Middle" Wrap="True" Font-Size="8pt" Font-Names="Arial" HorizontalAlign="Left"
                                                        ForeColor="Black">
                                                    </Cell>
                                                </Styles>
                                                <PageHeader Center="System Configuration" VerticalAlignment="Far">
                                                    <Font Bold="True" Names="Arial" Size="10pt" Underline="True"></Font>
                                                </PageHeader>
                                                <PageFooter Right="[Page # of Pages #]">
                                                </PageFooter>
                                            </dxw:ASPxGridViewExporter>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </asp:Panel>
                    <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="pnlProgress"
                        TargetControlID="Button1" BackgroundCssClass="modalBackground">
                    </cc1:ModalPopupExtender>
                    <asp:Button ID="Button1" Style="display: none;" runat="server" />
                    <asp:Panel ID="pnlProgress" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                        <center>
                    <br />
                    <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                    <br />
                    <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                    <br />
                    <br />
                </center>
                    </asp:Panel>
                </ContentTemplate>
            </asp:UpdatePanel>

        </form>
    </div>
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
