﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_FleetMaintenancePanel, App_Web_i1f0pxcz" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<!DOCTYPE html>
<html lang="en">
<head id="Head1" runat="server">
    <title>tSense-IoT Maintenance</title>
    <%--<meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <meta http-equiv="X-UA-Compatible" content="IE=9; IE=8; IE=7; IE=EDGE" />--%>
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <%--<link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />--%>
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="icon" href="../NewDesign/img/favicon.png" type="image/x-icon">
    <link href="../NewDesign/css/bootstrap.css" rel="stylesheet" />
    <link href="../NewDesign/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/css/responsive.css" rel="stylesheet" />
    <link href="../NewDesign/css/style.css" rel="stylesheet" />
    <script src="../NewDesign/js/jquery.min.js"></script>
    <script src="../js/jquery-3.3.1.min.js"></script>
    <script src="../NewDesign/js/bootstrap.min.js"></script>
    <script src="../NewDesign/js/jquery.js"></script>
    <script src="../NewDesign/js/script.js"></script>
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.min.css" rel="stylesheet" />
    <%--BootStrap Css--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>
    <script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>
    <script src="../js/wow.min.js"></script>
</head>
<body class="white">
    <div class="page-wrapper">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePageMethods="true">
            </asp:ScriptManager>
            <!-- Header Starts Here -->

            <div class="preloader"></div>
            <uc1:Header ID="ucHeader" runat="server" />
            <div class="vlive-reports-section maintenance">
                <div class="container-fluid">
                    <div class="row clearfix">
                        <div class="col-sm-12">
                            <h2 class="pull-left">
                                <asp:Literal ID="lblFleetMaintenanceCaption" Text="Maintenance" runat="server"></asp:Literal></h2>
                        </div>
                        <div class="col-sm-12">
                            <%--<a href="Dashboard.aspx">
                                    <asp:Label ID="lblHomeCaption" Text="Home" runat="server"></asp:Label>
                                </a>
                                <span>&gt;</span>
                                <span>
                                    <a href="FleetMaintenancePanel.aspx">
                                        <asp:Label ID="lblFleetMainPanelCaption" Text="Maintenance" runat="server"></asp:Label>
                                    </a>
                                </span>--%>
                            <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
                                <NodeStyle CssClass="active" />
                            </asp:SiteMapPath>
                        </div>
                    </div>
                </div>
            </div>
            <div class="vlive-filter">
                <div class="container-fluid">
                    <div class="vlive-centrifugal-fan maintenance-plan">
                        <h2>
                            <asp:Label runat="server" ID="lblFleetMainPanel" Text="Maintenance Panel"></asp:Label>
                        </h2>

                        <%--<div class="col-sm-3">
                            </div>
                            <div class="col-sm-6">--%>
                        <asp:UpdatePanel ID="updConfigPanel" runat="server">
                            <ContentTemplate>
                                <div class="row ftop">
                                    <div class="col-md-12">
                                        <div class="col-md-6" runat="server" id="divMMService">
                                            <div class="vlive-centrifugal-fan maintenance-plan">
                                                <div class="mgmt">
                                                    <h2>
                                                        <asp:Label runat="server" ID="lblFleetMain" Text="Manage Maintenance Services"></asp:Label>
                                                    </h2>
                                                    <div class="ftop">
                                                        <div id="trMainService" runat="server">
                                                            <div class="box">
                                                                <asp:ImageButton ID="ibtnMaintenanceService1" runat="server" PostBackUrl="~/Forms/MaintenanceService.aspx"
                                                                    ImageUrl="~/images/pnlMaintenanceService.png" Visible="false" />
                                                                <asp:LinkButton ID="ibtnMaintenanceService" runat="server" CausesValidation="false"
                                                                    PostBackUrl="~/Forms/MaintenanceService.aspx">
                                                                        <img src="../NewDesign/img/icon-equipment2.png" alt="">
                                                                        <h4>Maintenance Service</h4>
                                                                </asp:LinkButton>
                                                            </div>
                                                        </div>
                                                        <div id="trMainPlan" runat="server">
                                                            <div class="box">
                                                                <asp:ImageButton ID="ibtnMaintenancePlan1" runat="server" PostBackUrl="~/Forms/MaintenancePlan.aspx"
                                                                    ImageUrl="~/images/pnlMaintenancePlan.png" Visible="false" />
                                                                <asp:LinkButton ID="ibtnMaintenancePlan" runat="server" CausesValidation="false"
                                                                    PostBackUrl="~/Forms/MaintenancePlan.aspx">
                                                                        <img src="../NewDesign/img/Maintenance.png" alt="">
                                                                        <h4>Maintenance Plan</h4>
                                                                </asp:LinkButton>
                                                            </div>
                                                        </div>
                                                        <div id="trPlanAgmt" runat="server">
                                                            <div class="box">
                                                                <asp:ImageButton ID="ibtnPlanAssignment1" runat="server" PostBackUrl="~/Forms/VehiclePlanAssignment.aspx"
                                                                    ImageUrl="~/images/pnlPlanAssignment.png" Visible="false" />
                                                                <asp:LinkButton ID="ibtnPlanAssignment" runat="server" CausesValidation="false"
                                                                    PostBackUrl="~/Forms/VehiclePlanAssignment.aspx">
                                                                        <img src="../NewDesign/img/MaintenancePlan.png" alt="">
                                                                        <h4>Plan Assignment</h4>
                                                                </asp:LinkButton>
                                                            </div>
                                                            <%--<div class="col-md-8">
                                                                    <asp:Label ID="lblPlanAgmt" Text="Assign / Unassign Devices to the maintenance plans" runat="server"></asp:Label>
                                                                </div>--%>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6" id="WOManagementModule" runat="server">
                                            <div class="vlive-centrifugal-fan maintenance-plan">
                                                <h2>
                                                    <asp:Label runat="server" ID="Label8" Text="Work Order Management"></asp:Label>
                                                    <cc1:HoverMenuExtender ID="hm2" runat="server" TargetControlID="btnShow" PopupControlID="Popdashrightbox" PopupPosition="Left" />
                                                    <asp:ImageButton ID="btnShow" runat="server" CssClass="MultilingualBtn"
                                                        ImageUrl="~/images/News Description.png" OnClientClick="return false"></asp:ImageButton>
                                                </h2>
                                                <div class="row ftop" id="trGenerateWO" runat="server">
                                                    <div class="col-md-4">
                                                        <asp:LinkButton ID="ibtnAddGeozone" runat="server" CssClass="MultilingualBtn" PostBackUrl="~/Forms/WorkOrderGeneration.aspx">
                                                            <span runat="server" class="MultilingualBtnspan" style="width: 150px;">
                                                                <div class="ShowReport">
                                                                    <div id="AddGeozoneDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                        Generate Work Order
                                                                    </div>
                                                                </div>
                                                            </span>
                                                        </asp:LinkButton>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <asp:Label ID="Label9" Text="Create / Update the work order details" runat="server"></asp:Label>
                                                    </div>
                                                </div>
                                                <div class="row ftop" id="trApproveWO" runat="server">
                                                    <div class="col-md-4">
                                                        <asp:LinkButton ID="LinkButton6" runat="server" CssClass="MultilingualBtn" PostBackUrl="~/Forms/WOApproval.aspx">
                                                            <span runat="server" class="MultilingualBtnspan" style="width: 150px;">
                                                                <div class="ApproveWO">
                                                                    <div id="Div6" runat="server" class="MultilingualBtnTextAlign">
                                                                        Approve Work Order
                                                                    </div>
                                                                </div>
                                                            </span>
                                                        </asp:LinkButton>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <asp:Label ID="Label10" runat="server" Text="Approve the created Work Orders"></asp:Label>
                                                    </div>
                                                </div>
                                                <div class="row ftop" id="trCloseWO" runat="server">
                                                    <div class="col-md-4">
                                                        <asp:LinkButton ID="LinkButton7" runat="server" CssClass="MultilingualBtn" PostBackUrl="~/Forms/WOClose.aspx">
                                                            <span runat="server" class="MultilingualBtnspan" style="width: 150px;">
                                                                <div class="CloseWO">
                                                                    <div id="Div7" runat="server" class="MultilingualBtnTextAlign">
                                                                        Close Work Order
                                                                    </div>
                                                                </div>
                                                            </span>
                                                        </asp:LinkButton>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <asp:Label ID="Label11" Text="Verify / Close the approved Work Orders" runat="server"></asp:Label>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6" runat="server" id="divServicelog">
                                            <div class="vlive-centrifugal-fan maintenance-plan">
                                                <div class="mgmt">
                                                    <h2>
                                                        <asp:Label runat="server" ID="Label1" Text="View Maintenance Services"></asp:Label>
                                                    </h2>
                                                    <div class="ftop">
                                                        <div id="trNearingMain" runat="server">
                                                            <div class="box">
                                                                <asp:ImageButton ID="ibtnNearingMaintenance1" runat="server" PostBackUrl="~/Forms/NearingMaintenance.aspx"
                                                                    ImageUrl="~/images/pnlNearingMaintenance.png" Visible="false" />
                                                                <asp:LinkButton ID="ibtnNearingMaintenance" runat="server" CausesValidation="false"
                                                                    PostBackUrl="~/Forms/NearingMaintenance.aspx">
                                                                        <img src="../NewDesign/img/NearMaintenance.png" alt="">
                                                                        <h4>Nearing Maintenance</h4>
                                                                </asp:LinkButton>
                                                            </div>
                                                        </div>
                                                        <div id="trAdhocServices" runat="server">
                                                            <div class="box">
                                                                <asp:ImageButton ID="ibtnUnPlannedServices1" runat="server" PostBackUrl="~/Forms/UnPlannedServices.aspx"
                                                                    ImageUrl="~/images/pnlAdhocServices.png" Visible="false" />
                                                                <asp:LinkButton ID="ibtnUnPlannedServices" runat="server" CausesValidation="false"
                                                                    PostBackUrl="~/Forms/UnPlannedServices.aspx">
                                                                        <img src="../NewDesign/img/AdhocServices.png" alt="">
                                                                        <h4>Service Call log</h4>
                                                                </asp:LinkButton>
                                                            </div>
                                                            <%--<div class="col-md-8">
                                                                    <asp:Label ID="lblUnplanned" Text="Manage Unplanned Maintenance" runat="server"></asp:Label>
                                                                </div>--%>
                                                        </div>
                                                        <div class="row ftop" id="trManualEntry" runat="server">
                                                            <div class="col-md-4">
                                                                <asp:ImageButton ID="ibtnManualEntry1" runat="server" PostBackUrl="~/Forms/ManualEntry.aspx"
                                                                    ImageUrl="~/images/pnlManualEntry.png" Visible="false" />
                                                                <asp:LinkButton ID="ibtnManualEntry" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                                    PostBackUrl="~/Forms/ManualEntry.aspx">
                                                                    <span id="Span10" style="width: 150px;" runat="server" class="MultilingualBtnspan">
                                                                        <div class="ManualEntry">
                                                                            <div id="DivManualEntry" runat="server" class="MultilingualBtnTextAlign">
                                                                                Manual Entry
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </div>
                                                            <div class="col-md-8">
                                                                <asp:Label ID="lblManualEntry" Text="Manual Entry of Running Hours & Distance Travelled"
                                                                    runat="server"></asp:Label>
                                                            </div>
                                                        </div>
                                                        <div id="trServiceHistory" runat="server">
                                                            <div class="box">
                                                                <asp:ImageButton ID="ibtnServiceHistory1" runat="server" PostBackUrl="~/Forms/VehicleMaintenanceHistory.aspx"
                                                                    ImageUrl="~/images/pnlServiceHistory.png" Visible="false" />
                                                                <asp:LinkButton ID="ibtnServiceHistory" runat="server" CausesValidation="false"
                                                                    PostBackUrl="~/Forms/VehicleMaintenanceHistory.aspx">
                                                                        <img src="../NewDesign/img/iconHistory.png" alt="">
                                                                        <h4>Service History</h4>
                                                                </asp:LinkButton>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6" id="TyreManagementModule" runat="server">
                                            <div class="vlive-centrifugal-fan maintenance-plan">
                                                <h2>
                                                    <asp:Label runat="server" ID="Label2" Text="Tyre Management"></asp:Label>
                                                </h2>
                                                <div class="row ftop" id="tr" runat="server">
                                                    <div class="col-md-4">
                                                        <asp:ImageButton ID="lbtnAddVendor1" runat="server" CausesValidation="false" ImageUrl="~/images/btn-add-vehicle.jpg"
                                                            Visible="false" />
                                                        <asp:LinkButton ID="LinkButton1" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                            PostBackUrl="~/Forms/TyreMakeModel.aspx">
                                                            <span id="Span11" style="width: 150px;" runat="server" class="MultilingualBtnspan">
                                                                <div class="AddBrand">
                                                                    <div id="Div1" runat="server" class="MultilingualBtnTextAlign">
                                                                        Brands & Models
                                                                    </div>
                                                                </div>
                                                            </span>
                                                        </asp:LinkButton>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <asp:Label ID="Label3" Text="Add Tyre Brand and Model Details" runat="server"></asp:Label>
                                                    </div>
                                                </div>
                                                <div class="row ftop" id="trServiceHistory1" runat="server">
                                                    <div class="col-md-4">
                                                        <asp:ImageButton ID="ImageButton2" runat="server" CausesValidation="false" ImageUrl=" ../images/icn-user-name.gif"
                                                            Visible="false" />
                                                        <%--Query String 'VType' Added on 20-Mar-2015 by Anbarasu.E--%>
                                                        <asp:LinkButton ID="LinkButton2" runat="server" CssClass="MultilingualBtn" CausesValidation="false">
                                                            <span id="Span1" style="width: 150px;" runat="server" class="MultilingualBtnspan">
                                                                <div class="AddVendor">
                                                                    <div id="Div2" runat="server" class="MultilingualBtnTextAlign">
                                                                        Vendor Details
                                                                    </div>
                                                                </div>
                                                            </span>
                                                        </asp:LinkButton>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <asp:Label ID="Label4" Text="Tyre Vendor Management" runat="server"></asp:Label>
                                                    </div>
                                                </div>
                                                <div class="row ftop" id="tr3" runat="server">
                                                    <div class="col-md-4">
                                                        <asp:ImageButton ID="ImageButton1" runat="server" CausesValidation="false" ImageUrl="~/images/74.PNG"
                                                            Visible="false" PostBackUrl="~/Forms/TyreMaster.aspx" />
                                                        <asp:LinkButton ID="LinkButton3" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                            PostBackUrl="~/Forms/TyreMaster.aspx">
                                                            <span id="Span2" style="width: 150px;" runat="server" class="MultilingualBtnspan">
                                                                <div class="AddTyre">
                                                                    <div id="Div3" runat="server" class="MultilingualBtnTextAlign">
                                                                        Tyre Details
                                                                    </div>
                                                                </div>
                                                            </span>
                                                        </asp:LinkButton>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <asp:Label ID="Label5" Text="Manage Tyre details with adding tyre details" runat="server"></asp:Label>
                                                    </div>
                                                </div>
                                                <div class="row ftop" id="tr4" runat="server">
                                                    <div class="col-md-4">
                                                        <asp:ImageButton ID="ImageButton4" runat="server" CausesValidation="false" ImageUrl="~/images/icn-assign-vehicles.GIF"
                                                            Visible="false" PostBackUrl="~/Forms/TyreMaster.aspx" />
                                                        <asp:LinkButton ID="LinkButton5" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                            PostBackUrl="~/Forms/TyreMapping.aspx">
                                                            <span id="Span4" style="width: 150px;" runat="server" class="MultilingualBtnspan">
                                                                <div class="AssignTyre">
                                                                    <div id="Div5" runat="server" class="MultilingualBtnTextAlign">
                                                                        Assign / Remove Tyre
                                                                    </div>
                                                                </div>
                                                            </span>
                                                        </asp:LinkButton>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <asp:Label ID="Label7" Text="Assign/Remove/Swap Tyres to the vehicles" runat="server"></asp:Label>
                                                    </div>
                                                </div>
                                                <div class="row ftop" id="tr5" runat="server">
                                                    <div class="col-md-4">
                                                        <asp:ImageButton ID="ImageButton3" runat="server" CausesValidation="false" ImageUrl="~/images/Count1.PNG"
                                                            Visible="false" PostBackUrl="~/Forms/TyreStockDetails.aspx" />
                                                        <asp:LinkButton ID="LinkButton4" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                            PostBackUrl="~/Forms/TyreStockDetails.aspx">
                                                            <span id="Span3" style="width: 150px;" runat="server" class="MultilingualBtnspan">
                                                                <div class="TyreStock">
                                                                    <div id="Div4" runat="server" class="MultilingualBtnTextAlign">
                                                                        Tyre Stock Details
                                                                    </div>
                                                                </div>
                                                            </span>
                                                        </asp:LinkButton>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <asp:Label ID="Label6" Text="Tyre Inventory details with Available Stock" runat="server"></asp:Label>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </ContentTemplate>
                        </asp:UpdatePanel>
                        <%--</div>
                            <div class="col-sm-3">
                            </div>--%>

                        <div class="clearfix"></div>
                    </div>
                </div>
            </div>

            <!-- Nav Ends Here -->
            <!-- Content Starts Here -->
            <div id="outer">
                <div id="inner">
                    <div id="float-wrap">
                        <!-- Main Content Starts Here -->
                        <asp:Panel ID="Popdashrightbox" runat="server" Style="display: none; z-index: 3;" CssClass="col-xs-10 col-sm-5 col-md-4 col-lg-3">
                            <div id="WO-right-box" class="container-fluid">
                                <div id="grid-dsplyWO">
                                    <div class="form-tbl">
                                        <div class="form-group">
                                            <div class="col-xs-12 text-center">
                                                <asp:Label ID="Label12" runat="server" Text="Work Order Statistics" Font-Bold="true" Font-Size="15px"></asp:Label>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <div class="col-xs-12 text-center" style="box-shadow: 3px 3px 3px 3px inset #797777">
                                                <asp:Label ID="Label14" Text="Total WO :" runat="server" Font-Size="15px" ForeColor="#333333" Font-Bold="true"></asp:Label>
                                                <asp:Label ID="lblTotWO" Text="0" runat="server" Font-Bold="true" Font-Size="15px"></asp:Label>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <div class="col-xs-6 text-center padding-width-sm">
                                                <asp:Label ID="Label13" Text="WO Generated" runat="server" ForeColor="#333333" Font-Bold="true"></asp:Label>
                                            </div>
                                            <div class="col-xs-6 text-center padding-width-sm">
                                                <asp:Label ID="Label15" runat="server" Text="WO Approved" ForeColor="#333333" Font-Bold="true"></asp:Label>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <div class="col-xs-6 text-center padding-width-sm">
                                                <asp:Label ID="lblTotGenerated" Text="0" runat="server" Font-Bold="true" Font-Size="28px" ForeColor="#666666"></asp:Label>
                                            </div>
                                            <div class="col-xs-6 text-center padding-width-sm" style="text-align: center;">
                                                <asp:Label ID="lblTotApproved" Text="0" runat="server" ForeColor="blue" Font-Size="28px" Font-Bold="true"></asp:Label>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <div class="col-xs-6 text-center padding-width-sm">
                                                <asp:Label ID="Label16" runat="server" Text="WO Redo" ForeColor="#333333" Font-Bold="true"></asp:Label>
                                            </div>
                                            <div class="col-xs-6 text-center padding-width-sm">
                                                <asp:Label ID="Label20" runat="server" Text="WO Rejected" ForeColor="#333333" Font-Bold="true"></asp:Label>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <div class="col-xs-6 text-center padding-width-sm">
                                                <asp:Label ID="lblTotRedo" Text="0" runat="server" ForeColor="OrangeRed" Font-Size="28px" Font-Bold="true"></asp:Label>
                                            </div>
                                            <div class="col-xs-6 text-center padding-width-sm">
                                                <asp:Label ID="lblTotRejected" Text="0" runat="server" ForeColor="Red" Font-Size="28px" Font-Bold="true"></asp:Label>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <div class="col-xs-6 text-center padding-width-sm">
                                                <asp:Label ID="Label18" runat="server" Text="WO Closed" ForeColor="#333333" Font-Bold="true"></asp:Label>
                                            </div>
                                            <div class="col-xs-6 text-center padding-width-sm">
                                                <asp:Label ID="Label22" runat="server" Text="WO Reopened" ForeColor="#333333" Font-Bold="true"></asp:Label>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <div class="col-xs-6 text-center padding-width-sm">
                                                <asp:Label ID="lblTotClosed" Text="0" runat="server" ForeColor="Green" Font-Size="28px" Font-Bold="true"></asp:Label>
                                            </div>
                                            <div class="col-xs-6 text-center padding-width-sm">
                                                <asp:Label ID="lblTotReopened" Text="0" runat="server" ForeColor="Red" Font-Size="28px" Font-Bold="true"></asp:Label>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <div class="col-xs-6 text-center padding-width-sm">
                                                <asp:Label ID="Label17" runat="server" Text="Approval Pending" ForeColor="#333333" Font-Bold="true"></asp:Label>
                                            </div>
                                            <div class="col-xs-6 text-center padding-width-sm">
                                                <asp:Label ID="Label19" runat="server" Text="Closing Pending" ForeColor="#333333" Font-Bold="true"></asp:Label>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <div class="col-xs-6 text-center padding-width-sm">
                                                <asp:Label ID="lblTotApprovalPending" Text="0" runat="server" ForeColor="#ff3300" Font-Size="28px" Font-Bold="true"></asp:Label>
                                            </div>
                                            <div class="col-xs-6 text-center padding-width-sm">
                                                <asp:Label ID="lblTotClosingPending" Text="0" runat="server" ForeColor="#ff3300" Font-Size="28px" Font-Bold="true"></asp:Label>
                                            </div>
                                        </div>
                                    </div>
                                    <%--   <table class="form-tbl" style="margin-left:20px">
                                        <tr>
                                            <td class="label">
                                                <asp:Label ID="Label12" Text="Total Assigned Plan : " runat="server" ></asp:Label>
                                            </td>
                                            <td>
                                                <asp:Label ID="Label16" Text="0" runat="server" ></asp:Label>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="label">
                                                <asp:Label ID="Label15" runat="server" Text="Total WO Approval Delay : " ></asp:Label>
                                            </td>
                                            <td>
                                                <asp:Label ID="Label17" Text="0" runat="server" ForeColor="Red" ></asp:Label>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="label">
                                                <asp:Label ID="Label13" runat="server" Text="Total WO Approved : "
                                                    ></asp:Label>
                                            </td>
                                            <td>
                                                <asp:Label ID="Label14" Text="0" runat="server" ></asp:Label>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="label">
                                                <asp:Label ID="Label20" runat="server" Text="Total WO Completion Delay : " ></asp:Label>
                                            </td>
                                            <td>
                                                <asp:Label ID="Label21" Text="0" runat="server" ForeColor="Red" ></asp:Label>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="label">
                                                <asp:Label ID="Label18" runat="server" Text="Total WO Completed : " ></asp:Label>
                                            </td>
                                            <td>
                                                <asp:Label ID="Label19" Text="0" runat="server" ></asp:Label>
                                            </td>
                                        </tr>
                                    </table>--%>
                                </div>
                            </div>
                        </asp:Panel>
                        <!-- Main Content Ends Here -->
                        <div id="left">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <div id="right">
                    </div>
                    <div class="clear clearfix">
                    </div>
                </div>
            </div>
        </form>
        <!-- Content Ends Here -->
    </div>
    <uc2:Footer ID="Footer1" runat="server" />
</body>
</html>
