﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_ManageFares, App_Web_0hg3yrhr" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%@ Register Assembly="TimePicker" Namespace="MKB.TimePicker" TagPrefix="MKB" %>
<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxTreeList.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxTreeList" TagPrefix="dxwtl" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>tSense-IoT Configuration</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <meta http-equiv="X-UA-Compatible" content="IE=7" />

    <script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>

    <script type="text/javascript" src="../js/ui.datepicker.js"></script>

    <script type="text/javascript" src="../js/JQQueryDatePicker.js"></script>

    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet"
        type="text/css" />
    <link id="updatedcss" runat="server" href="../css/Updated_css.css" rel="stylesheet"
        type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="uidatepicker" runat="server" type="text/css" href="../css/ui.datepicker.css"
        rel="stylesheet" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />
    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />

    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>

    <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>

    <script language="javascript" type="text/javascript" src="../js/ScriptToClearCtrls.js"></script>

    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div id="container">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel ID="updService" runat="server">
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content">
                                            <div id="heading" style="width: 25%">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationSetupCaption" Text="Configuration" runat="server"></asp:Literal></h1>
                                                <a href="Dashboard.aspx">
                                                    <asp:Label ID="lblHomeCaption" Text="Home" runat="server"></asp:Label></a><span> &gt;</span><span><a
                                                        href="ManageFares.aspx"><asp:Label ID="lblMaintenanceService" Text="Trip Fare Details"
                                                            runat="server"></asp:Label></a></span>
                                            </div>
                                            <div id="control-box" style="width: 70%">
                                                <table border="0" cellpadding="0" cellspacing="0" id="control-tbl" width="100%">
                                                    <tr height="20px">
                                                        <td>&nbsp;
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <div id="control-btn">
                                                                <table border="0" cellpadding="0" cellspacing="0" align="right">
                                                                    <tr>
                                                                        <td>
                                                                            <%--<asp:ImageButton ID="ibtnFuelEntry" runat="server" CausesValidation="False" OnClientClick="ShowPopUp();"
                                                                            OnClick="ibtnManualEntry_Click" ImageUrl="~/Images/btn-add-fuelentry.png" />--%>
                                                                        </td>
                                                                        <td>&nbsp;&nbsp;
                                                                        </td>
                                                                        <td>
                                                                            <asp:HyperLink ID="btnBack" runat="server" ImageUrl="~/Images/btn-back-to-configuration.jpg"
                                                                                NavigateUrl="~/Forms/ConfigurationSetup.aspx"></asp:HyperLink>
                                                                        </td>
                                                                        <td>&nbsp;&nbsp;
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlVendorEntryInfo" runat="server" Visible="true">
                                            <div class="form-box">
                                                <h1><%--../images/cost.gif--%>
                                                    <span class="icon">
                                                        <img src="../images/driver-allowance -details.png" alt="" /></span>
                                                    <asp:Label ID="lblFuelEntry" runat="server" Text="Trip's Fare Details"></asp:Label></h1>
                                                <table id="tblFuelEntry" border="0" cellpadding="0" cellspacing="0" class="form-tbl"
                                                    width="100%">
                                                    <tr>
                                                        <td class="split"></td>
                                                        <%--  <td >
                                                        <asp:Image ID="imgFleetIcon" ImageUrl="../images/fleet-icon.gif" AlternateText="Fleet Name"
                                                            runat="server" />
                                                    </td>--%>
                                                        <td width="10%">
                                                            <span>
                                                                <asp:Image ID="imgFleetIcon" ImageUrl="../Images/usermanage-icon.gif" AlternateText="Vendor Name"
                                                                    runat="server" align="middle" /></span>
                                                            <asp:Label ID="lblFleet" runat="server" Text="Vendor"></asp:Label>
                                                        </td>
                                                        <td width="20%">
                                                            <asp:DropDownList ID="ddlFleet" runat="server" AutoPostBack="true" OnSelectedIndexChanged="ddlFleet_SelectedIndexChanged"
                                                                TabIndex="1" AppendDataBoundItems="True">
                                                            </asp:DropDownList>
                                                        </td>
                                                        <%-- <td >
                                                        <asp:Image ID="imgVehicleIcon" runat="server" ImageUrl="../images/vehicle-icon.gif"
                                                            AlternateText="Vehicle Name" />
                                                    </td>--%>
                                                        <td width="8%">
                                                            <span>
                                                                <asp:Image ID="imgVehicleIcon" runat="server" ImageUrl="../images/vehicle-icon.gif"
                                                                    AlternateText="Vehicle Name" align="middle" /></span>
                                                            <asp:Label ID="lblVehicle" runat="server" Text="Vehicle"></asp:Label>
                                                            <span class="redtxt" id="mVehicle" runat="server">*</span>
                                                        </td>
                                                        <td width="17%">
                                                            <asp:DropDownList ID="ddlVehicle" runat="server" TabIndex="2" AutoPostBack="true"
                                                                AppendDataBoundItems="True">
                                                            </asp:DropDownList>
                                                        </td>
                                                        <%-- <td >
                                                        <asp:Image ID="imgInterval" ImageUrl="../images/interval.png" AlternateText="Duration"
                                                            runat="server" />
                                                    </td>--%>
                                                    </tr>
                                                    <tr style="padding-bottom: 15">
                                                        <td class="split"></td>
                                                        <%--  <td >
                                                        <asp:Image ID="imgFleetIcon" ImageUrl="../images/fleet-icon.gif" AlternateText="Fleet Name"
                                                            runat="server" />
                                                    </td>--%>
                                                        <td width="10%">
                                                            <span>
                                                                <asp:Image ID="imgInterval" ImageUrl="../images/interval.png" AlternateText="Duration"
                                                                    runat="server" align="middle" /></span>
                                                            <asp:Label ID="lblFromDate" runat="server" Text="From Date"></asp:Label>
                                                            <%--<asp:Label ID="lblFromDate" runat="server" Text="Gas Filled Date"></asp:Label>--%>
                                                            <span class="redtxt" id="mFromDate" runat="server">*</span>
                                                        </td>
                                                        <td width="20%">
                                                            <asp:TextBox ID="txtVStartDate" runat="server" CssClass="date" oncopy="return false"
                                                                oncut="return false" onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false"
                                                                onpaste="return false" ToolTip="dd/MMM/yyyy" TabIndex="3" Width="140"></asp:TextBox>
                                                        </td>
                                                        <%-- <td >
                                                        <asp:Image ID="imgVehicleIcon" runat="server" ImageUrl="../images/vehicle-icon.gif"
                                                            AlternateText="Vehicle Name" />
                                                    </td>--%>
                                                        <td width="8%">
                                                            <span>
                                                                <asp:Image ID="Image1" ImageUrl="../images/interval.png" AlternateText="Duration"
                                                                    runat="server" align="middle" /></span>
                                                            <asp:Label ID="lblToDate" runat="server" Text="To Date"></asp:Label>
                                                            <span class="redtxt" id="mToDate" runat="server">*</span>
                                                        </td>
                                                        <td width="17%" id="enddate" runat="server" class="time">
                                                            <asp:TextBox ID="txtVEndDate" runat="server" CssClass="date" oncopy="return false"
                                                                oncut="return false" onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false"
                                                                onpaste="return false" Width="140px" ToolTip="dd/MMM/yyyy" TabIndex="4"></asp:TextBox>
                                                            <MKB:TimeSelector ID="tsHrs" runat="server" AmPm="AM" DisplaySeconds="False" Hour="8"
                                                                Font-Size="10pt" Height="20px" SelectedTimeFormat="Twelve" Visible="false" Style="vertical-align: middle;">
                                                            </MKB:TimeSelector>
                                                        </td>
                                                        <%-- <td >
                                                        <asp:Image ID="imgInterval" ImageUrl="../images/interval.png" AlternateText="Duration"
                                                            runat="server" />
                                                    </td>--%>
                                                        <td width="10%"><%--ValidationFuelEntrySearch();--%>
                                                            <asp:ImageButton ID="ibtnSearch" runat="server" ImageUrl="~/images/btn-search.jpg"
                                                                OnClick="ibtnSearch_Click" OnClientClick="return  ShowPopUp();" />
                                                        </td>
                                                        <td align="right" visible="false">
                                                            <%--<div style="float: right" visible="false">
                                                            <div style="width: 15px; height: 15px; background-color: #800080; padding-right: 5px;
                                                                float: left">
                                                            </div>
                                                            &nbsp
                                                            <div style="float: right">
                                                                Trip on maintenance days</div>
                                                        </div>--%>
                                                        </td>
                                                    </tr>
                                                    <%--<tr id="trFuel" runat="server">
                                                    <td class="split">
                                                    </td>
                                                    <%--  <td >
                                                        <asp:Image ID="imgFleetIcon" ImageUrl="../images/fleet-icon.gif" AlternateText="Fleet Name"
                                                            runat="server" />
                                                    </td>- 
                                                    <td width="8%">
                                                        <asp:Label ID="lblFuel" runat="server" Text="Fuel"></asp:Label>
                                                        <span class="redtxt">*</span>
                                                    </td>
                                                    <td>
                                                        <asp:TextBox ID="txtFuel" runat="server" MaxLength="12" oncopy="return false" ondrop="return false"
                                                            onkeypress="return chkDecNums(event, this);" onpaste="return false" Width="65px"
                                                            TabIndex="5" />
                                                        &nbsp;&nbsp;
                                                        <asp:Label ID="lblGallonsLitres" runat="server"></asp:Label>
                                                    </td>
                                                    <td width="8%">
                                                        <asp:Label ID="lblFuelCost" runat="server" Text="Fuel Cost"></asp:Label> 
                                                        <asp:Label ID="lblFuelCost" runat="server" Text="Cost/ltr"></asp:Label>
                                                        <span class="redtxt">*</span>
                                                    </td>
                                                     <td >
                                                        <asp:Image ID="imgVehicleIcon" runat="server" ImageUrl="../images/vehicle-icon.gif"
                                                            AlternateText="Vehicle Name" />
                                                    </td> 
                                                    <td width="17%">
                                                        <asp:TextBox ID="txtFuelCost" runat="server" MaxLength="12" oncopy="return false"
                                                            ondrop="return false" onkeypress="return chkDecNums(event, this);" onpaste="return false"
                                                            Width="65px" TabIndex="5" />
                                                    </td>
                                                    <td width="17%">
                                                        &nbsp;&nbsp;
                                                    </td>
                                                      <td >
                                                        <asp:Image ID="imgInterval" ImageUrl="../images/interval.png" AlternateText="Duration"
                                                            runat="server" />
                                                    </td> 
                                                    <td width="10%">
                                                    </td>
                                                    <td>
                                                    </td>
                                                </tr>
                                                <tr id="tr1" runat="server">
                                                    <td colspan="8" class="split" style="height: 8px;">
                                                    </td>
                                                </tr>
                                                <tr id="Gas" runat="server" visible="false">
                                                    <td class="split">
                                                    </td>
                                                    <td width="8%">
                                                        <asp:Label ID="lblGasStation" runat="server" Text="Fuel Station Name"></asp:Label>
                                                        <span class="redtxt">*</span>
                                                    </td>
                                                    <td colspan="3">
                                                        <asp:TextBox ID="txtGasStation" runat="server" MaxLength="250" oncopy="return false"
                                                            ondrop="return false" onkeypress="return chkDescription(event,this,249);" onblur="return disallowScriptTags(this);"
                                                            Width="97%" Height="45px" TabIndex="6" TextMode="MultiLine" />
                                                        &nbsp;&nbsp;
                                                        <asp:Label ID="Label2" runat="server"></asp:Label>
                                                    </td>
                                                    <td width="8%">
                                                    </td>
                                                    <td width="17%">
                                                    </td>
                                                    <td width="17%">
                                                        &nbsp;&nbsp;
                                                    </td>
                                                    <td width="10%">
                                                    </td>
                                                    <td>
                                                    </td> 
                                                </tr>
                                                <tr id="trSpace" runat="server">
                                                    <td colspan="8" class="split" style="height: 8px;">
                                                    </td>
                                                </tr>
                                                <tr id="trcomments" runat="server">
                                                    <td>
                                                    </td>
                                                    <td>
                                                        <asp:Label ID="lblComments" runat="server" Text="Comments"></asp:Label>
                                                        <span class="redtxt">*</span>
                                                    </td>
                                                    <td colspan="3">
                                                        <asp:TextBox ID="txtComments" Width="97%" runat="server" TextMode="MultiLine" Height="45px"
                                                            MaxLength="250" onkeypress="return chkDescription(event,this,249);" onblur="return disallowScriptTags(this);"
                                                            TabIndex="8"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr id="trRequired" runat="server">
                                                    <td>
                                                    </td>
                                                    <td colspan="6">
                                                        <asp:Label ID="Label12" runat="server" ForeColor="Red">*</asp:Label>
                                                        &nbsp;
                                                        <asp:Label ID="lblRequiredField" runat="server" Text="Required field"></asp:Label>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="7" class="split" style="height: 8px;">
                                                    </td>
                                                </tr>
                                                <tr id="trUpdate" runat="server">
                                                    <td>
                                                    </td>
                                                    <td>
                                                    </td>
                                                    <td colspan="6">
                                                          <asp:ImageButton ID="ibtnUpdate" runat="server" ImageUrl="~/images/btn-update.jpg"
                                                            TabIndex="9" OnClientClick="return ValidationFuelEntry();" OnClick="ibtnUpdateModelDriver_Click" />
                                                        &nbsp;&nbsp;
                                                        <asp:ImageButton ID="ibtncancelupdate" runat="server" ImageUrl="~/images/btn-cancel.jpg"
                                                            TabIndex="10" OnClick="ibtncancelupdate_Click" />&nbsp;&nbsp;&nbsp;&nbsp; 
                                                    </td>
                                                </tr>
                                                <tr id="trsave" runat="server">
                                                    <td>
                                                    </td>
                                                    <td>
                                                    </td>
                                                    <td colspan="6">
                                                          <asp:ImageButton ID="ibtnSave" runat="server" ImageUrl="~/images/btn-save.jpg" OnClick="ibtnSave_Click1"
                                                            OnClientClick="return ValidationFuelEntry();" TabIndex="10" />
                                                        &nbsp;&nbsp;
                                                        <asp:ImageButton ID="ibtnCancel" runat="server" ImageUrl="~/images/btn-cancel.jpg"
                                                            OnClick="ibtnCancel_Click1" TabIndex="11" />&nbsp;&nbsp;&nbsp;&nbsp; 
                                                    </td>
                                                </tr>--%>
                                                </table>
                                            </div>
                                        </asp:Panel>
                                        <div class="clear clearfix">
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlVendorUpdateInfo" runat="server" Visible="false">
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon">
                                                        <img src="../images/cost.gif" alt="" /></span>
                                                    <asp:Label ID="lblvendorEntry" runat="server" Text="Fare Details"></asp:Label></h1>
                                                <table cellspacing="5px" border="0" class="form-tbl">
                                                    <tr style="height: 3px; padding-left: 15px">
                                                        <td colspan="7"></td>
                                                    </tr>
                                                    <tr style="padding-left: 15px; padding-bottom: 25px">
                                                        <td style="height: 8px; padding-left: 35px"></td>
                                                        <td>
                                                            <asp:Label ID="lblVName" runat="server" Text="Vehicle Name" CssClass="label"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <%--<asp:TextBox ID="txtVenName" MaxLength="20" onkeypress="return chkDescription(event,this,19);"
                                                            TabIndex="1" runat="server" CssClass="textboxcss"></asp:TextBox>--%>
                                                            <asp:Label ID="lbl_vehicle" runat="server" CssClass="label" Text="Vehicle " Width="150"></asp:Label>
                                                        </td>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td style="padding-left: 35px">
                                                            <asp:Label ID="lblunwdist" runat="server" Text="Unwanted Distance"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtunwdist" runat="server" onpaste="return false" onkeypress="return chkDecNums(event, this);"
                                                                TabIndex="5" CssClass="textboxcss" MaxLength="10"></asp:TextBox>&nbsp;<span id="spanunwdist"
                                                                    runat="server">KMs</span>
                                                        </td>
                                                        <td>&nbsp;
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td style="height: 8px;"></td>
                                                        <td>
                                                            <asp:Label ID="lblworkorder" runat="server" Text="Trip ID" CssClass="label"></asp:Label>
                                                            <%-- <asp:Label ID="Label4" runat="server" ForeColor="Red">*</asp:Label>--%>
                                                        </td>
                                                        <td>
                                                            <%-- <asp:TextBox ID="txtworkorder" MaxLength="50" runat="server" TextMode="MultiLine" 
                                                            onkeypress="return chkDescription(event,this,49);" TabIndex="3" CssClass="textboxcss"></asp:TextBox>--%>
                                                            <asp:Label ID="lbl_tripid" runat="server" CssClass="label" Text="Trip "></asp:Label>
                                                        </td>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td style="padding-left: 35px">
                                                            <asp:Label ID="lblTollCharges" runat="server" Text="Toll Charges"></asp:Label>
                                                            <span style="color: red">*</span>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtTollCharges" runat="server" oncopy="return false" TabIndex="6"
                                                                CssClass="textboxcss" ondrop="return false" onpaste="return false" MaxLength="10"
                                                                onkeypress="return chkDecNums(event, this);" onblur="return val_totFare();" />
                                                            <span>INR</span>
                                                        </td>
                                                        <td rowspan="5"></td>
                                                    </tr>
                                                    <tr>
                                                        <td style="height: 8px;"></td>
                                                        <td>
                                                            <asp:Label ID="lblcontractfrom" runat="server" Text="Package / Location"></asp:Label>
                                                            <span style="color: red">*</span>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtpkglocation" runat="server" onpaste="return false" CssClass="textboxcss"
                                                                TabIndex="1" Width="150"></asp:TextBox>
                                                            <%--<cc1:CalendarExtender ID="calFromdate" runat="server" CssClass="cal_Theme1" TargetControlID="txtInsuranceDate"
                                                            Format="dd/MM/yyyy" OnClientDateSelectionChanged="FutureDate">
                                                        </cc1:CalendarExtender>--%>
                                                        </td>
                                                        <td></td>
                                                        <td style="padding-left: 35px" id="tdmaintenance" runat="server">
                                                            <asp:Label ID="lblMaintenanceDay" runat="server" Text="Maintenance Day Fare" CssClass="label"></asp:Label>
                                                            <span style="color: red">*</span>
                                                        </td>
                                                        <td id="tdmaint" runat="server">
                                                            <asp:TextBox ID="txtMaintenanceDay" MaxLength="10" onkeypress="return chkDecNums(event, this);"
                                                                TabIndex="7" runat="server" CssClass="textboxcss" onblur="return val_totFare();"></asp:TextBox>&nbsp;
                                                        <span>INR</span>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td style="height: 8px;"></td>
                                                        <td>
                                                            <asp:Label ID="lbluserdept" runat="server" Text="Users / Department"></asp:Label>
                                                            <span style="color: red">*</span>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtuserdept" runat="server" onpaste="return false" CssClass="textboxcss"
                                                                Width="150" TabIndex="2"></asp:TextBox>
                                                            <%--<cc1:CalendarExtender ID="calPermit" runat="server" CssClass="cal_Theme1" TargetControlID="txtPermitExpired"
                                                            Format="dd/MM/yyyy" OnClientDateSelectionChanged="FutureDate">
                                                        </cc1:CalendarExtender>--%>
                                                        </td>
                                                        <td></td>
                                                        <td style="padding-left: 35px">
                                                            <asp:Label ID="lblnewfuelrate" runat="server" Text="New Fuel Rate / Litre"></asp:Label>
                                                            <span style="color: red">*</span>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtnewfuelrate" runat="server" onkeypress="return chkDecNums(event, this);"
                                                                CssClass="textboxcss" MaxLength="10" onpaste="return false" TabIndex="8" onblur="return val_fuelhike();"></asp:TextBox>
                                                            &nbsp;<span>INR</span>
                                                        </td>
                                                        <%--<cc1:CalendarExtender ID="calFCExpired" runat="server" CssClass="cal_Theme1" TargetControlID="txtFcExpired"
                                                            Format="dd/MM/yyyy" OnClientDateSelectionChanged="FutureDate">
                                                        </cc1:CalendarExtender>--%>
                                                    </tr>
                                                    <tr>
                                                        <td style="height: 8px;"></td>
                                                        <td>
                                                            <asp:Label ID="lbltotdistn" runat="server" Text="Total Distance" CssClass="label"></asp:Label>
                                                            <%-- <span style="color: red">*</span>--%>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txttotdistance" runat="server" onkeypress="return chkDecNums(event, this);"
                                                                CssClass="textboxcss" MaxLength="10" onpaste="return false" TabIndex="3"></asp:TextBox>&nbsp;
                                                        <span id="spantotdist" runat="server">KMs</span>
                                                        </td>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td style="padding-left: 35px">
                                                            <asp:Label ID="lblfuelhikerate" runat="server" Text="Fuel Hike"></asp:Label>
                                                            <span style="color: red">*</span>
                                                        </td>
                                                        <td>
                                                            <asp:Label ID="lbl_fuelhike" runat="server"></asp:Label>&nbsp;<span>INR</span>
                                                            <asp:HiddenField ID="hdnfuelcostlitre" runat="server" />
                                                            <asp:HiddenField ID="hdnkmlitre" runat="server" />
                                                            <asp:HiddenField ID="hdnfuelhike" runat="server" />
                                                            <asp:HiddenField ID="hdntotdistancekm" runat="server" />
                                                            <asp:HiddenField ID="hdnismantenance" runat="server" />
                                                            <%-- <asp:TextBox ID="txtExtraCostKM" runat="server" oncopy="return false" TabIndex="10" CssClass="textboxcss"
                                                            ondrop="return false" onpaste="return false" MaxLength="10" onkeypress="return chkDecNums(event, this);" />--%>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td style="height: 8px;"></td>
                                                        <td>
                                                            <asp:Label ID="lbldisadj" runat="server" Text="Distance Adjustment"></asp:Label>
                                                            <%-- <asp:Label ID="Label15" runat="server" ForeColor="Red">*</asp:Label>--%>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtdistanceadj" runat="server" onpaste="return false" onkeypress="return chkDecNumsWithMinus(event, this);"
                                                                CssClass="textboxcss" MaxLength="10" TabIndex="4" onblur="return val_fuelhike();"></asp:TextBox>&nbsp;
                                                        <span id="spandisadj" runat="server">KMs</span>
                                                        </td>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td style="padding-left: 35px">
                                                            <asp:Label ID="lbltotfare" runat="server" Text="Total Fare Cost"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:Label ID="lbltotfarecost" runat="server" Text="0.00"></asp:Label>&nbsp;<span>INR</span>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td style="height: 8px;"></td>
                                                        <td>
                                                            <%--<asp:Label ID="lblMainDays" runat="server" Text="Maintenance Days"></asp:Label>
                                                        <span style="color: red">*</span>--%>
                                                        </td>
                                                        <td>
                                                            <%--<asp:Calendar ID="Calendar1" runat="server" Width="220px" Height="100px"></asp:Calendar>--%>
                                                            <%--<asp:LinkButton ID="lnkLegend" runat="server" Text="Select / View" OnClick="lnkLegend_Click"
                                                            OnClientClick="ShowPopUp();"></asp:LinkButton>--%>
                                                        </td>
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                    </tr>
                                                    <tr>
                                                        <td style="height: 5px;"></td>
                                                        <td colspan="2">
                                                            <asp:Label ID="Label1" runat="server" ForeColor="Red">*</asp:Label>&nbsp;
                                                        <asp:Label ID="lblIndicatesMandatory" runat="server">Required Fields</asp:Label>
                                                        </td>
                                                        <td colspan="3"></td>
                                                        <td>&nbsp;
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td align="left"></td>
                                                        <td></td>
                                                        <td valign="top">
                                                            <table cellpadding="0" cellspacing="0" border="0">
                                                                <tr>
                                                                    <td>
                                                                        <%--<asp:ImageButton ID="ibtnUpdateVehicle1" runat="server" CausesValidation="true" ImageUrl="~/images/btn-update.jpg"
                                                                        ValidationGroup="vgVeh" TabIndex="14" OnClientClick="return ValidateVendorInfo(true,true,true);"
                                                                        OnClick="ibtnUpdateVendor_Click" Visible="false" />
                                                                    <asp:LinkButton ID="ibtnUpdateVendor" ValidationGroup="vgVeh" runat="server" CssClass="MultilingualBtn"
                                                                        CausesValidation="false" OnClientClick="return ValidateVendorInfo(true,true,true);"
                                                                        OnClick="ibtnUpdateVendor_Click">
                                                                        <span id="Span6" runat="server" class="MultilingualBtnspan">
                                                                            <div class="Update">
                                                                                <div id="UpdateVehicleButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Update
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>--%>
                                                                        <asp:ImageButton ID="ibtnUpdate" runat="server" ImageUrl="~/images/btn-update.jpg"
                                                                            TabIndex="9" OnClientClick="return ValidateFareDetails();" OnClick="ibtnUpdateModelDriver_Click" />
                                                                        &nbsp;&nbsp;
                                                                    <asp:ImageButton ID="ibtncancelupdate" runat="server" ImageUrl="~/images/btn-cancel.jpg"
                                                                        TabIndex="10" OnClick="ibtncancelupdate_Click" />&nbsp;&nbsp;&nbsp;&nbsp;
                                                                    <%--  </td>
                                                                <td>--%>&nbsp;
                                                                    <%-- <asp:ImageButton ID="btnUserCancel1" runat="server" OnClick="btnUserCancel_Click"
                                                                        CausesValidation="false" TabIndex="15" ImageUrl="~/images/btn-cancel.jpg" Visible="false" />
                                                                    <asp:LinkButton ID="btnUserCancel" runat="server" CssClass="MultilingualBtn" OnClick="btnUserCancel_Click"
                                                                        CausesValidation="false">
                                                                        <%--OnClientClick="return ClearData();"
                                                                        <span id="Span8" runat="server" class="MultilingualBtnspan">
                                                                            <div class="Cancel">
                                                                                <div id="UserCancelDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Cancel
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>--%>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>&nbsp;
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td></td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </asp:Panel>
                                        <div class="clear clearfix">
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlVendorDetailsList" runat="server">
                                            <div id="grid-dsply">
                                                <div id="top">
                                                    <div class="left-col" style="vertical-align: middle">
                                                        <span class="txt">
                                                            <asp:Label ID="Label10" Text="Fare Details" runat="server"></asp:Label>
                                                        </span>
                                                    </div>
                                                    <div class="right-col" style="vertical-align: middle">
                                                        <span class="dropdown">
                                                            <div style="width: 15px; height: 15px; background-color: #800080; padding-right: 5px; float: left; vertical-align: middle">
                                                            </div>
                                                        </span>
                                                        <span class="txt" style="vertical-align: top">- Trip on maintenance days 
                                                        </span>
                                                        <span class="dropdown">
                                                            <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" Width="80px" Height="20px"
                                                                ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                                CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                EnableTheming="true" Theme="Office2003Blue">
                                                                <Items>
                                                                    <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                    <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                    <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                                    <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                                    <%--<dxw:ListEditItem ImageUrl="../images/icn-csv.gif" Text="csv" Value="csv" />--%>
                                                                </Items>
                                                            </dxw:ASPxComboBox>
                                                        </span><span class="txt">
                                                            <asp:ImageButton ID="btnExport" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                                OnClick="btnExport_Click" /></span>
                                                    </div>
                                                    <%--<div class="right-col">
                                                    <span class="txt">
                                                        <asp:ImageButton ID="btnImportFuel" runat="server" ImageUrl="~/images/import.jpg" /></span>
                                                </div>--%>
                                                </div>
                                                <div class="clear clearfix">
                                                </div>
                                                <dxw:ASPxGridView ID="gvFuelEntry" runat="server" Width="100%" KeyFieldName="TripId"
                                                    CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                    EnableTheming="true" Theme="Office2003Blue">
                                                    <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="160" />
                                                    <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                    <CollapsedButton Height="12px" Url="~/App_Themes/Office2  003 Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                    <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                </Images>--%>
                                                    <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                        CssPostfix="Office2003_Blue">
                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                        </Header>
                                                        <LoadingPanel ImageSpacing="10px">
                                                        </LoadingPanel>
                                                        <PagerBottomPanel CssClass="PageFooter">
                                                        </PagerBottomPanel>
                                                        <PagerTopPanel CssClass="PageFooter">
                                                        </PagerTopPanel>
                                                    </Styles>
                                                    <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                        NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                        NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                    </SettingsPager>
                                                    <Columns>
                                                        <dxw:GridViewDataColumn FieldName="VehicleId" Caption="Vehicle ID" VisibleIndex="0"
                                                            Visible="false">
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="VehicleDescription" Caption="Vehicle Name"
                                                            VisibleIndex="1" HeaderStyle-HorizontalAlign="Center" Width="10%" CellStyle-Wrap="True" HeaderStyle-Wrap="True">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ID="imgVehDisc" runat="server" ImageUrl="../images/vehicledesc-icon.gif"
                                                                        Visible="true" /></span> <span class="label"></span><span class="label">
                                                                            <asp:Label ID="lblVehicleName" runat="server" Font-Bold="false" Text="Vehicle Name"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblvehiclename" runat="server" Font-Bold="false" Text='<%# Eval("VehicleDescription") %>'
                                                                    ForeColor='<%# Convert.ToInt64(Eval("ismaintenace").ToString()) >= 1 ? System.Drawing.Color.Purple :System.Drawing.Color.Black %>'></asp:Label>
                                                                </span>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="TripId" Caption="Trip No" VisibleIndex="2"
                                                            HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center" Width="6%"
                                                            CellStyle-Wrap="True">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ID="imgVehDisc" runat="server" ImageUrl="../images/no-of-drivers.png"
                                                                        Visible="true" />
                                                                </span><span class="label">&nbsp;<asp:Label ID="lblTripId" runat="server" Font-Bold="false"
                                                                    Text="Trip No"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblFuelFilled" runat="server" Font-Bold="false" Text='<%# Eval("TripId") %>'
                                                                    ForeColor='<%# Convert.ToInt64(Eval("ismaintenace").ToString()) >= 1 ? System.Drawing.Color.Purple :System.Drawing.Color.Black %>'></asp:Label>
                                                                </span>
                                                            </DataItemTemplate>

                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="StartDate" Caption="From" VisibleIndex="3"
                                                            HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center" Width="14%"
                                                            CellStyle-Wrap="True">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ID="imgVehDisc" runat="server" ImageUrl="../images/from-km.png"
                                                                        Visible="true" />
                                                                </span><span class="label">&nbsp;<asp:Label ID="lblFromDate" runat="server" Font-Bold="false"
                                                                    Text="From"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblStartDate" runat="server" Font-Bold="false" Text='<%# Eval("StartDate") %>'
                                                                    ForeColor='<%# Convert.ToInt64(Eval("ismaintenace").ToString()) >= 1 ? System.Drawing.Color.Purple :System.Drawing.Color.Black %>'></asp:Label>
                                                                </span>
                                                            </DataItemTemplate>

                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="EndDate" Caption="To" VisibleIndex="4" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center" Width="14%" CellStyle-Wrap="True">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ID="imgVehDisc" runat="server" ImageUrl="../images/to-km.png"
                                                                        Visible="true" />
                                                                </span><span class="label">&nbsp;<asp:Label ID="lblEndDate" runat="server" Font-Bold="false"
                                                                    Text="To"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblEndDate" runat="server" Font-Bold="false" Text='<%# Eval("EndDate") %>'
                                                                    ForeColor='<%# Convert.ToInt64(Eval("ismaintenace").ToString()) >= 1 ? System.Drawing.Color.Purple :System.Drawing.Color.Black %>'></asp:Label>
                                                                </span>
                                                            </DataItemTemplate>

                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="TotalDistance" Caption="Total Distance (Kms)" VisibleIndex="5"
                                                            HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" HeaderStyle-Wrap="True" Width="8%" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <asp:Image ID="imgVehDisc" runat="server" ImageUrl="../images/icn-output-name.gif"
                                                                    Visible="true" />
                                                                <asp:Label ID="lbltotdistance" runat="server" Font-Bold="false"
                                                                    Text="Total distance"></asp:Label>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblFDate" runat="server" Text='<%# Eval("TotalDistance") %>' ForeColor='<%# Convert.ToInt64(Eval("ismaintenace").ToString()) >= 1 ? System.Drawing.Color.Purple :System.Drawing.Color.Black %>'></asp:Label>
                                                            </DataItemTemplate>

                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="AddDistance" Caption="Distance Adjustment (Kms)"
                                                            VisibleIndex="6" HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" HeaderStyle-Wrap="True" Width="10%"
                                                            CellStyle-HorizontalAlign="Center" Visible="true">
                                                            <HeaderCaptionTemplate>
                                                                <asp:Image ID="imgVehDisc" runat="server" ImageUrl="../images/icn-sensor-name.gif"
                                                                    Visible="true" />
                                                                <asp:Label ID="lbladddistance" runat="server" Font-Bold="false"
                                                                    Text="Distance adjustment"></asp:Label>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblFDate" runat="server" Text='<%# Eval("AddDistance") %>' ForeColor='<%# Convert.ToInt64(Eval("ismaintenace").ToString()) >= 1 ? System.Drawing.Color.Purple :System.Drawing.Color.Black %>'></asp:Label>
                                                            </DataItemTemplate>

                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="UwDistance" Caption="Unwanted Distance (Kms)" VisibleIndex="7" HeaderStyle-VerticalAlign="Top"
                                                            HeaderStyle-HorizontalAlign="Center" Width="8%" CellStyle-Wrap="True" HeaderStyle-Wrap="True" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <asp:Image ID="imgSeverity" runat="server" ImageUrl="../images/demerit-rating.png"
                                                                    Visible="true" />
                                                                <asp:Label ID="lbluwdistance" runat="server" Font-Bold="false"
                                                                    Text="Unwanted distance"></asp:Label>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblFDate" runat="server" Text='<%# Eval("UwDistance") %>' ForeColor='<%# Convert.ToInt64(Eval("ismaintenace").ToString()) >= 1 ? System.Drawing.Color.Purple :System.Drawing.Color.Black %>'></asp:Label>
                                                            </DataItemTemplate>

                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="TollCharge" Caption="Toll Charges (INR)" VisibleIndex="8"
                                                            HeaderStyle-HorizontalAlign="Center" Width="10%" CellStyle-Wrap="True" HeaderStyle-Wrap="True" CellStyle-HorizontalAlign="Right"
                                                            Visible="true">
                                                            <HeaderCaptionTemplate>
                                                                <asp:Image ID="imgSeverity" runat="server" ImageUrl="../images/icn-vehicle-name.gif"
                                                                    Visible="true" />
                                                                <asp:Label ID="lblToDate" runat="server" Font-Bold="false"
                                                                    Text="Toll Charges (INR)"></asp:Label>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblFDate" runat="server" Text='<%# Eval("TollCharge") %>' ForeColor='<%# Convert.ToInt64(Eval("ismaintenace").ToString()) >= 1 ? System.Drawing.Color.Purple :System.Drawing.Color.Black %>'></asp:Label>
                                                            </DataItemTemplate>

                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="MaintFare" Caption="Maintenance Day Fare (INR)"
                                                            VisibleIndex="9" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Right"
                                                            Width="10%" CellStyle-Wrap="True" HeaderStyle-Wrap="True">
                                                            <HeaderCaptionTemplate>
                                                                <asp:Image ID="imgSeverity" runat="server" ImageUrl="../images/other-amount.png"
                                                                    Visible="true" />
                                                                <asp:Label ID="lblmaindays" runat="server" Font-Bold="false"
                                                                    Text="Maintenance Day Fare (INR)"></asp:Label>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblFuelFilled" runat="server" Font-Bold="false" Text='<%# Eval("MaintFare") %>'
                                                                    ForeColor='<%# Convert.ToInt64(Eval("ismaintenace").ToString()) >= 1 ? System.Drawing.Color.Purple :System.Drawing.Color.Black %>'></asp:Label>
                                                                </span>
                                                            </DataItemTemplate>

                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="FuelHike" Caption="Fuel Hike (INR)" VisibleIndex="10"
                                                            HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Right" Width="7%"
                                                            CellStyle-Wrap="True" HeaderStyle-Wrap="True">
                                                            <HeaderCaptionTemplate>
                                                                <asp:Image ID="imgEmailUserNameList" ImageUrl="../images/icn-fuelmanagement.png" runat="server"
                                                                    Visible="true" />
                                                                <asp:Label ID="lblFuel" runat="server" Font-Bold="false"
                                                                    Text="Fuel Hike (INR)"></asp:Label>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblFuelHik" runat="server" Font-Bold="false" Text='<%# Eval("FuelHike") %>'
                                                                    ForeColor='<%# Convert.ToInt64(Eval("ismaintenace").ToString()) >= 1 ? System.Drawing.Color.Purple :System.Drawing.Color.Black %>'></asp:Label>
                                                                </span>
                                                            </DataItemTemplate>

                                                        </dxw:GridViewDataTextColumn>
                                                        <%--<dxw:GridViewDataTextColumn FieldName="Distance" Caption="Distance Traveled" VisibleIndex="8"
                                                        HeaderStyle-HorizontalAlign="Center" Width="10%" CellStyle-Wrap="True" CellStyle-HorizontalAlign="Center">
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="Mileage" Caption="Mileage" VisibleIndex="9"
                                                        HeaderStyle-HorizontalAlign="Center" Width="10%" CellStyle-Wrap="True" CellStyle-HorizontalAlign="Center">
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="Comments" Caption="Comments" VisibleIndex="10"
                                                        HeaderStyle-HorizontalAlign="Center" Width="8%" CellStyle-Wrap="True">
                                                        <HeaderCaptionTemplate>
                                                            <span class="icon">
                                                                <asp:Image ID="imgSMSUserNameList" ImageUrl="../images/icn-sms-users.gif" runat="server"
                                                                    Visible="false" />
                                                            </span><span class="label">
                                                                <asp:Label ID="lblComments" runat="server" Font-Bold="false" Text="Comments"></asp:Label>
                                                            </span>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="UserName" Caption="User Name" VisibleIndex="11"
                                                        HeaderStyle-HorizontalAlign="Center" Width="8%" CellStyle-Wrap="True">
                                                        <HeaderCaptionTemplate>
                                                            <span class="icon">
                                                                <asp:Image ID="imgSMSUserNameList" ImageUrl="../images/icn-sms-users.gif" runat="server"
                                                                    Visible="false" />
                                                            </span><span class="label">
                                                                <asp:Label ID="lblUserName" runat="server" Font-Bold="false" Text="User Name"></asp:Label>
                                                            </span>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataTextColumn>--%>
                                                        <dxw:GridViewDataTextColumn Caption="Edit" Width="3%" Name="Edit" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="lbnEdit" runat="server" AlternateText="Update" ToolTip="Click here to Update" OnClientClick="ShowPopUp();"
                                                                    ImageAlign="Middle" CommandArgument='<%#Eval("TripId") %>' OnClick="lbnEdit_Click"><img src="../images/icn-edit.gif" alt="" /></asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <%--<dxw:GridViewDataTextColumn Caption="Delete" Name="Delete" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                        CellStyle-HorizontalAlign="Center">
                                                        <HeaderTemplate>
                                                        </HeaderTemplate>
                                                        <DataItemTemplate>
                                                            <asp:LinkButton ID="lbnDelete" runat="server" AlternateText="Delete" OnClientClick="return confirm('Do you want to really delete this record?');"
                                                                ToolTip="Click here to Delete" CommandArgument='<%#Eval("FuelEntryID") %>' OnClick="lbnDelete_Click"><img src="../images/delete-icon.gif" alt="" /></asp:LinkButton>
                                                        </DataItemTemplate>
                                                    </dxw:GridViewDataTextColumn>--%>
                                                    </Columns>
                                                    <Settings ShowFilterRowMenu="true" />
                                                    <SettingsText EmptyDataRow="No Fare details found" />
                                                </dxw:ASPxGridView>
                                                <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter" runat="server" GridViewID="gvFuelEntry"
                                                    ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Times New Roman;}{\f1\fnil\fcharset0 Arial;}}
\viewkind4\uc1\pard\qc\ul\b\f0\fs28 Fare Details\par
\pard\ulnone\f1\par
\par
}
"
                                                    DetailHorizontalOffset="1" DetailVerticalOffset="1" MaxColumnWidth="120">
                                                    <Styles>
                                                        <Default VerticalAlign="Middle">
                                                        </Default>
                                                        <Header BackColor="#D1D1D1" Font-Bold="True" Font-Names="Arial" Font-Size="10pt"
                                                            ForeColor="Black" HorizontalAlign="Center" VerticalAlign="Middle" Wrap="false">
                                                        </Header>
                                                        <Cell VerticalAlign="Middle" Wrap="True" Font-Size="8pt" Font-Names="Arial" HorizontalAlign="Center"
                                                            ForeColor="Black">
                                                        </Cell>
                                                    </Styles>
                                                    <PageHeader Center="Fuel Entry Details" VerticalAlignment="Far">
                                                        <Font Bold="True" Names="Arial" Size="10pt" Underline="True"></Font>
                                                    </PageHeader>
                                                    <PageFooter Right="[Page # of Pages #]">
                                                    </PageFooter>
                                                </dxw:ASPxGridViewExporter>
                                            </div>
                                        </asp:Panel>
                                    </div>
                                </div>
                                <!-- Main Content Ends Here -->
                                <div id="left">
                                </div>
                                <div class="clear clearfix">
                                </div>
                            </div>
                            <div id="right">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                    </div>
                    <%--<cc1:ModalPopupExtender ID="mpDriverDetailsLoad" runat="server" BackgroundCssClass="modalbackground"
                    PopupControlID="pnlImportFuelEntry" TargetControlID="btnImportFuel" X="280" CancelControlID="ibtnCancelImport">
                </cc1:ModalPopupExtender>--%>
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="btnExport" />
                    <asp:PostBackTrigger ControlID="ibtncancelupdate" />
                    <%-- <asp:PostBackTrigger ControlID="btnImportFuel" />--%>
                </Triggers>
            </asp:UpdatePanel>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="pnlProgress"
                TargetControlID="Button1">
            </cc1:ModalPopupExtender>
            <asp:Button ID="Button1" Style="display: none;" runat="server" />
            <asp:Panel ID="pnlProgress" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                <center>
                    <br />
                    <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                    <br />
                    <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                    <br />
                    <br />
                </center>
            </asp:Panel>

            <script language="javascript" type="text/javascript">
                function HidePopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').hide();
                    }
                }
                function ShowPopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').show();
                    }
                }


                function val_fuelhike() {
                    var fuelhike = 0;
                    var totdist = ((parseFloat($('#hdntotdistancekm').val() == "" ? 0 : $('#hdntotdistancekm').val())) +
                                    (parseFloat($('#txtdistanceadj').val() == "" ? 0 : $('#txtdistanceadj').val())));

                    var fuelnewcost = parseFloat($('#txtnewfuelrate').val());
                    var fueloldcost = parseFloat($('#hdnfuelcostlitre').val());
                    var fuelkmlitre = parseInt($('#hdnkmlitre').val());
                    // alert((fuelnewcost - fueloldcost));
                    if ((fuelnewcost - fueloldcost).toFixed(2) > 0.50) {
                        fuelhike = (totdist * ((fuelnewcost - fueloldcost) / fuelkmlitre));
                    }
                    $('#lbl_fuelhike').text(fuelhike.toFixed(2));
                    $('#hdnfuelhike').val(fuelhike.toFixed(2));

                }

                function val_totFare() {
                    var totFare = 0.00;
                    var txtTollCharges = parseFloat($('#txtTollCharges').val());
                    var txtMaintenanceDay = parseFloat($('#txtMaintenanceDay').val());
                    if ($('#txtMaintenanceDay').val() != undefined) {
                        totFare = txtTollCharges + txtMaintenanceDay;
                    }
                    else {
                        totFare = txtTollCharges;
                    }
                    $('#lbltotfarecost').text(totFare.toFixed(2));

                }
            </script>

            <script src="../js/myformvalidations.js" type="text/javascript"></script>

            <script type="text/javascript" language="javascript" src="../js/DateValidations.js"></script>

            <asp:HiddenField ID="hdnLogout" runat="server" />
        </form>
    </div>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
