﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_StudentAttendance, App_Web_i1f0pxcz" enableeventvalidation="false" %>

<%@ Register Assembly="TimePicker" Namespace="MKB.TimePicker" TagPrefix="MKB" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<%--********* For Bootstrap Implementation *************--%>
<!DOCTYPE html>
<html lang="en">
<%--********* End of Bootstrap Implementation *************--%>
<head runat="server">
    <title>tSense-IoT Configuration</title>
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <%--********* For Bootstrap Implementation *************--%>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <%--********* End of Bootstrap Implementation *************--%>
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet"
        type="text/css" />
    <%--<link href="../css/Updated_css.css" rel="stylesheet" type="text/css" />--%>
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <link id="datepicker" runat="server" type="text/css" href="../css/ui.datepicker.css"
        rel="stylesheet" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />

    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />

    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>

    <script src="../js/myformvalidations.js" type="text/javascript"></script>

    <script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>

    <script type="text/javascript" src="../js/ui.datepicker.js"></script>

    <script type="text/javascript" src="../js/JQQueryDatePicker.js"></script>

    <%--********* For Bootstrap Implementation *************--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--********* End of Bootstrap Implementation *************--%>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <%--********* For Bootstrap Implementation *************--%>
    <div class="pageContainer">
        <%--********* End of Bootstrap Implementation *************--%>
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <!-- Header Starts Here -->
            <uc1:Header ID="ucHeader" runat="server" />
            <!-- Nav Ends Here -->
            <!-- Content Starts Here -->
            <asp:UpdatePanel ID="updGrid" runat="server">
                <ContentTemplate>
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content" class="container-fluid head-part">
                                            <div id="heading" class="col-sm-4 col-md-4">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationCaption" runat="server"></asp:Literal></h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton>
                                                <%--<a href="Dashboard.aspx">Home</a>--%><span>&gt;</span><span><a href="StudentAttendance.aspx">
                                                    <asp:Label ID="lnkPageCaption" runat="server" Text="Student Log details"></asp:Label>
                                                </a></span>
                                                <%--<span><a href="ConfigurationSetup.aspx">Users</a></span><span>&gt;</span>--%>
                                            </div>
                                            <div id="" class="col-sm-7 col-md-7 pull-right">
                                                <div class="pull-right btn-wrap">
                                                    <asp:ImageButton ID="ibtBackToConfig1" runat="server" ImageUrl="~/images/btn-back-to-configuration.jpg"
                                                        TabIndex="10" PostBackUrl="~/Forms/ConfigurationSetup.aspx" Visible="false" />
                                                    <asp:LinkButton ID="ibtBackToConfig" runat="server" CssClass="MultilingualBtn" PostBackUrl="~/Forms/ConfigurationSetup.aspx">
                                                        <span runat="server" class="MultilingualBtnspan">
                                                            <div class="Back">
                                                                <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Back to Configuration
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                </div>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                        </div>
                                        <asp:Panel ID="pnlUsrGroupSelection" runat="server" CssClass="ControlShow">
                                            <div class="form-box col-xs-12 nullpadding">
                                                <h1>
                                                    <span class="icon">
                                                        <img src="../images/group-icon.gif" alt="" /></span>
                                                    <asp:Label ID="lblGroupUserAssignment" runat="server" Text="Group User Assignment"></asp:Label></h1>


                                                <div class="col-sm-10 MySearchPanelFilter">
                                                    <div class="col-sm-3 col-lg-2 controllinebreak">
                                                        <div class="col-xs-1 nullpadding">
                                                            <asp:Image ID="imgFleetName" runat="server" ImageUrl="../images/fleet-icon.gif" alt="Fleet Name"
                                                                title="Fleet Name" />
                                                        </div>
                                                        <div class="col-xs-11">
                                                            <asp:DropDownList ID="ddlFleet" runat="server" class="form-control" AutoPostBack="True" OnSelectedIndexChanged="ddlFleet_SelectedIndexChanged">
                                                            </asp:DropDownList>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-3 col-lg-2 controllinebreak">
                                                        <div class="col-xs-1 nullpadding">
                                                            <asp:Image ID="imgVehicle" runat="server" ImageUrl="../images/vehicle-icon.gif"
                                                                alt="Vehicle" ToolTip="Vehicle" />
                                                        </div>
                                                        <div class="col-xs-11">
                                                            <asp:DropDownList ID="ddlVehicle" class="form-control" runat="server" AutoPostBack="false">
                                                            </asp:DropDownList>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-3 col-lg-2 controllinebreak">
                                                        <div class="col-xs-1 nullpadding">
                                                            <asp:Image ID="imgDurationFrom" runat="server" ImageUrl="../images/calendar-rht-icon.gif"
                                                                AlternateText="Duration From" /><asp:HiddenField runat="server" ID="hdnDateFormat"
                                                                    Value="dd-MMM-yyyy" />
                                                        </div>
                                                        <div class="col-xs-11">
                                                            <asp:TextBox ID="txtStartDateStu" runat="server" oncopy="return false" oncut="return false"
                                                                onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false" onpaste="return false"
                                                                class="form-control" ToolTip="dd-MMM-yyyy"></asp:TextBox>

                                                            <MKB:TimeSelector ID="tsFromHrs" runat="server" AmPm="AM" DisplaySeconds="False"
                                                                Hour="8" Font-Size="10pt" Height="20px" SelectedTimeFormat="Twelve" CssClass="time1"
                                                                Visible="false">
                                                            </MKB:TimeSelector>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-3 col-lg-2 controllinebreak">
                                                        <div class="col-xs-1 nullpadding">
                                                            <asp:Image ID="imgDurationTo" runat="server" ImageUrl="../images/calendar-lft-icon.gif"
                                                                AlternateText="Duration To" />
                                                        </div>
                                                        <div class="col-xs-11">
                                                            <asp:TextBox ID="txtEndDateStu" runat="server" oncopy="return false" oncut="return false"
                                                                class="form-control" onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false"
                                                                onpaste="return false" ToolTip="dd-MMM-yyyy"></asp:TextBox>

                                                            <MKB:TimeSelector ID="tsToHours" runat="server" AmPm="AM" DisplaySeconds="False"
                                                                Hour="10" Font-Size="10pt" Height="20px" SelectedTimeFormat="Twelve" CssClass="time1"
                                                                Visible="false">
                                                            </MKB:TimeSelector>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-3 col-lg-2 controllinebreak">
                                                        <div class="col-xs-10 nullpadding">
                                                            <asp:LinkButton ID="btnView" runat="server" CssClass="MultilingualBtn" OnClientClick="ShowPopUp();"
                                                                OnClick="btnView_Click">
                                                                <span id="Span1" runat="server" class="MultilingualBtnspan">
                                                                    <div class="Search">
                                                                        <div id="UpdateResultsButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                            Update Results
                                                                        </div>
                                                                    </div>
                                                                </span>
                                                            </asp:LinkButton>
                                                        </div>
                                                        <div class="col-xs-2"></div>
                                                    </div>
                                                </div>

                                            </div>
                                        </asp:Panel>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlUnAssignedUsersList" runat="server">
                                            <div id="grid-dsply">
                                                <div id="top">
                                                    <div class="col-xs-12 gridheader">
                                                        <div class="col-sm-12 col-md-9 col-lg-7">
                                                            <span class="icon txt">
                                                                <img src="../images/icn-unassigned-users.gif" alt="" />
                                                                <asp:Label ID="lblUnassignedUsers" runat="server" Font-Bold="true" Text="Unassigned Users"></asp:Label></span>
                                                        </div>
                                                        <div class="col-sm-12 col-md-3 col-lg-5">
                                                            <div class="pull-right">
                                                                <span class="dropdown">
                                                                    <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" Width="80px" Height="20px" EnableIncrementalFiltering="true"
                                                                        ValueType="System.String" ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                                        CssFilePath="~/App_Themes/Office2003 Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                        EnableTheming="true" Theme="Office2003Blue">
                                                                        <Items>
                                                                            <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                            <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                            <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                                            <%--<dxw:ListEditItem ImageUrl="../images/icn-csv.gif" Text="csv" Value="csv" />--%>
                                                                        </Items>
                                                                    </dxw:ASPxComboBox>
                                                                </span><span class="txt">&nbsp;
                                                        <asp:ImageButton ID="btnExport1" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                            OnClick="btnExport_Click" OnClientClick="SetExportHiddenValue();" Visible="false" />
                                                                    <asp:LinkButton ID="btnExport" runat="server" CssClass="MultilingualBtn" OnClick="btnExport_Click"
                                                                        OnClientClick="">
                                                                        <span id="Span2" runat="server" class="MultilingualBtnspan">
                                                                            <div class="Export">
                                                                                <div id="ExportButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Export
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>
                                                                </span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <asp:HiddenField ID="hdnStudentsToBeAssigned" runat="server" />
                                                <asp:HiddenField ID="hdnAssignedGroupUser" runat="server" />
                                                <div style="width: 100%; overflow: auto;">
                                                    <div class="table-responsive">
                                                        <dxw:ASPxGridView ID="gvAttendance" runat="server" Width="100%" KeyFieldName="StudentMasterID" Visible="false"
                                                            CssFilePath="~/App_Themes/Office2003 Blue/{0}/styles.css" CssPostfix="Office2003_Blue"
                                                            EnableViewState="false" AutoGenerateColumns="true" EnableTheming="true" Theme="Office2003Blue"
                                                            OnHtmlDataCellPrepared="gvAttendance_HtmlDataCellPrepared" OnCustomColumnDisplayText="gvAttendance_CustomColumnDisplayText">
                                                            <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                                CssPostfix="Office2003_Blue">
                                                                <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                </Header>
                                                                <LoadingPanel ImageSpacing="10px">
                                                                </LoadingPanel>
                                                                <PagerBottomPanel CssClass="PageFooter">
                                                                </PagerBottomPanel>
                                                                <PagerTopPanel CssClass="PageFooter">
                                                                </PagerTopPanel>
                                                            </Styles>
                                                            <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                                PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                                NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                                NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                            </SettingsPager>
                                                        </dxw:ASPxGridView>
                                                        <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvAttendance"
                                                            ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Arial;}}
\viewkind4\uc1\pard\qc\b\fs28 Alert Details    \fs24\par
\pard\pra
\par
}
"
                                                            OnDataBinding="ASPxGridViewExporter1_DataBinding" OnPreRender="ASPxGridViewExporter1_PreRender" OnRenderBrick="ASPxGridViewExporter1_RenderBrick">
                                                            <PageFooter Right="[Page # of Pages #]">
                                                            </PageFooter>
                                                        </dxw:ASPxGridViewExporter>
                                                    </div>
                                                </div>

                                            </div>
                                            <div class="AlignControl">
                                                <br />
                                                <img src="../images/blue.png" />
                                                <asp:Label ID="BlueIcnIndicator" runat="server" Text="Student(s) present"></asp:Label>&nbsp;
                                            &nbsp;
                                            <img src="../images/red.png" />
                                                <asp:Label ID="RedIcnIndicator" runat="server" Text="Student(s) absent"></asp:Label>
                                            </div>
                                        </asp:Panel>
                                        <div class="clear clearfix">
                                        </div>
                                    </div>
                                </div>
                                <!-- Main Content Ends Here -->
                                <div id="left">
                                </div>
                                <div class="clear clearfix">
                                </div>
                            </div>
                            <div id="right">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                    </div>
                </ContentTemplate>
                <Triggers>
                    <%--<asp:PostBackTrigger ControlID="btnAssignUsers" />--%>
                    <asp:PostBackTrigger ControlID="btnExport" />
                </Triggers>
            </asp:UpdatePanel>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="pnlProgress1"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <%-- <asp:UpdateProgress ID="uprDataLoading" runat="server" DynamicLayout="True" AssociatedUpdatePanelID="updVhDetails">
            <ProgressTemplate>--%>
            <asp:Panel ID="pnlProgress1" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                <center>
                <br />
                <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
            </asp:Panel>

            <script type="text/javascript" language="javascript" src="../js/StudentVehicleAssignmentScripts.js"></script>

            <%--<script type="text/javascript" language="javascript" src="../js/FormValidations.js"></script>--%>
            <asp:HiddenField ID="hdnLogout" runat="server" />
        </form>
    </div>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
