﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_StudentVehicleMapping, App_Web_1bbfxony" enableeventvalidation="false" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<%--********* For Bootstrap Implementation *************--%>
<!DOCTYPE html>
<html lang="en">
<%--********* End of Bootstrap Implementation *************--%>
<head runat="server">
    <title>tSense-IoT Configuration</title>
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <%--********* For Bootstrap Implementation *************--%>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <%--********* End of Bootstrap Implementation *************--%>
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet"
        type="text/css" />
    <%--<link href="../css/Updated_css.css" rel="stylesheet" type="text/css" />--%>
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />

    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />

    <script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>

    <script src="../js/CommonFuncitonsInHeader.js" type="text/javascript"></script>

    <%--********* For Bootstrap Implementation *************--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--********* End of Bootstrap Implementation *************--%>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <%--********* For Bootstrap Implementation *************--%>
    <div class="pageContainer">
        <%--********* End of Bootstrap Implementation *************--%>
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <!-- Header Starts Here -->
            <uc1:Header ID="ucHeader" runat="server" />
            <!-- Nav Ends Here -->
            <!-- Content Starts Here -->
            <asp:UpdatePanel ID="updGrid" runat="server">
                <ContentTemplate>
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content" class="container-fluid head-part">
                                            <div id="heading" class="col-sm-4 col-md-4">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationCaption" runat="server"></asp:Literal></h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton>
                                                <%--<a href="Dashboard.aspx">Home</a>--%><span>&gt;</span><span><a href="StudentVehicleMapping.aspx">
                                                    <asp:Label ID="lnkPageCaption" runat="server" Text="Student Vehicle Mapping"></asp:Label>
                                                </a></span>
                                                <%--<span><a href="ConfigurationSetup.aspx">Users</a></span><span>&gt;</span>--%>
                                            </div>
                                            <div id="" class="col-sm-7 col-md-7 pull-right">
                                                <div class="pull-right btn-wrap">
                                                    <asp:ImageButton ID="ibtBackToConfig1" runat="server" ImageUrl="~/images/btn-back-to-configuration.jpg"
                                                        TabIndex="10" PostBackUrl="~/Forms/ConfigurationSetup.aspx" Visible="false" />
                                                    <asp:LinkButton ID="ibtBackToConfig" runat="server" CssClass="MultilingualBtn" PostBackUrl="~/Forms/ConfigurationSetup.aspx">
                                                        <span runat="server" class="MultilingualBtnspan">
                                                            <div class="Back">
                                                                <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Back to Configuration
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                </div>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                        </div>
                                        <asp:Panel ID="pnlUsrGroupSelection" runat="server" CssClass="ControlShow">
                                            <div class="form-box col-xs-12 nullpadding">
                                                <h1>
                                                    <span class="icon">
                                                        <img src="../images/group-icon.gif" alt="" /></span>
                                                    <asp:Label ID="lblGroupUserAssignment" runat="server" Text="Group User Assignment"></asp:Label></h1>
                                                <div class="col-sm-10 MySearchPanelFilter">
                                                    <%-- Do not remove or add reponsive layout for the below- Ranjith 20-Jun-16--%>
                                                    <asp:Image ID="Image1" runat="server" ImageUrl="../images/school.png" alt="School" ToolTip="School" />
                                                    <asp:DropDownList ID="ddlSchool" class="form-control" runat="server" AutoPostBack="false"></asp:DropDownList>
                                                    <%-- End of comment--%>
                                                    <div class="col-sm-3 controllinebreak">
                                                        <div class="col-xs-1 nullpadding">
                                                            <asp:Image ID="imgFleetName" runat="server" ImageUrl="../images/fleet-icon.gif" alt="Fleet Name"
                                                                title="Fleet Name" />
                                                        </div>
                                                        <div class="col-xs-11">
                                                            <asp:DropDownList ID="ddlFleet" runat="server" class="form-control" AutoPostBack="True" OnSelectedIndexChanged="ddlFleet_SelectedIndexChanged">
                                                            </asp:DropDownList>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-3 controllinebreak">
                                                        <div class="col-xs-1 nullpadding">
                                                            <asp:Image ID="imgVehicle" runat="server" ImageUrl="../images/vehicle-icon.gif"
                                                                alt="Vehicle" ToolTip="Vehicle" />
                                                        </div>
                                                        <div class="col-xs-11">
                                                            <asp:DropDownList ID="ddlVehicle" runat="server" class="form-control" AutoPostBack="true" OnSelectedIndexChanged="ddlVehicle_SelectedIndexChanged">
                                                            </asp:DropDownList>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </asp:Panel>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlUnAssignedUsersList" runat="server" CssClass="ControlHide">
                                            <div id="grid-dsply">
                                                <div id="top">
                                                    <div class="left-col">
                                                        <span class="icon txt" style="padding-top: 0px">
                                                            <img src="../images/icn-unassigned-users.gif" alt="" />
                                                            <asp:Label ID="lblUnassignedUsers" runat="server" Font-Bold="true" Text="Unassigned Users"></asp:Label>
                                                        </span>
                                                    </div>
                                                </div>
                                                <asp:Timer ID="tmrCheck" runat="server" Enabled="false" Interval="1000" OnTick="tmrCheck_Tick">
                                                </asp:Timer>
                                                <asp:HiddenField ID="hdnStudentsToBeAssigned" runat="server" />
                                                <asp:HiddenField ID="hdnAssignedGroupUser" runat="server" />
                                                <div style="width: 100%; overflow: auto;">
                                                    <div class="table-responsive">
                                                        <dxw:ASPxGridView ID="gvUnAssignedStudents" runat="server" Width="100%" KeyFieldName="StudentMasterID" EnableViewState="false"
                                                            CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue" EnableTheming="true" Theme="Office2003Blue"
                                                            OnHtmlRowCreated="gvUnAssignedStudents_OnHtmlRowCreated" OnAfterPerformCallback="gvUnAssignedStudents_AfterPerformCallback">
                                                            <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChangedStudentAssign(1); }" />
                                                            <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                    <CollapsedButton Height="12px" Url="~/App_Themes/Office2  003 Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                    <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                </Images>--%>
                                                            <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                                CssPostfix="Office2003_Blue">
                                                                <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                </Header>
                                                                <LoadingPanel ImageSpacing="10px">
                                                                </LoadingPanel>
                                                                <PagerBottomPanel CssClass="PageFooter">
                                                                </PagerBottomPanel>
                                                                <PagerTopPanel CssClass="PageFooter">
                                                                </PagerTopPanel>
                                                            </Styles>
                                                            <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                                PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                                NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                                NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                            </SettingsPager>
                                                            <Columns>
                                                                <dxw:GridViewDataColumn FieldName="StudentMasterID" Caption="AutoID" VisibleIndex="0"
                                                                    Visible="false">
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewCommandColumn ShowSelectCheckbox="True" VisibleIndex="1" Width="50px">
                                                                    <HeaderTemplate>
                                                                        <input type="checkbox" id="chkSelectAll" runat="server" onclick="gvUnAssignedStudents.SelectAllRowsOnPage(this.checked);"
                                                                            style="vertical-align: middle;" tabindex="1"></input>
                                                                    </HeaderTemplate>
                                                                    <HeaderStyle Paddings-PaddingTop="1" Paddings-PaddingBottom="1" HorizontalAlign="Center" />
                                                                </dxw:GridViewCommandColumn>
                                                                <dxw:GridViewDataColumn FieldName="StudentID" Caption="Student ID" VisibleIndex="2"
                                                                    Width="200px">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/usermanage-icon.gif" align="top" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblUserNameU" runat="server" Text="Student ID"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:Label ID="lblUserNameU" runat="server" Text='<%# Eval("StudentID") %>'></asp:Label>
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="True" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="StudentFirstName" Caption="Student Name" VisibleIndex="2"
                                                                    Width="200px">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/usermanage-icon.gif" align="top" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblUserNameU" runat="server" Text="Student Name"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:Label ID="lblUserNameU" runat="server" Text='<%# Eval("StudentFirstName") %>'></asp:Label>
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="True" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="DisplayName" Caption="Display Name" VisibleIndex="3">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/icn-display-name.gif" align="top" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblDisplayNameU" runat="server" Text="Display Name"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:Label ID="lblDisplayNameU" runat="server" Text='<%# Eval("DisplayName") %>'></asp:Label>
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="True" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="SchoolName" Caption="School Name" VisibleIndex="4">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/school.png" align="top" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblSchoolNameU" runat="server" Text="School Name"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:Label ID="lblSchoolNameU" runat="server" Text='<%# Eval("SchoolName") %>'></asp:Label>
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="True" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="LandmarkName" Caption="Nearest Landkmark" VisibleIndex="5">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/landmark-icon.gif" align="top" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblLandmarkNameU" runat="server" Text="Nearest Landmark"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:Label ID="lblLandmarkNameU" runat="server" Text='<%# Eval("LandmarkName") %>'></asp:Label>
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="True" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataTextColumn FieldName="ActiveStatus" Caption="Active Status" VisibleIndex="6"
                                                                    HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center" Width="125px">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/icn-active-status.gif" align="top" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblActiveStatusU" runat="server" Text="Active Status"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <table>
                                                                            <tr>
                                                                                <td>
                                                                                    <asp:Image ID="imgUnAssActiveStatus" runat="server" AlternateText="" />
                                                                                </td>
                                                                                <td>&nbsp;<asp:Label ID="lblUnAssActiveStatus" runat="server" Text='<%#Eval("ActiveStatusDisp") %>'></asp:Label>
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="False" />
                                                                </dxw:GridViewDataTextColumn>
                                                                <dxw:GridViewDataColumn Caption="Geozone" FieldName="GeozoneName" Width="150" VisibleIndex="7"
                                                                    Visible="false">
                                                                    <HeaderCaptionTemplate>
                                                                        <span>
                                                                            <img src="../images/icn-geo-zone-name.gif" alt="" align="top" />&nbsp;
                                                                <asp:Label ID="lblGeozone" runat="server" Text="Geozone"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                        <asp:Label ID="lblStationID" runat="server" Text='<%# Eval("GeozoneName") %>'></asp:Label>
                                                                    </DataItemTemplate>
                                                                    <Settings AllowSort="True" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="RFID" Caption="RFID" VisibleIndex="6" Visible="false">
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="GeozoneId" Caption="GeozoneId" VisibleIndex="7"
                                                                    Visible="false">
                                                                </dxw:GridViewDataColumn>
                                                            </Columns>
                                                            <SettingsText EmptyDataRow="No Unassigned Users found" />
                                                            <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                        </dxw:ASPxGridView>
                                                    </div>
                                                </div>
                                                <div class="form-box">
                                                    <div class="row rowSpace">
                                                        <div class="col-sm-6 col-md-8"></div>
                                                        <div class="col-sm-6 col-md-4">
                                                            <div class="form-groupAlign pull-right">
                                                                <asp:LinkButton ID="btnAssignUsers1" runat="server" class="btn" OnClick="AssignStudents"
                                                                    TabIndex="4" Width="64px" Visible="false"><span class="icon"><img src="../images/icn-user-assignment.gif" alt="" /></span><span>Assign</span></asp:LinkButton>
                                                                <asp:LinkButton ID="btnAssignUsers" runat="server" CssClass="MultilingualBtn" OnClick="AssignStudents"
                                                                    OnClientClick="return CheckSelectionForManipulation(3,'btnAssignUsers');ShowPopUp();">
                                                                    <span runat="server" class="MultilingualBtnspan">
                                                                        <div class="AssignUsers">
                                                                            <div id="AssignUserDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Assign
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </div>
                                                        </div>

                                                    </div>
                                                </div>
                                            </div>
                                        </asp:Panel>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlAssignedUsersList" runat="server" CssClass="ControlHide">
                                            <div id="grid-dsply">
                                                <div id="top">
                                                    <div class="left-col">
                                                        <span class="icon txt" style="padding-top: 0px">
                                                            <img src="../images/icn-user-assignment.gif" alt="" />
                                                            <asp:Label ID="lblAssignedUsers" runat="server" Font-Bold="true" Text="Assigned Users"></asp:Label>
                                                        </span>
                                                    </div>
                                                </div>
                                                <asp:HiddenField ID="hdnStudentsToBeUnassinged" runat="server" />
                                                <div style="width: 100%; overflow: auto;">
                                                    <div class="table-responsive">
                                                        <dxw:ASPxGridView ID="gvAssignedStudents" runat="server" Width="100%" KeyFieldName="StudentMasterID"
                                                            CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue" EnableTheming="true" Theme="Office2003Blue"
                                                            OnHtmlRowCreated="gvAssignedStudents_OnHtmlRowCreated" OnAfterPerformCallback="gvAssignedStudents_AfterPerformCallback">
                                                            <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChangedStudentAssign(2); }" />
                                                            <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                    <CollapsedButton Height="12px" Url="~/App_Themes/Office2  003 Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                    <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                </Images>--%>
                                                            <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                                CssPostfix="Office2003_Blue">
                                                                <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                </Header>
                                                                <LoadingPanel ImageSpacing="10px">
                                                                </LoadingPanel>
                                                                <PagerBottomPanel CssClass="PageFooter">
                                                                </PagerBottomPanel>
                                                                <PagerTopPanel CssClass="PageFooter">
                                                                </PagerTopPanel>
                                                            </Styles>
                                                            <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                                PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                                NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                                NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                            </SettingsPager>
                                                            <Columns>
                                                                <dxw:GridViewDataColumn FieldName="StudentMasterID" Caption="AutoID" VisibleIndex="0"
                                                                    Visible="false">
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewCommandColumn ShowSelectCheckbox="True" VisibleIndex="1" Width="50px">
                                                                    <HeaderTemplate>
                                                                        <input type="checkbox" id="chkSelectAll" runat="server" onclick="gvAssignedStudents.SelectAllRowsOnPage(this.checked);"
                                                                            style="vertical-align: middle;" tabindex="5"></input>
                                                                    </HeaderTemplate>
                                                                    <HeaderStyle Paddings-PaddingTop="1" Paddings-PaddingBottom="1" HorizontalAlign="Center" />
                                                                </dxw:GridViewCommandColumn>
                                                                <dxw:GridViewDataColumn FieldName="StudentID" Caption="Student ID" VisibleIndex="2"
                                                                    Width="200px">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/usermanage-icon.gif" align="top" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblUserNameU" runat="server" Text="Student ID"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:Label ID="lblUserNameU" runat="server" Text='<%# Eval("StudentID") %>'></asp:Label>
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="True" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="StudentFirstName" Caption="Student Name" VisibleIndex="2"
                                                                    Width="200px">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/usermanage-icon.gif" align="top" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblUserName" runat="server" Text="Student Name"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <Settings AllowAutoFilter="True" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="DisplayName" Caption="Display Name" VisibleIndex="3">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/icn-display-name.gif" align="top" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblDisplayName" runat="server" Text="Display Name"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <Settings AllowAutoFilter="True" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="SchoolName" Caption="School Name" VisibleIndex="4">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/school.png" align="top" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblSchoolNameU" runat="server" Text="School Name"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:Label ID="lblSchoolNameU" runat="server" Text='<%# Eval("SchoolName") %>'></asp:Label>
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="True" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="LandmarkName" Caption="Nearest Landkmark" VisibleIndex="5">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/landmark-icon.gif" align="top" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblLandmarkNameU" runat="server" Text="Nearest Landmark"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:Label ID="lblLandmarkNameU" runat="server" Text='<%# Eval("LandmarkName") %>'></asp:Label>
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="True" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataTextColumn FieldName="ActiveStatus" Caption="Active Status" VisibleIndex="6"
                                                                    HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center" Width="125px">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/icn-active-status.gif" align="top" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblActiveStatus" runat="server" Text="Active Status"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <table>
                                                                            <tr>
                                                                                <td>
                                                                                    <asp:Image ID="imgActiveStatus" runat="server" AlternateText="" />
                                                                                </td>
                                                                                <td>&nbsp;<asp:Label ID="lblActiveStatus" runat="server" Text='<%#Eval("ActiveStatusDisp") %>'></asp:Label>
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="False" />
                                                                </dxw:GridViewDataTextColumn>
                                                                <dxw:GridViewDataColumn Caption="Geozone" FieldName="GeozoneName" Width="150" VisibleIndex="7"
                                                                    Visible="false">
                                                                    <HeaderCaptionTemplate>
                                                                        <span>
                                                                            <img src="../images/icn-geo-zone-name.gif" alt="" align="top" />&nbsp;
                                                                <asp:Label ID="lblGeozone" runat="server" Text="Geozone"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                        <asp:Label ID="lblStationID" runat="server" Text='<%# Eval("GeozoneName") %>'></asp:Label>
                                                                    </DataItemTemplate>
                                                                    <Settings AllowSort="True" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="RFID" Caption="RFID" VisibleIndex="7" Visible="false">
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="GeozoneId" Caption="GeozoneId" VisibleIndex="8"
                                                                    Visible="false">
                                                                </dxw:GridViewDataColumn>
                                                            </Columns>
                                                            <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                            <SettingsText EmptyDataRow=" No Assigned Users found" />
                                                        </dxw:ASPxGridView>
                                                    </div>
                                                </div>
                                                <div class="form-box">
                                                    <div class="row rowSpace">
                                                        <div class="col-sm-6 col-md-8"></div>
                                                        <div class="col-sm-6 col-md-4">
                                                            <div class="form-groupAlign pull-right">
                                                                <asp:LinkButton ID="btnUnassignUsers1" runat="server" class="btn" OnClick="UnassignStudents"
                                                                    TabIndex="7" Width="75px" Visible="false"><span class="icon"><img src="../images/icn-unassigned-users.gif" alt="" /></span><span>Unassign</span></asp:LinkButton>
                                                                <asp:LinkButton ID="btnUnassignUsers" runat="server" CssClass="MultilingualBtn" OnClick="UnassignStudents"
                                                                    OnClientClick="return ShowPopUp(); CheckSelectionForManipulation(3,'btnAssignUsers');">
                                                                    <span runat="server" class="MultilingualBtnspan">
                                                                        <div class="UnassignUsers">
                                                                            <div id="UnassignUsersDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Unassign
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </asp:Panel>
                                    </div>
                                </div>
                                <!-- Main Content Ends Here -->
                                <div id="left">
                                </div>
                                <div class="clear clearfix">
                                </div>
                            </div>
                            <div id="right">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                    </div>
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="btnUnassignUsers" />
                    <asp:PostBackTrigger ControlID="btnAssignUsers" />
                </Triggers>
            </asp:UpdatePanel>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="pnlProgress1"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <%-- <asp:UpdateProgress ID="uprDataLoading" runat="server" DynamicLayout="True" AssociatedUpdatePanelID="updVhDetails">
            <ProgressTemplate>--%>
            <asp:Panel ID="pnlProgress1" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                <center>
                <br />
                <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
            </asp:Panel>

            <script language="javascript" type="text/javascript">
                function HidePopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').hide();
                    }
                }
                function ShowPopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').show();
                    }
                }
            </script>

            <script type="text/javascript" language="javascript" src="../js/StudentVehicleAssignmentScripts.js"></script>

            <%--<script type="text/javascript" language="javascript" src="../js/FormValidations.js"></script>--%>
            <asp:HiddenField ID="hdnLogout" runat="server" />
        </form>
    </div>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
