﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_VendorMaster, App_Web_0hg3yrhr" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dx" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <title>tSense-IoT Manage Vendor</title>
    <meta http-equiv="X-UA-Compatible" content="IE=7" />
    <link href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <style type="text/css">
        </style>

    <script language="JavaScript1.2" type="text/javascript" src="../js/myformvalidations.js"></script>

    <script src="../js/wow.min.js"></script>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <asp:UpdatePanel runat="server" ID="updVhDetails" UpdateMode="Conditional">
            <ContentTemplate>
                <div id="container">
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content">
                                            <div id="heading">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>Configuration</h1>
                                                <a href="Dashboard.aspx">Home</a><span>&gt;</span><span><a href="ConfigurationSetup.aspx">Vendor</a></span><span>&gt;</span><span><a
                                                    href="VendorMaster.aspx">Manage</a></span>
                                            </div>
                                            <div id="control-box">
                                                <table border="0" cellpadding="0" cellspacing="0" id="control-tbl" width="100%">
                                                    <tr>
                                                        <td>
                                                            <div id="control-btn">
                                                                <table>
                                                                    <tr height="20px">
                                                                        <td></td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>
                                                                            <asp:ImageButton ID="lbtnAddVendor" runat="server" OnClick="lbtnAddVendor_Click"
                                                                                ImageUrl="~/images/CSC/btn-add-vendors.jpg" />
                                                                            <%--<asp:LinkButton ID="lbtnAddVendor" runat="server" Text="Add Vendor" OnClick="lbtnAddVendor_Click"></asp:LinkButton>--%>
                                                                        </td>
                                                                        <td>&nbsp;&nbsp;
                                                                        </td>
                                                                        <td>&nbsp;&nbsp;
                                                                        </td>
                                                                        <td>
                                                                            <asp:ImageButton ID="btnBack" runat="server" CausesValidation="false" ImageUrl="~/images/btn-back-to-configuration.jpg"
                                                                                PostBackUrl="~/Forms/ConfigurationSetup.aspx" />
                                                                        </td>
                                                                        <td>&nbsp;&nbsp;
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlVendorInfo" runat="server" Visible="false">
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon">
                                                        <img src="../images/CSC/icn-vendor-informations.gif" alt="" /></span>Vendor Information</h1>
                                                <table align="left" cellspacing="5px" border="0" class="form-tbl">
                                                    <tr>
                                                        <td></td>
                                                        <td>
                                                            <asp:Label ID="lblVName" runat="server" Text="Vendor Name" CssClass="label"></asp:Label>
                                                            &nbsp;<asp:Label ID="Label2" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtVendorName" MaxLength="50" onkeypress="chkCharacter_only(this)"
                                                                TabIndex="1" runat="server"></asp:TextBox>
                                                        </td>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td>
                                                            <asp:Label ID="lblDisplayName" runat="server" Text="Display Name" CssClass="label"></asp:Label>
                                                            &nbsp;<asp:Label ID="Label14" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtDisplayName" MaxLength="10" onkeypress="return chkDescription(event,this,9);"
                                                                TabIndex="2" runat="server"></asp:TextBox>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td></td>
                                                        <td>
                                                            <asp:Label ID="lblAddress" runat="server" Text="Address" CssClass="label"></asp:Label>
                                                            &nbsp;<asp:Label ID="Label4" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtAddress" MaxLength="200" runat="server" TextMode="MultiLine"
                                                                onkeypress="return chkDescription(event,this,199);" TabIndex="3"></asp:TextBox>
                                                        </td>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td>
                                                            <asp:Label ID="lblsex" runat="server" Text="Sex" CssClass="label"></asp:Label>
                                                            &nbsp;<asp:Label ID="Label15" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:RadioButton ID="rbtMale" runat="server" Text="Male" GroupName="Sex" />
                                                            <asp:RadioButton ID="rbtFemale" runat="server" Text="Female" GroupName="Sex" />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td></td>
                                                        <td>
                                                            <asp:Label ID="lblPhoneNo" runat="server" Text="Phone No" CssClass="label"></asp:Label>
                                                            &nbsp;<asp:Label ID="Label6" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtPhoneNo" MaxLength="15" onkeypress="return chkPhone(this);" runat="server"
                                                                TabIndex="5"></asp:TextBox>
                                                            <br />
                                                            For e.g +91-04252-267604
                                                        </td>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td>
                                                            <asp:Label ID="lblMobileNo" runat="server" Text="Mobile No" CssClass="label"></asp:Label>
                                                            &nbsp;<asp:Label ID="Label16" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtMobileNo" onkeypress="return chkMobile(this);" MaxLength="15"
                                                                runat="server" TabIndex="6"></asp:TextBox>
                                                            <br />
                                                            For e.g 919047790266
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td></td>
                                                        <td>
                                                            <asp:Label ID="lblFaxNo" runat="server" Text="Fax No" CssClass="label"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtFaxNo" runat="server" onkeypress="return chkNumeric_only(this)"
                                                                MaxLength="20" TabIndex="7"></asp:TextBox>
                                                        </td>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td>
                                                            <asp:Label ID="lblEmailId" runat="server" Text="Email Id" CssClass="label"></asp:Label>
                                                            &nbsp;<asp:Label ID="Label17" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtEmailId" runat="server" MaxLength="100" TabIndex="7"></asp:TextBox>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td></td>
                                                        <td>
                                                            <asp:Label ID="lblWebsite" runat="server" CssClass="label" Text="Website URL"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtWebsite" runat="server" MaxLength="100" TabIndex="9"></asp:TextBox>
                                                        </td>
                                                        <td></td>
                                                        <td>
                                                            <asp:Label ID="lblCountry" runat="server" CssClass="label" Text="Country"></asp:Label>
                                                            &nbsp;<asp:Label ID="Label7" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtCountry" runat="server" onkeypress="chkCharacter_only(this)"
                                                                MaxLength="50" TabIndex="10"></asp:TextBox>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td></td>
                                                        <td>
                                                            <asp:Label ID="lblState" runat="server" CssClass="label" Text="State"></asp:Label>
                                                            &nbsp;<asp:Label ID="Label9" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtState" runat="server" onkeypress="chkCharacter_only(this)" MaxLength="50"
                                                                TabIndex="12"></asp:TextBox>
                                                        </td>
                                                        <td></td>
                                                        <td>
                                                            <asp:Label ID="lblZipCode" runat="server" CssClass="label" Text="Zip Code"></asp:Label>
                                                            &nbsp;<asp:Label ID="Label10" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtZipCode" runat="server" onkeypress="return chkNumeric_only(this)"
                                                                MaxLength="10" TabIndex="13"></asp:TextBox>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td class="split"></td>
                                                        <td>
                                                            <asp:Label ID="ExpiresOn" runat="server" CssClass="label" Text="Contract Expires On"></asp:Label>
                                                            &nbsp;<asp:Label ID="Label5" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox runat="server" ID="txtExpiresOn" onkeypress="return false" onpaste="return false"></asp:TextBox>
                                                            <cc1:CalendarExtender ID="ceExpiresOn" runat="server" CssClass="cal_Theme1" TargetControlID="txtExpiresOn"
                                                                OnClientDateSelectionChanged="checkPastDate">
                                                            </cc1:CalendarExtender>
                                                        </td>
                                                        <td></td>
                                                        <td></td>
                                                        <td></td>
                                                    </tr>
                                                    <tr>
                                                        <td></td>
                                                        <td colspan="2">
                                                            <asp:Label ID="Label1" runat="server" ForeColor="Red">*</asp:Label>&nbsp;
                                                        <asp:Label ID="Label3" runat="server">Required Fields</asp:Label>
                                                        </td>
                                                        <td colspan="3"></td>
                                                    </tr>
                                                    <tr>
                                                        <td align="left"></td>
                                                        <td></td>
                                                        <td style="padding: 0; margin: 0">
                                                            <table cellpadding="0" cellspacing="0" border="0">
                                                                <tr>
                                                                    <td>
                                                                        <asp:ImageButton ID="ibtnUpdateVendor" runat="server" CausesValidation="true" ImageUrl="~/images/btn-update.jpg"
                                                                            TabIndex="17" OnClientClick="return ValidateVendorInfo();" OnClick="ibtnUpdateVendor_Click" />
                                                                        <asp:ImageButton ID="ibtnAddVendor" runat="server" CausesValidation="true" ImageUrl="~/images/btn-save.jpg"
                                                                            TabIndex="16" OnClientClick="return ValidateVendorInfo();" OnClick="ibtnAddVendor_Click" />
                                                                    </td>
                                                                    <td>
                                                                        <asp:ImageButton ID="btnVendorCancel" runat="server" CausesValidation="false" TabIndex="18"
                                                                            ImageUrl="~/images/btn-cancel.jpg" OnClick="btnVendorCancel_Click" />
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td></td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </asp:Panel>
                                    </div>
                                    <div class="clear clearfix">
                                    </div>
                                    <asp:Panel ID="pnlVendorDetailsList" runat="server">
                                        <div class="form-box">
                                            <h1>
                                                <span class="icon">
                                                    <img src="../images/CSC/icn-vendor-informations.gif" alt="" /></span>
                                                Vendor Details</h1>
                                        </div>
                                        <div id="grid-dsply">

                                            <dxw:ASPxGridView ID="gvVendors" runat="server" Width="100%" EnableTheming="true" Theme="Office2003Blue"
                                                KeyFieldName="VendorId" CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue">
                                                <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                                <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                            </Images>--%>
                                                <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" AlternatingRow-Enabled="True"
                                                    CssPostfix="Office2003_Blue">
                                                    <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                    </Header>
                                                    <LoadingPanel ImageSpacing="10px">
                                                    </LoadingPanel>
                                                    <PagerBottomPanel CssClass="PageFooter">
                                                    </PagerBottomPanel>
                                                    <PagerTopPanel CssClass="PageFooter">
                                                    </PagerTopPanel>
                                                </Styles>
                                                <SettingsPager PageSize="10" PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                    PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                    NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                    NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif">
                                                </SettingsPager>
                                                <Columns>
                                                    <dxw:GridViewDataColumn FieldName="DisplayName" Caption="Vendor Name" Width="15%">
                                                        <HeaderCaptionTemplate>
                                                            <span>
                                                                <img src="../images/CSC/icn-vendor-name.gif" alt="" align="top" />&nbsp; Vendor Name</span>
                                                        </HeaderCaptionTemplate>
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="Address" Caption="Address" Width="10%">
                                                        <HeaderCaptionTemplate>
                                                            <span>
                                                                <img src="../images/CSC/icn-address.gif" alt="" align="middle" />&nbsp; Address</span>
                                                        </HeaderCaptionTemplate>
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="MobileNo" Caption="Mobile No" Width="10%">
                                                        <HeaderCaptionTemplate>
                                                            <span>
                                                                <img src="../images/CSC/icn-contact-number.gif" alt="" align="middle" />&nbsp; Mobile No</span>
                                                        </HeaderCaptionTemplate>
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="EmailId" Caption="EmailId" Width="10%">
                                                        <HeaderCaptionTemplate>
                                                            <span>
                                                                <img src="../images/CSC/icn-email.gif" alt="" align="top" />&nbsp; EmailId</span>
                                                        </HeaderCaptionTemplate>
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="Country" Caption="Country" Width="10%">
                                                        <HeaderCaptionTemplate>
                                                            <span>
                                                                <img src="../images/CSC/icn-country-name.gif" alt="" align="top" />&nbsp;Country</span>
                                                        </HeaderCaptionTemplate>
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="State" Caption="State" Width="10%">
                                                        <HeaderCaptionTemplate>
                                                            <span>
                                                                <img src="../images/CSC/icn-state.gif" alt="" align="top" />&nbsp; State</span>
                                                        </HeaderCaptionTemplate>
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataTextColumn Caption="Edit" Width="3%" Name="Edit">
                                                        <HeaderTemplate>
                                                        </HeaderTemplate>
                                                        <DataItemTemplate>
                                                            <asp:ImageButton ID="btnUpdateVehicle" runat="server" CommandArgument='<%# Eval("VendorId") %>'
                                                                AlternateText="Update" ImageUrl="~/images/icn-edit.gif" ToolTip="Click here to Update"
                                                                ImageAlign="Middle" OnClick="btnUpdateVendor_Click" />
                                                        </DataItemTemplate>
                                                    </dxw:GridViewDataTextColumn>
                                                </Columns>
                                                <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                <ClientSideEvents EndCallback="function(s, e) {document.getElementById('btnTest').click();}" />
                                                <SettingsText EmptyDataRow="No Vendor details found" />
                                            </dxw:ASPxGridView>
                                            <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvVendors">
                                                <PageFooter Right="[Page # of Pages #]">
                                                </PageFooter>
                                            </dxw:ASPxGridViewExporter>
                                        </div>
                                    </asp:Panel>
                                </div>
                            </div>
                            <%--</div>--%>
                            <!-- Main Content Ends Here -->
                            <div id="left">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                        <div id="right">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                </div>
                <!-- Content Ends Here -->
                </div>
               <asp:Button ID="btnTest" Text="Test" CssClass="ControlHide" runat="server" />
            </ContentTemplate>
            <Triggers>
                <%--  <asp:PostBackTrigger ControlID="btnExport" />--%>
                <asp:PostBackTrigger ControlID="btnTest" />
            </Triggers>
        </asp:UpdatePanel>
        <uc2:Footer ID="ucFooter" runat="server" />

        <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>

        <script language="javascript" type="text/javascript" src="../js/FormValidations.js"></script>

        <script src="../js/myformvalidations.js" type="text/javascript"></script>
        <asp:HiddenField ID="hdnLogout" runat="server" />
    </form>
</body>
</html>
