﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_ConfigurationSetup, App_Web_jdlqef1a" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<!DOCTYPE html>
<html lang="en">
<head runat="server">
    <title>tSense-IoT Configuration</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <%--<meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />--%>

    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <link rel="icon" href="../NewDesign/img/favicon.png" type="image/x-icon">
    <link href="../NewDesign/css/bootstrap.css" rel="stylesheet" />
    <link href="../NewDesign/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/css/responsive.css" rel="stylesheet" />
    <link href="../NewDesign/css/style.css" rel="stylesheet" />
    <script src="../NewDesign/js/jquery.min.js"></script>
    <script src="../js/jquery-3.3.1.min.js"></script>
    <script src="../NewDesign/js/bootstrap.min.js"></script>
    <script src="../NewDesign/js/jquery.js"></script>
    <script src="../NewDesign/js/script.js"></script>
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.min.css" rel="stylesheet" />

    <%--BootStrap Css--%>
    <%--<link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />--%>
    <%--<link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />--%>
    <%--End of BootStrap Css--%>

    <script src="../js/jquery-1.5.1.min.js" type="text/javascript"></script>
    <script src="../js/jquery-ui-1.7.2.custom.min.js" type="text/javascript"></script>
    <script src="../js/DragDropPanel.js" type="text/javascript"></script>

    <style type="text/css">
        .displayNone {
            display: none;
        }

        #btn span {
            width: 135px !important;
        }
    </style>
    <script src="../js/wow.min.js"></script>
</head>

<body class="white">
    <div class="page-wrapper">
        <div class="preloader"></div>
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePageMethods="true">
            </asp:ScriptManager>
            <asp:Button ID="lbtnSchedulingOfCommands" runat="server" OnClick="lbtnSchedulingOfCommands_Click"
                CssClass="displayNone" />
            <!-- Header Starts Here -->
            <uc1:Header ID="ucHeader" runat="server" />
            <!-- Nav Ends Here -->
            <!-- Content Starts Here -->
            <div class="vlive-reports-section maintenance">
                <div class="container-fluid">
                    <div class="row clearfix">
                        <div class="col-sm-12">
                            <h2 class="pull-left">
                                <asp:Literal ID="lblConfigurationSetupCaption" runat="server"></asp:Literal></h2>
                        </div>
                        <div class="col-sm-12">
                            <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
                                <NodeStyle CssClass="active" />
                            </asp:SiteMapPath>
                            <a href ="AlarmConfiguration.aspx">Alarms</a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="vlive-filter">
                <div class="container-fluid">
                    <div class="vlive-centrifugal-fan maintenance-plan">
                        <asp:UpdatePanel ID="updConfigPanel" runat="server">
                            <ContentTemplate>
                                <div class="row">
                                    <div runat="server" class="col-sm-12" id="tdConfigContent">
                                    </div>
                                </div>
                            </ContentTemplate>
                        </asp:UpdatePanel>
                    </div>
                </div>
            </div>


            <style type="text/css">
                #divRouteManagement tr:nth-child(5) {
                    /*display:none !important;*/
                }
            </style>
        </form>
    </div>
    <uc2:Footer ID="Footer1" runat="server" />
</body>
</html>
