﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_GroupUserAssignment, App_Web_i1f0pxcz" enableeventvalidation="false" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>--%>
<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>
<!DOCTYPE html>
<html lang="en">
<head runat="server">
    <title>tSense-IoT Configuration</title>
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <%--<link href="../css/Updated_css.css" rel="stylesheet" type="text/css" />--%>
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <link rel="icon" href="../NewDesign/img/favicon.png" type="image/x-icon">
    <link href="../NewDesign/css/bootstrap.css" rel="stylesheet" />
    <link href="../NewDesign/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/css/responsive.css" rel="stylesheet" />
    <link href="../NewDesign/css/style.css" rel="stylesheet" />
    <script src="../NewDesign/js/jquery.min.js"></script>
    <script src="../js/jquery-3.3.1.min.js"></script>
    <script src="../NewDesign/js/bootstrap.min.js"></script>
    <script src="../NewDesign/js/jquery.js"></script>
    <script src="../NewDesign/js/script.js"></script>
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.min.css" rel="stylesheet" />
    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <%--BootStrap Css--%>
    <%--<link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />--%>
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>
    <script src="../js/bootstrap.min.js" type="text/javascript"></script>
    <script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <script src="../js/wow.min.js"></script>
</head>
<body class="white">
    <div class="page-wrapper">
        <div class="preloader"></div>
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <!-- Header Starts Here -->
            <uc1:Header ID="ucHeader" runat="server" />
            <!-- Nav Ends Here -->
            <!-- Content Starts Here -->
            <asp:UpdatePanel ID="updGrid" runat="server">
                <ContentTemplate>
                    <div class="vlive-reports-section maintenance">
                        <div class="container-fluid">
                            <div class="row clearfix">
                                <div class="col-ks-16">
                                    <div class="col-ks-8 HeaderTest">
                                        <div class="col-ks-16">
                                            <h2>
                                                <asp:Literal ID="lblConfigurationCaption" Text="Configuration" runat="server"></asp:Literal>
                                            </h2>
                                        </div>
                                        <div class="col-ks-16">
                                            <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
                                                <NodeStyle CssClass="active" />
                                            </asp:SiteMapPath>
                                        </div>
                                    </div>
                                    <div class="col-ks-8 HeaderTopButton">
                                        <asp:LinkButton ID="lbtUserMgt" runat="server" CssClass="btn-fa-user btn btn-primary" PostBackUrl="~/Forms/UserManipulation.aspx">
                                        </asp:LinkButton>
                                        <asp:LinkButton ID="ibtManageUserGroup" runat="server" CssClass="btn-fa-users btn btn-primary"
                                            PostBackUrl="~/Forms/UserGroups.aspx">
                                        </asp:LinkButton>
                                        <asp:LinkButton ID="ibtBackToConfig" runat="server" CssClass="fa-arrow-left btn btn-primary" PostBackUrl="~/Forms/ConfigurationSetup.aspx">
                                        </asp:LinkButton>
                                    </div>
                                    <div class="col-ks-8 HeaderTopButton ControlHide">
                                        <div class="col-ks-4_5" align="right">
                                            <asp:ImageButton ID="lbtUserMgt1" runat="server" ImageUrl="~/images/btn-manage-users.jpg"
                                                TabIndex="8" PostBackUrl="~/Forms/UserManipulation.aspx" Visible="false" />

                                        </div>
                                        <div class="col-ks-5_5" align="center">
                                            <asp:ImageButton ID="ibtManageUserGroup1" runat="server" ImageUrl="~/images/btn-manage-usergroup.jpg"
                                                TabIndex="9" PostBackUrl="~/Forms/UserGroups.aspx" Visible="false" />

                                        </div>
                                        <div class="col-ks-6">
                                            <asp:ImageButton ID="ibtBackToConfig1" runat="server" ImageUrl="~/images/btn-back-to-configuration.jpg"
                                                TabIndex="10" PostBackUrl="~/Forms/ConfigurationSetup.aspx" Visible="false" />

                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                    <asp:Panel ID="pnlUsrGroupSelection" runat="server" CssClass="ControlShow">
                        <div class="vlive-filter">
                            <div class="container-fluid">
                                <div class="vlive-centrifugal-fan maintenance-plan">
                                    <div class="col-ks-16 vlive-header_VXL">
                                        <div class="col-ks-16">
                                            <asp:Label ID="lblGroupUserAssignment" runat="server" CssClass="pnlhearder" Text="Group User Assignment"></asp:Label>
                                        </div>
                                    </div>
                                    <div class="row ftop">
                                        <div class="col-md-12" style="padding-top: 10px;">
                                            <div class="col-ks-4">
                                                <asp:Label ID="lblUserGroups" CssClass="labelAlign" runat="server" Font-Bold="true" Text="User Groups"></asp:Label>
                                            </div>
                                            <div class="col-ks-6">
                                                <asp:DropDownList ID="ddlUserGroups" runat="server" CssClass="form-control FontAlign" AutoPostBack="true" TabIndex="1"
                                                    AppendDataBoundItems="true" OnChange="ShowPopUp();" OnSelectedIndexChanged="ddlUserGroups_SelectedIndexChanged">
                                                </asp:DropDownList>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </asp:Panel>
                    <div class="clear clearfix">
                    </div>
                    <asp:Panel ID="pnlUnAssignedUsersList" runat="server" CssClass="ControlHide">
                        <div class="vlive-filter">
                            <div class="container-fluid">
                                <div class="vlive-centrifugal-fan maintenance-plan">
                                    <div class="col-ks-16 vlive-header_Sub">
                                        <div class="col-ks-16">
                                            <asp:Label ID="lblUnassignedUsers" runat="server" Font-Bold="true" Text="Unassigned Users"></asp:Label>
                                        </div>
                                    </div>
                                    <div class="row ftop">
                                        <div class="col-md-12" style="padding-top: 10px">
                                            <asp:HiddenField ID="hdnUsersToBeAssigned" runat="server" />
                                            <asp:HiddenField ID="hdnAssignedGroupUser" runat="server" />
                                            <dxw:ASPxGridView ID="gvUnAssignedUsers" runat="server" Width="100%" KeyFieldName="UserId"
                                                CssFilePath="~/App_Themes/office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvUnAssignedUsers_OnHtmlRowCreated"
                                                EnableViewState="false" OnAfterPerformCallback="gvUnAssignedUsers_AfterPerformCallback">
                                                <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChangedGroupAssign(1); }" />
                                                <Styles CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                    CssPostfix="Office2003_Blue">
                                                    <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                    </Header>
                                                    <LoadingPanel ImageSpacing="10px">
                                                    </LoadingPanel>
                                                    <PagerBottomPanel CssClass="PageFooter">
                                                    </PagerBottomPanel>
                                                    <PagerTopPanel CssClass="PageFooter">
                                                    </PagerTopPanel>
                                                </Styles>
                                                <SettingsPager PrevPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pPrev.gif"
                                                    PrevPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pPrevDisabled.gif"
                                                    NextPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pNextDisabled.gif"
                                                    NextPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                </SettingsPager>
                                                <Columns>
                                                    <dxw:GridViewDataColumn FieldName="UserId" Caption="AutoID" VisibleIndex="0" Visible="false">
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewCommandColumn ShowSelectCheckbox="True" VisibleIndex="1" Width="50px">
                                                        <HeaderTemplate>
                                                            <input type="checkbox" id="chkSelectAll" runat="server" onclick="gvUnAssignedUsers.SelectAllRowsOnPage(this.checked);"
                                                                style="vertical-align: middle;"
                                                                tabindex="1"></input>
                                                        </HeaderTemplate>
                                                        <HeaderStyle Paddings-PaddingTop="1" Paddings-PaddingBottom="1" HorizontalAlign="Center" />
                                                    </dxw:GridViewCommandColumn>
                                                    <dxw:GridViewDataColumn FieldName="UserName" Caption="User Name" VisibleIndex="2"
                                                        Width="150px">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblUserNameU" runat="server" Text="User Name"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <DataItemTemplate>
                                                            <asp:Label ID="lblUserNameU" runat="server" Text='<%# Eval("UserName") %>'></asp:Label>
                                                        </DataItemTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="DisplayName" Caption="Display Name" VisibleIndex="3" Width="150px">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblDisplayNameU" runat="server" Text="Display Name"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <DataItemTemplate>
                                                            <asp:Label ID="lblDisplayNameU" runat="server" Text='<%# Eval("DisplayName") %>'></asp:Label>
                                                        </DataItemTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="GroupBelongsTo" Caption="Group" VisibleIndex="4"
                                                        Width="150px">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblGroupU" runat="server" Text="Group"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <DataItemTemplate>
                                                            <asp:Label ID="lblGroupU" runat="server" Text='<%# Eval("GroupBelongsTo") %>'></asp:Label>
                                                        </DataItemTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="LastName" Caption="Customer Name" VisibleIndex="5"
                                                        Width="150px">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblALastName" runat="server" Text="Customer Name"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="ActiveStatus" Caption="Active Status" VisibleIndex="6"
                                                        HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center" Width="125px">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblActiveStatusU" runat="server" Text="Active Status"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <DataItemTemplate>
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <asp:LinkButton ID="imgUnAssActiveStatus" runat="server" Style="cursor: default"></asp:LinkButton>
                                                                        <%--<asp:Image ID="imgUnAssActiveStatus" runat="server" AlternateText="" />--%>
                                                                    </td>
                                                                    <td>&nbsp;<asp:Label ID="lblUnAssActiveStatus" runat="server" Text='<%#Eval("ActiveStatusDisp") %>'></asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </DataItemTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="LockedStatus" Caption="Locked Status" VisibleIndex="7"
                                                        HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center" Width="125px">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblLockedStatusU" runat="server" Text="Locked Status"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <DataItemTemplate>
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <%--<asp:Image ID="imgUnAssLockedStatus" runat="server" AlternateText="" />--%>
                                                                        <asp:LinkButton ID="imgUnAssLockedStatus" runat="server" Style="cursor: default"></asp:LinkButton>
                                                                    </td>
                                                                    <td>&nbsp;<asp:Label ID="lblUnAssLockedStatus" runat="server" Text='<%#Eval("LockedStatusDisp") %>'></asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </DataItemTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataTextColumn>
                                                </Columns>
                                                <SettingsText EmptyDataRow="No Unassigned Users found" />
                                                <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                            </dxw:ASPxGridView>
                                        </div>
                                        <div class="col-md-12" style="padding-top: 10px">
                                            <div class="col-ks-13">
                                            </div>
                                            <div class="col-ks-3" align="right">
                                                <asp:LinkButton ID="btnAssignUsers1" runat="server" class="btn" OnClick="AssignUsers"
                                                    TabIndex="4" Width="64px" Visible="false"><span class="icon"><img src="../images/icn-user-assignment.gif" alt="" /></span><span>Assign</span></asp:LinkButton>
                                                <asp:LinkButton ID="btnAssignUsers" runat="server" CssClass="btn btn-primary btn-fa-check-circle-o" OnClick="AssignUsers" Text="&nbsp;&nbsp;Assign">
                                                </asp:LinkButton>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </asp:Panel>
                    <div class="clear clearfix">
                    </div>
                    <asp:Panel ID="pnlAssignedUsersList" runat="server" CssClass="ControlHide">
                        <div class="vlive-filter">
                            <div class="container-fluid">
                                <div class="vlive-centrifugal-fan maintenance-plan">
                                    <div class="col-ks-16 vlive-header_Sub">
                                        <div class="col-ks-16">
                                            <asp:Label ID="lblAssignedUsers" runat="server" Font-Bold="true" Text="Assigned Users"></asp:Label>
                                        </div>
                                    </div>
                                    <div class="row ftop">
                                        <div class="col-md-12" style="padding-top: 10px">
                                            <asp:HiddenField ID="hdnUsersToBeUnassinged" runat="server" />
                                            <dxw:ASPxGridView ID="gvAssignedUsers" runat="server" Width="100%" KeyFieldName="UserId"
                                                CssFilePath="~/App_Themes/office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvAssignedUsers_OnHtmlRowCreated"
                                                OnAfterPerformCallback="gvAssignedUsers_AfterPerformCallback">
                                                <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChangedGroupAssign(2); }" />
                                                <%--<Images ImageFolder="~/App_Themes/office2003Blue/GridView/">
                                                    <CollapsedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <ExpandedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                    <DetailCollapsedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <DetailExpandedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                </Images>--%>
                                                <Styles CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                    CssPostfix="Office2003_Blue">
                                                    <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                    </Header>
                                                    <LoadingPanel ImageSpacing="10px">
                                                    </LoadingPanel>
                                                    <PagerBottomPanel CssClass="PageFooter">
                                                    </PagerBottomPanel>
                                                    <PagerTopPanel CssClass="PageFooter">
                                                    </PagerTopPanel>
                                                </Styles>
                                                <SettingsPager PrevPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pPrev.gif"
                                                    PrevPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pPrevDisabled.gif"
                                                    NextPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pNextDisabled.gif"
                                                    NextPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                </SettingsPager>
                                                <Columns>
                                                    <dxw:GridViewDataColumn FieldName="UserId" Caption="AutoID" VisibleIndex="0" Visible="false">
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewCommandColumn ShowSelectCheckbox="True" VisibleIndex="1" Width="50px">
                                                        <HeaderTemplate>
                                                            <input type="checkbox" id="chkSelectAll" runat="server" onclick="gvAssignedUsers.SelectAllRowsOnPage(this.checked);"
                                                                style="vertical-align: middle;"
                                                                tabindex="5"></input>
                                                        </HeaderTemplate>
                                                        <HeaderStyle Paddings-PaddingTop="1" Paddings-PaddingBottom="1" HorizontalAlign="Center" />
                                                    </dxw:GridViewCommandColumn>
                                                    <dxw:GridViewDataColumn FieldName="UserName" Caption="User Name" VisibleIndex="2"
                                                        Width="150px">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblUserName" runat="server" Text="User Name"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="DisplayName" Caption="Display Name" VisibleIndex="3" Width="150px">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblDisplayName" runat="server" Text="Display Name"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="GroupBelongsTo" Caption="Group" VisibleIndex="4"
                                                        Width="150px">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblGroup" runat="server" Text="Group"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="LastName" Caption="Customer Name" VisibleIndex="5"
                                                        Width="150px">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblALastName" runat="server" Text="Customer Name"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="ActiveStatus" Caption="Active Status" VisibleIndex="6"
                                                        HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center" Width="125px">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblActiveStatus" runat="server" Text="Active Status"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <DataItemTemplate>
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <%--<asp:Image ID="imgActiveStatus" runat="server" AlternateText="" />--%>
                                                                        <asp:LinkButton ID="imgActiveStatus" runat="server" Style="cursor: default"></asp:LinkButton>
                                                                    </td>
                                                                    <td>&nbsp;<asp:Label ID="lblActiveStatus" runat="server" Text='<%#Eval("ActiveStatusDisp") %>'></asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </DataItemTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="LockedStatus" Caption="Locked Status" VisibleIndex="7"
                                                        HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center" Width="125px">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblLockedStatus" runat="server" Text="Locked Status"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <DataItemTemplate>
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <%--<asp:Image ID="imgLockedStatus" runat="server" AlternateText="" />--%>
                                                                        <asp:LinkButton ID="imgLockedStatus" runat="server" Style="cursor: default;"></asp:LinkButton>
                                                                    </td>
                                                                    <td>&nbsp;<asp:Label ID="lblLockedStatus" runat="server" Text='<%#Eval("LockedStatusDisp") %>'></asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </DataItemTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataTextColumn>
                                                </Columns>
                                                <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                <SettingsText EmptyDataRow=" No Assigned Users found" />
                                            </dxw:ASPxGridView>
                                        </div>
                                        <div class="col-md-12" style="padding-top: 10px">
                                            <div class="col-ks-13">
                                            </div>
                                            <div class="col-ks-3" align="right">
                                                <asp:LinkButton ID="btnUnassignUsers1" runat="server" class="btn" OnClick="UnassignUsers"
                                                    TabIndex="7" Width="75px" Visible="false"><span class="icon"><img src="../images/icn-unassigned-users.gif" alt="" /></span><span>Unassign</span></asp:LinkButton>
                                                <asp:LinkButton ID="btnUnassignUsers" runat="server" CssClass="btn btn-primary btn-fa-times-circle-o" Text="&nbsp;&nbsp;Unassign" OnClick="UnassignUsers">
                                                </asp:LinkButton>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </asp:Panel>
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="btnUnassignUsers" />
                    <asp:PostBackTrigger ControlID="btnAssignUsers" />
                </Triggers>
            </asp:UpdatePanel>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="progressPopUp"
                TargetControlID="btnTesting" BackgroundCssClass="modalBackground">
            </cc1:ModalPopupExtender>
            <%--   <asp:Button ID="Button1" Style="display: none;" runat="server" />--%>
            <asp:Panel ID="progressPopUp" runat="server" CssClass="processMessage" Style="display: none;">
                <center>
                <br />
                <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
            </asp:Panel>
            <script type="text/javascript" language="javascript" src="../js/GroupUserAssignmentScripts.js"></script>
            <%--<script type="text/javascript" language="javascript" src="../js/FormValidations.js"></script>--%>
            <asp:HiddenField ID="hdnLogout" runat="server" />
        </form>
    </div>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
