﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_HistoryFullScreen, App_Web_pfnjsimb" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%@ Register Assembly="DevExpress.XtraCharts.v14.2.Web" Namespace="DevExpress.XtraCharts.Web" TagPrefix="dxchartsui" %>
<%@ Register Assembly="DevExpress.XtraCharts.v14.2" Namespace="DevExpress.XtraCharts" TagPrefix="dxcharts" %>
<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>--%>

<!DOCTYPE html>
<html lang="en">
<head id="Head1" runat="server">
    <title>tSense-IoT Full screen History View</title>
    <%--<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />--%>
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />

    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="style" runat="server" href="../css/style.css" rel="stylesheet" type="text/css" />
    <link id="skin" runat="server" rel="stylesheet" type="text/css" href="../css/skin.css" />
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />

    <%--BootStrap Css--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>

    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <script src="../js/CommonFuncitonsInHeader.js" lang="javascript" type="text/javascript"></script>
    <script src="../js/jquery-1.2.3.pack.js" type="text/javascript"></script>
    <script type="text/javascript" src="../js/jZip.js"></script>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <%--onload="if(loadFullscreen()){setTimeout ('doPostback()',2000);}"onprerender="ShowPopUp();"--%>
    <div class="pageContainer">
        <form id="form1" runat="server">
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="progressPopUp"
                TargetControlID="btnTesting" BackgroundCssClass="modalBackground">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <asp:HiddenField ID="hdnLandmarkEntries" runat="server" Value="" />
            <input type="hidden" id="hdnRouteValue" runat="server" />
            <input type="hidden" id="hdnRouteValue_adv" runat="server" />
            <asp:HiddenField ID="hdnRetValue" runat="server" />
            <asp:Panel ID="progressPopUp" runat="server" CssClass="processMessage" Style="z-index: 1000; display: none;">
                <center>
                <br />
                <img alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
            </asp:Panel>
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <br />
            <div class="center-col" align="center" id="disclaimer" runat="server">
                <b>For the playback feature to work fine, please have the latest version of your browser (Firefox 37.0 or higher, Chrome 42.0 or higher, IE 10.0 or higher).</b>
            </div>
            <div id="divChangeAlertView" class="data-icn" runat="server" style="float: right" oncontextmenu="return false;">
                <asp:CheckBox ID="chkChangeViewCriticalAlert"
                    runat="server" Checked="true" onclick="chart();" onchange="chart();" />
                <cc1:ToggleButtonExtender ID="ToggleButtonExtender2" runat="server" TargetControlID="chkChangeViewCriticalAlert"
                    CheckedImageUrl="~/images/icn-chart-view.gif" CheckedImageAlternateText="Chart View"
                    UncheckedImageUrl="~/images/50.png" UncheckedImageAlternateText="Map View"
                    ImageHeight="16" ImageWidth="16">
                </cc1:ToggleButtonExtender>
            </div>
            <br />
            <!-- Content Starts Here -->
            <div id="outer">
                <div id="inner">
                    <div id="float-wrap">
                        <!-- Main Content Starts Here -->
                        <div id="content">
                            <div class="content-wrap">
                                <%--<div id="divVehicleName" runat="server">
                                VehicleName
                            </div>--%>
                                <div id="playbackControls" class="ControlHide">
                                    <img id="animate" src="../images/play.png" alt="Play" title="Play" />
                                    <img id="resetPlay" src="../images/reset.png" alt="Reset" title="Reset" />
                                    <img id="stopPlayBack" src="../images/stop.png" alt="Stop" title="stop" />
                                    <img id="slow" src="../images/slow.png" alt="Play Slow" title="Slow" />
                                    <img id="medium" src="../images/medium.png" alt="Play Medium" title="Medium" />
                                    <img id="fast" src="../images/fast.png" alt="Play Fast" title="Fast" />
                                </div>
                                <div id="map-lang" style="right: 0px; height: auto; position: absolute; z-index: 100; margin-top: 05px; padding-top: 0px; float: right;">
                                    <div class='panel_lng' align='center' id='lnkLegend'>
                                        <div class='panelcontent_lng'>
                                            <asp:Panel ID="pnlH3_legend" runat="server">
                                                <table id='tblLegend_lng' align='right' style='direction: ltr;'>
                                                    <tr>
                                                        <td align='right' style='padding: 6px 0px 6px 6px;'>
                                                            <table cellpadding='2' cellspacing='2' align='right' width='100px' height='25px'>
                                                                <tr>
                                                                    <td align='left'>
                                                                        <span id="eng3" class="H_btn H_rdo_title" title="Switch To English Language" aria-role="label"
                                                                            style="cursor: pointer">ENG</span>
                                                                    </td>
                                                                    <td align='left'>
                                                                        <span id="arb3" class="H_btn H_rdo_title" title="التحول إلى اللغة العربية" aria-role="label"
                                                                            style="cursor: pointer">العربية</span>
                                                                    </td>
                                                                    <td align='left'>
                                                                        <span id="hin3" class="H_btn H_rdo_title" title="हिन्दी भाषा के लिए स्विच" aria-role="label"
                                                                            style="cursor: pointer">हिंदी</span>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </asp:Panel>
                                            <asp:Panel ID="pnlH2_legend" runat="server">
                                                <ul class="nm_mapSettingsWrap nm_layout_horizontal nm_right" aria-expanded="false"
                                                    aria-role="menubar">
                                                    <dl aria-haspopup="true" aria-hidden="false" aria-expanded="false" class="nm_dropDownMenu  nm_mapSelectorWrap nm_wrap nm_layout_horizontal nm_firstInGroup nm_lastInGroup"
                                                        tabindex="0" aria-role="menu">
                                                        <dt class="nm_menuItemMapType" aria-role="menuitem"><span id="eng2" class="nm_labelOpen nm_firstBG"
                                                            title="Switch To English Language" aria-role="label" style="cursor: pointer">ENG</span>
                                                        </dt>
                                                    </dl>
                                                </ul>
                                                <ul class="nm_mapSettingsWrap nm_layout_horizontal nm_right" aria-expanded="false"
                                                    aria-role="menubar">
                                                    <dl aria-haspopup="true" aria-hidden="false" aria-expanded="false" class="nm_dropDownMenu  nm_mapSelectorWrap nm_wrap nm_layout_horizontal nm_firstInGroup nm_lastInGroup"
                                                        tabindex="0" aria-role="menu">
                                                        <dt class="nm_menuItemMapType" aria-role="menuitem"><span id="arb2" class="nm_labelOpen nm_firstBG"
                                                            title="التحول إلى اللغة العربية" aria-role="label" style="cursor: pointer">العربية</span>
                                                        </dt>
                                                    </dl>
                                                </ul>
                                                <ul class="nm_mapSettingsWrap nm_layout_horizontal nm_right" aria-expanded="false"
                                                    aria-role="menubar">
                                                    <dl aria-haspopup="true" aria-hidden="false" aria-expanded="false" class="nm_dropDownMenu  nm_mapSelectorWrap nm_wrap nm_layout_horizontal nm_firstInGroup nm_lastInGroup"
                                                        tabindex="0" aria-role="menu">
                                                        <dt class="nm_menuItemMapType" aria-role="menuitem"><span id="hin2" class="nm_labelOpen nm_firstBG"
                                                            title="हिन्दी भाषा के लिए स्विच" aria-role="label" style="cursor: pointer">हिंदी</span></dt>
                                                    </dl>
                                                </ul>
                                            </asp:Panel>
                                        </div>
                                    </div>
                                </div>
                                <div id="map-legend" style="right: 0px; height: auto; position: absolute; z-index: 100; margin-top: 125px; padding-top: 0px; float: right;">
                                </div>
                                <div id="map-dsply" style="direction: ltr">
                                </div>
                                <style type="text/css">
                                    .nm_buttonPair {
                                        right: 97%;
                                    }

                                    @media screen and (-webkit-min-device-pixel-ratio:0) {
                                        .nm_zoomWrap {
                                            margin-right: 96%;
                                        }
                                    }

                                    .nm_mapSettingsWrap {
                                        display: inline-block !important;
                                        position: relative;
                                        z-index: 10000000;
                                    }

                                    .nm_right[aria-role="menubar"] {
                                        float: left;
                                        margin-left: 3px; /*margin-right: 94%;*/
                                    }
                                </style>
                                <div class="clear clearfix" style="padding-top: 5px">
                                </div>
                                <div id="chart-dsply" dir="ltr" class="ControlHide" style="z-index: 100; position: relative; width: 99.4% !important; border: 4px solid white; background-color: white;">
                                    <dxchartsui:WebChartControl ID="wcTempChart" runat="server" DiagramTypeName="XYDiagram"
                                        ShowLoadingPanel="true" LoadingPanelText="" AppearanceName="In A Fog" CrosshairEnabled="True"
                                        ClientInstanceName="wcTempChart" CssClass="AlignCenter TopLargeMargin"
                                        OnCustomCallback="wcTempChart_CustomCallback" SaveStateOnCallbacks="False"
                                        OnCustomDrawSeriesPoint="wcTempChart_CustomDrawSeriesPoint"
                                        ToolTipEnabled="False">
                                        <clientsideevents endcallback="function(s, e) {captureChartImage();}" />
                                    </dxchartsui:WebChartControl>
                                    <script language="javascript">
                                        function DoCallbackTempChart() {
                                            //alert('out');
                                            if (document.getElementById('wcTempChart') != undefined) {
                                                //alert('in');
                                                wcTempChart.PerformCallback();
                                            }

                                        }

                                    </script>
                                </div>
                            </div>
                        </div>
                        <!-- Main Content Ends Here -->
                        <div id="left">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <div id="right">
                    </div>
                    <div class="clear clearfix">
                    </div>
                </div>
            </div>
            <asp:HiddenField ID="hdnMapType" runat="server" Value="N" />
            <asp:HiddenField ID="hdnShowTemp" runat="server" Value="0" />
            <asp:UpdatePanel ID="updMap" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <asp:Button ID="btnMap" runat="server" Text="Full Map" Style="display: none" OnClick="btnMap_Click" /><%--OnClick="btnMap_Click"--%>
                    <asp:Timer ID="tmrRefresh" runat="server" Enabled="false">
                        <%--OnTick="tmrRefresh_Tick"--%>
                    </asp:Timer>
                </ContentTemplate>
            </asp:UpdatePanel>
            <asp:HiddenField ID="hdnAddLandmark" runat="server" />
            <asp:HiddenField ID="hdnlang" runat="server" />
            <asp:HiddenField ID="hdnMapLng" runat="server" />
            <input id="chartWidth" type="hidden" runat="server" />
            <input id="chartHeight" type="hidden" runat="server" />
            <asp:HiddenField ID="hdnChartImageVal" runat="server" />
            <!-- Content Ends Here -->
            <!-- LandMark Panel-->
            <asp:Panel ID="pnlLandmark" runat="server" class="landmarkPanel col-sm-8 col-md-6 col-lg-4">
                <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
                        <span id="spLatlng" name="spLatlng" style="display: none;">
                            <div class="col-sm-12">
                                <div class="form-group">
                                    <div class="col-sm-6">
                                        <asp:Label ID="Label24" runat="server" Text="Latitude"></asp:Label>
                                    </div>
                                    <div class="col-sm-6">
                                        <asp:Label ID="Label25" runat="server" Text="Longitude"></asp:Label>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-6">
                                        <asp:TextBox ID="txtlat" runat="server" CssClass="form-control"></asp:TextBox>
                                    </div>
                                    <div class="col-sm-6">
                                        <asp:TextBox ID="txtlong" runat="server" CssClass="form-control"></asp:TextBox>
                                    </div>
                                </div>
                            </div>
                        </span>
                        <div class="popup">
                            <%--<table cellpadding="0" cellspacing="0" border="0" width="100%" class="popup">
                            <tr>
                                <td id="FullScreenPnltopl" runat="server" class="top-l">&nbsp;
                                </td>
                                <td class="top-m">&nbsp;
                                </td>
                                <td id="FullScreenPnltopr" runat="server" class="top-r">&nbsp;
                                </td>
                            </tr>
                            <tr>
                                <td id="FullScreenPnlLeft" runat="server" class="left">&nbsp;
                                </td>
                                <td>--%>
                            <div class="top">
                                <h1>
                                    <img src="../images/icn-landmark-name.gif" alt="" align="middle" />
                                    <asp:Label ID="lblLandmarkPanel" runat="server" Text="Landmark Panel"></asp:Label>
                                </h1>
                                <div class="close">
                                    <asp:ImageButton ID="ibtClose" runat="server" OnClientClick="return ClearLandmarkContents();"
                                        ImageUrl="~/Images/popup-close.gif" />&nbsp;&nbsp;
                                </div>
                                <div class="clear clearfix">
                                </div>
                            </div>
                            <div class="popup-cont">
                                <div class="form-horizontal">
                                    <div class="form-group">
                                        <div class="col-sm-3">
                                            <asp:Label ID="lblLocationName" runat="server" Text="Location Name"></asp:Label>
                                        </div>
                                        <div class="col-sm-4">
                                            <asp:TextBox ID="txtLocationName" runat="server" MaxLength="100" onpaste="return false"
                                                TabIndex="1" ondrop="return false" onblur="return disallowScriptTags(this);"
                                                CssClass="form-control" onkeypress="return chkAlphaNumericWithSpace(event,this,99);"></asp:TextBox>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="col-sm-3">
                                            <asp:Label ID="lblLocationDesc" runat="server" Text="Location Description"></asp:Label>
                                        </div>
                                        <div class="col-sm-4">
                                            <asp:TextBox ID="txtLocationDesc" runat="server" Rows="5" TextMode="MultiLine" TabIndex="2"
                                                CssClass="form-control" onblur="return disallowScriptTags(this);" onkeypress="return chkDescription(event,this,249);"></asp:TextBox>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="col-sm-3">
                                            <asp:Label ID="lblRadius" runat="server" Text="Radius"></asp:Label>
                                        </div>
                                        <div class="col-sm-4">
                                            <asp:TextBox ID="txtRadius" runat="server" onpaste="return false" TabIndex="3" ondrop="return false"
                                                MaxLength="4" CssClass="form-control" onkeypress="return chkNumeric_only(event);"></asp:TextBox>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="col-sm-3">
                                            <asp:Label ID="lblStreetAddr" runat="server" Text="Street Address"></asp:Label>
                                        </div>
                                        <div class="col-sm-4">
                                            <asp:TextBox ID="txtstreet" Enabled="false" runat="server" TabIndex="4" TextMode="MultiLine"
                                                CssClass="form-control" Rows="5" onblur="return disallowScriptTags(this);"
                                                onkeypress="return chkDescription(event,this,249);"></asp:TextBox>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="col-sm-3">
                                            <asp:Label ID="lblCategory" runat="server" Text="Category"></asp:Label>
                                        </div>
                                        <div class="col-sm-4">
                                            <asp:DropDownList runat="server" TabIndex="5" ID="ddlCategory" class="form-control">
                                            </asp:DropDownList>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="col-sm-3">
                                            &nbsp;
                                        </div>
                                        <div class="col-sm-4">
                                            <asp:ImageButton ID="btnAddNotifictions" runat="server" TabIndex="6" ImageUrl="~/images/btn-manage-notification.jpg"
                                                OnClick="btnAddNotifictions_Click" OnClientClick="document.getElementById('pnlNotificationsList').style.display = 'block';"
                                                Text="Add Notifications" />
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="col-sm-3">
                                            &nbsp;
                                        </div>
                                        <div class="col-sm-4">
                                            <asp:ImageButton ID="btnLandMark" runat="server" TabIndex="7" ImageUrl="~/images/btn-save.jpg"
                                                OnClientClick="if( ValidateLandmarkFields()) {ShowPopUp(); return true;} else{return false;}"
                                                OnClick="btnLandMark_Click" Text="Save" ValidationGroup="grp" />&nbsp;&nbsp;
                                            <asp:ImageButton runat="server" Text="Cancel" ID="imgCancel" OnClientClick="return ClearLandmarkContents();"
                                                TabIndex="8" onkeydown="return setFocus(event,'txtLocationName');" ImageUrl="~/images/btn-cancel.jpg" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <%--</td>
                                <td id="FullScreenPnlRight" runat="server" class="right">&nbsp;
                                </td>
                            </tr>
                            <tr>
                                <td id="FullScreenPnlbottoml" runat="server" class="bottom-l">&nbsp;
                                </td>
                                <td class="bottom-m">&nbsp;
                                </td>
                                <td id="FullScreenPnlbottomr" runat="server" class="bottom-r">&nbsp;
                                </td>
                            </tr>
                        </table>--%>
                    </ContentTemplate>
                </asp:UpdatePanel>
            </asp:Panel>
            <asp:Panel ID="pnlNotificationsList" runat="server" class="manageNotificationPanel col-xs-9 nullpadding">
                <asp:UpdatePanel ID="updNotify" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
                        <uc3:NotificationsList ID="ucNotificationList" runat="server" NotificationType="3" />
                    </ContentTemplate>
                </asp:UpdatePanel>
            </asp:Panel>
            <cc1:ModalPopupExtender ID="mpeMapProgressIndicator" runat="server" PopupControlID="pnlMapPopUp"
                TargetControlID="btnTesting" BackgroundCssClass="modalBackground">
            </cc1:ModalPopupExtender>
            <asp:Panel ID="pnlMapPopUp" runat="server" CssClass="processMessage" Style="z-index: 1000; display: none;">
                <center>
                <br />
                <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg13" Text="Auto Refreshing... Please Wait..." runat="server"
                    CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
            </asp:Panel>

            <script src="../js/myformvalidations.js" type="text/javascript"></script>

            <script src="../js/Formvalidations.js" type="text/javascript"></script>

            <script type="text/javascript" language="javascript" src="../js/HistoryScript.js"></script>

            <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>

            <script language="javascript" type="text/javascript" src="../js/Threading.js"></script>

            <script language="javascript" type="text/javascript" src="../js/DateValidations.js"></script>

            <script type="text/javascript">
                $fhst = jQuery.noConflict();

                function doPostback() {
                    var isIE = CheckBrowser();
                    var showChart = document.getElementById('hdnShowTemp');
                    if (showChart != null && showChart.value == '1') {
                        document.getElementById('divChangeAlertView').setAttribute(isIE ? 'className' : 'class', 'data-icn');
                    }
                    else { document.getElementById('divChangeAlertView').setAttribute(isIE ? 'className' : 'class', 'ControlHide'); }
                    document.getElementById('btnMap').click();
                }

                $fhst("#eng2").click(function () {
                    mapTypeChoosen();
                    changeTileProvider(maptype, 'En');
                    LoadTime = null;
                });
                $fhst("#arb2").click(function () {
                    mapTypeChoosen();
                    changeTileProvider(maptype, 'Ar');
                    LoadTime = null;
                });
                $fhst("#hin2").click(function () {
                    mapTypeChoosen();
                    changeTileProvider(maptype, 'hin');
                    LoadTime = null;
                });
                $fhst("#eng3").click(function () {
                    mapTypeChoosen();
                    changeTileProvider(maptype, 'En');
                    LoadTime = null;
                });
                $fhst("#arb3").click(function () {
                    mapTypeChoosen();
                    changeTileProvider(maptype, 'Ar');
                    LoadTime = null;
                });
                $fhst("#hin3").click(function () {
                    mapTypeChoosen();
                    changeTileProvider(maptype, 'hin');
                    LoadTime = null;
                });

                function chart() {
                    var check = document.getElementById('chkChangeViewCriticalAlert');
                    if (check.checked) {
                        if (document.getElementById('chart-dsply') != null) {
                            document.getElementById('chart-dsply').setAttribute(isIE ? 'className' : 'class', "ControlHide");
                        } if (document.getElementById('wcTempChart') != null) {
                            document.getElementById('wcTempChart').setAttribute(isIE ? 'className' : 'class', "ControlHide");
                        } if (document.getElementById('map-dsply') != null) {
                            document.getElementById('map-dsply').setAttribute(isIE ? 'className' : 'class', "ControlShow");
                        }
                        if (document.getElementById('map-legend') != null) {
                            document.getElementById('map-legend').setAttribute(isIE ? 'className' : 'class', "ControlShow");
                        }
                        if (document.getElementById('map-lang') != null) {
                            document.getElementById('map-lang').setAttribute(isIE ? 'className' : 'class', "ControlShow");
                        }
                    }
                    else {
                        if (document.getElementById('chart-dsply') != null) {
                            document.getElementById('chart-dsply').setAttribute(isIE ? 'className' : 'class', "ControlShow");
                        }
                        if (document.getElementById('wcTempChart') != null) {
                            document.getElementById('wcTempChart').setAttribute(isIE ? 'className' : 'class', "ControlShow");
                        }
                        if (document.getElementById('map-dsply') != null) {
                            document.getElementById('map-dsply').setAttribute(isIE ? 'className' : 'class', "ControlHide");
                        }
                        if (document.getElementById('map-legend') != null) {
                            document.getElementById('map-legend').setAttribute(isIE ? 'className' : 'class', "ControlHide");
                        }
                        if (document.getElementById('map-lang') != null) {
                            document.getElementById('map-lang').setAttribute(isIE ? 'className' : 'class', "ControlHide");
                        }
                    }
                }
            </script>

        </form>
    </div>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
