﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_KPIDashboard, App_Web_rhrtmv2a" enableeventvalidation="false" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html>
<html lang="en">
<head runat="server">
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <%--<meta http-equiv="X-UA-Compatible" content="IE=7" />
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />--%>
    <title>tSense-IoT- KPI</title>
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <%--<link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />--%>
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <%-- <link id="datepicker" runat="server" type="text/css" href="../css/ui.datepicker.css" rel="stylesheet" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />--%>
    <link id="ieonly" runat="server" href="" rel="stylesheet" type="text/css" />
    <link href="../NewDesign/css/bootstrap.css" rel="stylesheet" />
    <link href="../NewDesign/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/css/responsive.css" rel="stylesheet" />
    <link href="../NewDesign/css/style.css" rel="stylesheet" />
    <%--<link rel="stylesheet" type="text/css" href="../css/bootstrap.css" />--%>
    <link rel="stylesheet" type="text/css" href="../css/animate.css" />
    <%--<link rel="stylesheet" type="text/css" href="../css/sidebar.css" />--%>
    <link rel="stylesheet" type="text/css" href="../css/jquery.gridster.css" />
    <link rel="stylesheet" type="text/css" href="../css/gridster.css" />
    <link rel="stylesheet" type="text/css" href="../css/jquery.scrollbar_innner.css" />
    <link rel="stylesheet" type="text/css" href="../css/tooltipster.css" />
    <link rel="stylesheet" type="text/css" href="../css/jquery-ui-1.12.0.css" />
    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <%--<link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />--%>
    <link rel="icon" href="../NewDesign/img/favicon.png" type="image/x-icon">
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.min.css" rel="stylesheet" />
    <link href="../NewDesign/css/build.css" rel="stylesheet" />
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <%--BootStrap Css--%>
    <%--<link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />--%>
    <%--<link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />--%>
    <%--End of BootStrap Css--%>

    <style type="text/css">
        h1 {
            margin: 0 !important;
        }

        body {
            background: none;
        }

        .grid-stack-item-content {
            color: #2c3e50;
            text-align: center;
            background-color: #fff;
            border: 1px #3588BB thin;
        }

        .promoted-input-checkbox {
            border: 0;
            clip: rect(0 0 0 0);
            height: 1px;
            margin: -1px;
            overflow: hidden;
            padding: 0;
            position: absolute;
            width: 1px;
        }

        .card-body li {
            color: #626262 !important;
            font-size: 14px !important;
            line-height: 30px !important;
            padding: 0 0 18px 0 !important;
        }

        .checkbox label {
            display: inline-block !important;
            vertical-align: middle !important;
            position: relative !important;
            padding-left: 5px !important;
            padding-right: 50px !important;
            cursor: pointer !important;
            font-family: inherit !important;
            line-height: 10px !important;
        }

            .checkbox label::after {
                display: inline-block;
                position: absolute;
                width: 16px;
                height: 16px;
                left: 0;
                top: 0;
                margin-left: -20px;
                padding-left: 3px;
                padding-right: 50px;
                padding-top: 4px !important;
                font-size: 11px;
                color: #555555;
            }

        .button-circ {
            width: 27px;
            height: 27px;
            line-height: 27px;
            text-align: center;
            background: none;
            border: 1px solid #444B54;
            border-radius: 100%;
            float: right;
            margin: 0 13px;
        }

        .processMessage {
            padding: 0px;
            width: 240px;
            height: 130px;
            z-index: 10000001 !important;
            color: gray;
            box-sizing: border-box;
            background-color: white;
            box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
            transform: 0.3s;
            border-radius: 10px;
        }

            .processMessage img {
                height: 50px;
            }

        /*.green:hover {
            background-color: #fff !important;
            border-color: #fff;
            color: #05d022;
        }*/        
    </style>
    <style type="text/css">
        .block {
            height: 28px;
            width: 35px;
            border-radius: 5px;
            display: inline-block;
            align-items: center;
            justify-content: center;
            margin: 10px;
            margin-top: 0%;
            transition: all 1s ease;
            background-image: linear-gradient(90deg, #0c0c0c5e, #101010e0);
            box-shadow: 0 2px 18px 0 rgba(177, 174, 174, 0.48), 0 1px 2px 0 rgba(185, 181, 182, 0.45);
        }

        .cta {
            height: 25px;
            width: 25px;
            cursor: pointer;
        }

        .toggle-btnn {
            height: 2px;
            width: 26px;
            background-color: #fff;
            position: relative;
            top: 52%;
            left: 5px;
            margin: inherit;
            transition: all 0.3s ease-in-out;
        }

            .toggle-btnn:before {
                content: "";
                height: 2px;
                width: 25px;
                box-shadow: 0 -10px 0 0 #fff;
                position: absolute;
                top: 0;
                left: 0;
                transition: all 0.3s ease-in-out;
            }

            .toggle-btnn:after {
                content: "";
                height: 2px;
                width: 25px;
                box-shadow: 0 10px 0 0 #fff;
                position: absolute;
                top: 0;
                left: 0;
                transition: all 0.3s ease-in-out;
            }

        .active .toggle-btnn {
            background-color: transparent;
            transition: all 0.2s ease-in-out;
        }

            .active .toggle-btnn:before {
                top: 0;
                transition: all 0.3s ease-in-out;
            }

            .active .toggle-btnn:after {
                top: 0;
                transition: all 0.3s ease-in-out;
            }

        .active .type16 {
            transform: rotate(360deg);
            transition: all 0.6s ease-in-out;
        }

            .active .type16:before {
                left: 6px;
                transform: translateY(6px) rotate(-45deg);
            }

            .active .type16:after {
                left: 6px;
                transform: translateY(-8px) rotate(45deg);
            }

        .vlive-reports-section.kpi h2 {
            padding: 0px 0 !important;
        }
    </style>
    <script type="text/javascript">
        $(document).ready(function () {
            $(document).on('click', '.cta', function () {
                $(this).toggleClass('active')
                //e.preventDefault();
                $("#wrapper").toggleClass("toggled");
                $("#menu").toggleClass("button-untoggled");
            });
        });
    </script>
    <script type="text/javascript" src="../js/CustomAlert/jquery.min.js"></script>
    <script type="text/javascript" src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js"></script>
    <script type="text/javascript" src="../js/CustomAlert/jquery-ui-1.10.3.custom.js"></script>
    <script type="text/javascript" src="../js/CustomAlert/CustomAlert.js"></script>
    <script type="text/javascript" src="../js/jquery-ui.min.js"></script>
    <script type="text/javascript" src="../js/myformvalidations.js"></script>
    <script type="text/javascript" src="../js/ScriptToClearCtrls.js"></script>
    <%--<script type="text/javascript" src="../js/jquery-1.3.2.js"></script>
    <script type="text/javascript" src="../js/JQQueryDatePicker.js"></script>
    <script type="text/javascript" src="../js/DateValidations.js"></script>--%>
    <%--<script type="text/javascript" src="../js/jquery-1.11.2.js"></script>--%>
    <%--<script type="text/javascript" src="../js/jquery-1.11.2.min.js"></script>
    <script type="text/javascript" src="../js/bootstrap.min.js"></script>--%>
    <!--GOOGLE CHARTS - Load the AJAX API-->
    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
    <%--<script type="text/javascript" src="../js/jquery.gridster.js" charset="utf-8"></script>--%>
    <%--<script type="text/javascript" src="../js/gridster-bootstrap.js" charset="utf-8"></script>--%>
    <%--<script type="text/javascript" src="../js/jquery.sparkline.js" charset="utf-8"></script>--%>
    <script type="text/javascript" src="../js/jquery.scrollbar.min.js" charset="utf-8"></script>
    <script type="text/javascript" src="../js/jquery.tooltipster.js"></script>
    <script type="text/javascript" src="../js/KPIscripts.js" charset="utf-8"></script>
    <%--<script type="text/javascript">       
    </script>--%>

    <%--Responsive Drag and Drop Plugin--%>
    <link rel="stylesheet" href="../css/gridstack.css" />
    <script src="../js/lodash.js"></script>
    <script src="../js/jquery.ui.touch.js"></script>
    <script src="../js/gridstack.js"></script>
    <script src="../js/gridstack.jQueryUI.js"></script>
    <%--End of Responsive Drag and Drop Plugin--%>

    <script type="text/javascript">
        var AssignmentID;
        $kpi("#menu-toggle1").click(function (e) {
        });
        google.load('visualization', '1.0', { 'packages': ['corechart'] });
    </script>
    <%--<script>
        var Kpi = jQuery.noConflict();
        Kpi("#menu-toggle").click(function (e) {
            e.preventDefault();
            Kpi("#wrapper").toggleClass("toggled");
        });
    </script>--%>
    <script src="../js/wow.min.js"></script>
</head>
<body class="white">
    <div class="page-wrapper">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManagerKPI" EnablePageMethods="true" AsyncPostBackTimeout="1000" runat="server"></asp:ScriptManager>
            <!-- Nav starts Here -->
            <uc1:Header ID="ucHeader" runat="server" />
            <!-- Nav Ends Here -->
            <!-- Content Starts Here -->
            <div id="outer">
                <div id="inner">
                    <div id="float-wrap">
                        <!-- Main Content Starts Here -->
                        <div id="content">
                            <div class="preloader"></div>

                            <div class="vlive-reports-section maintenance kpi">
                                <div class="container-fluid">
                                    <div class="row clearfix">
                                        <div class="col-sm-12">
                                            <div class="col-ks-2">
                                                <div class="col-ks-16">
                                                    <h2 class="pull-left">
                                                        <asp:Literal ID="lblAlertPageCaption" Text="KPI" runat="server"></asp:Literal></h2>
                                                </div>
                                                <div class="col-ks-16">
                                                    <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
                                                        <NodeStyle CssClass="active" />
                                                    </asp:SiteMapPath>
                                                </div>
                                            </div>
                                            <%-- <h2 class="pull-left">KPI</h2>
                                            <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
                                                <NodeStyle CssClass="active" />
                                            </asp:SiteMapPath>--%>
                                            <asp:LinkButton ID="btnBack" runat="server" CssClass="icon " PostBackUrl="~/Forms/KPISettings.aspx">
                                                <div class="pull-right kpi-settings">
                                                    <span id="Span2" runat="server" class="icon">
                                                        <div class="kpi">
                                                            <div id="BacktoConfigurationDiv" runat="server" class="">
                                                                KPI Settings
                                                            </div>
                                                        </div>
                                                    </span>
                                                </div>
                                            </asp:LinkButton>

                                            <div class="crumbs">
                                                <ul>
                                                    <li class="green">Safe 
                                                            <span>
                                                                <asp:Label ID="lblSafeKPIs" runat="server" Text="99"></asp:Label></span>
                                                    </li>
                                                    <li class="warning">Warning 
                                                            <span>
                                                                <asp:Label ID="lblWarningKPIs" runat="server" Text="99" CssClass="spacer"></asp:Label></span>
                                                    </li>
                                                    <li class="critical">Critical 
                                                            <span>
                                                                <asp:Label ID="lblCriticalKPIs" runat="server" Text="99" CssClass="spacer"></asp:Label></span>
                                                    </li>
                                                    <li class="blue">Total 
                                                            <span>
                                                                <asp:Label ID="lblTotalKPIs" runat="server" Text="297"></asp:Label></span>
                                                    </li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <%--<div class="kpi-selection">--%>
                            <div class="kpi-selection" style="padding: 6px 26px">
                                <%--<div class="col-ks-16 vlive-header_VXL">--%>
                                <asp:UpdatePanel ID="updTopControls" runat="server">
                                    <ContentTemplate>
                                        <div class="block">
                                            <div class="cta">
                                                <div class="toggle-btnn type16" id="menu"></div>
                                            </div>
                                        </div>
                                        <%--<a href="#menu-toggle" class="" id="menu-toggle">
                                            <img src="../NewDesign/img/menu-icon.png">
                                        </a>--%>
                                        <div class="pull-right">
                                            <asp:LinkButton ID="lnksavePostion" runat="server" Text="&nbsp;&nbsp;Save Position" CssClass="btn btn-primary btn-fa-save" OnClientClick="ShowPopUp();SaveGridPosition()" OnClick="btnSavePosition_Click"></asp:LinkButton>
                                            <asp:ImageButton ID="btnExport1" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                OnClick="btnExport_Click" Visible="false" />
                                            <asp:LinkButton ID="lnkExport" runat="server" Text="&nbsp;&nbsp;Export" CssClass="fa-file-excel-o btn btn-primary" OnClick="btnExport_Click" OnClientClick="ShowPopUp();"></asp:LinkButton>
                                        </div>
                                        </div>
                                    </ContentTemplate>
                                </asp:UpdatePanel>
                                <div class="export pull-right">
                                    <a href="#" style="display: none;">

                                        <img src="../NewDesign/img/icon-save.png">SAVE POSITION</a><a href="#" style="display: none;"><img src="../NewDesign/img/icon-export.png">EXPORT</a>
                                </div>
                                <div id="wrapper" class="toggled">
                                    <div id="sidebar-wrapper">
                                        <div class="cardkpi">
                                            <article class="card-group-item">
                                                <header class="card-header">
                                                    <h6 class="title">KPI Selection</h6>
                                                    <a href="#" data-toggle="collapse" class="toggle-btn" data-target="#collapse1" aria-expanded="true"><i class="icon-action fa fa-chevron-down"></i></a>
                                                    <%--<button type="button"><span class="fa fa-search"></span></button>--%>
                                                    <asp:LinkButton ID="lnk" runat="server" CssClass="button-circ fa fa-search" OnClick="IbtnViewKPI_Click" OnClientClick="ShowPopUp();"></asp:LinkButton>
                                                    <div class="clearfix"></div>
                                                </header>
                                                <div class="filter-content collapse in" id="collapse1" aria-expanded="true">
                                                    <div class="card-body">
                                                        <ul>
                                                            <li>
                                                                <div class="custom-control custom-checkbox custom-control-inline">
                                                                    <asp:CheckBoxList ID="chkKPIlist" runat="server" RepeatDirection="Vertical" CssClass="checkbox checkbox-danger" OnDataBound="chkKPIlist_DataBound">
                                                                    </asp:CheckBoxList>
                                                                </div>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </article>
                                        </div>
                                    </div>
                                    <div id="">
                                        <div class="container-fluid">
                                            <div style="width: 100%; overflow: auto;">
                                                <div class="table-responsive">
                                                    <div class="container-fluid" style="width: 100%; padding: 0;">
                                                        <div class="gridster">
                                                            <asp:UpdatePanel ID="updKPITiles" runat="server" UpdateMode="Conditional">
                                                                <ContentTemplate>
                                                                    <%--<ul id="ulGridster" class="col-sm-3" runat="server"></ul>--%>
                                                                    <div class="grid-stack" id="divKPIHolder" runat="server" style="height: 900px"></div>
                                                                    <asp:HiddenField ID="hdnAssignemntID" runat="server" Value="$AssignemntID$" />
                                                                    <asp:HiddenField ID="hdnKPIPositions" runat="server" Value="" />
                                                                    <asp:Button ID="IbtnEditKPI" runat="server" CssClass="ControlHide" />
                                                                    <asp:Button ID="IbtnDeleteKPI" runat="server" CssClass="ControlHide" />
                                                                    <br />
                                                                </ContentTemplate>
                                                            </asp:UpdatePanel>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div id="top-content" class="vlive-reports-section maintenance kpi" style="display: none;">
                                <div id="heading" class="col-sm-3 col-md-2">
                                    <img class="icon" src="../images/kpi.png" alt="" />
                                    <h1 style="padding: 10px 0px 0px 0px">
                                        <asp:Literal ID="lblCaptionKPI" Text="KPI" runat="server"></asp:Literal>
                                    </h1>
                                    <a href="Dashboard.aspx">
                                        <asp:Label ID="lblHomeCaption" Text="Home" runat="server"></asp:Label></a>
                                    <span>&gt;</span>
                                    <span><a href="KPIDashboard.aspx">
                                        <asp:Label ID="lblManageKPIs" Text="KPI" runat="server" /></a></span>
                                </div>
                                <div id="" class="col-sm-7 col-md-7 pull-right">
                                    <div class="pull-right btn-wrap">
                                    </div>
                                </div>
                                <div class="clear clearfix"></div>
                            </div>
                            <div class="clear clearfix"></div>
                            <div id="grid-dsply" style="display: none;">
                                <div id="top">
                                    <span class="glyphicon button-toggled" id="menu-toggle2" style="padding: 0px 3px !important; height: 100%" aria-hidden="true">
                                        <img src="../images/icn-menulist-toggle.png" style="height: 25px; width: 25px; cursor: pointer" />
                                    </span>
                                    <div class="right-col">
                                        <asp:UpdatePanel ID="updTopControls1" runat="server">
                                            <ContentTemplate>
                                                <span class="dropdown" style="padding-top: 0px">
                                                    <asp:LinkButton ID="btnSavePosition" runat="server" CssClass="MultilingualBtn"
                                                        OnClientClick="ShowPopUp();SaveGridPosition()" OnClick="btnSavePosition_Click">
                                                        <span id="Span1" runat="server" class="MultilingualBtnspan">
                                                            <div class="Save">
                                                                <div id="SaveButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Save Position
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                    <asp:LinkButton ID="btnExport" runat="server" CssClass="MultilingualBtn" OnClick="btnExport_Click"
                                                        OnClientClick="ShowPopUp();">
                                                        <span id="Span3" runat="server" class="MultilingualBtnspan">
                                                            <div class="Export">
                                                                <div id="ExportButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Export
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                </span>
                                            </ContentTemplate>
                                        </asp:UpdatePanel>
                                    </div>
                                    <%--<div class="left-col">
                                                <span class="icon" style="padding-top: 0px">
                                                    <img src="../images/icn-top.gif" alt="" />
                                                </span>
                                                <asp:Label ID="lblKPIEntry" CssClass="txt" runat="server" Text="KPI"></asp:Label>
                                            </div>--%>
                                    <%--<div class="right-col">
                                                <cc1:HoverMenuExtender ID="HoverMenuExtender1" runat="server" TargetControlID="btnKPIStatistics" PopupControlID="lnkKPIStatistics" PopupPosition="Bottom" />
                                                &nbsp;
                                            <asp:LinkButton ID="btnKPIStatistics" runat="server" CssClass="MultilingualBtn" OnClientClick="return false">
                                                <span id="Span1" runat="server" class="MultilingualBtnspan" stye="cursor:pointer;">
                                                    <div class="DashboardStat">
                                                        <div id="spLegends" runat="server" class="MultilingualBtnTextAlign">
                                                            KPI Statistics
                                                        </div>
                                                    </div>
                                                </span>
                                            </asp:LinkButton>
                                                <div class='panelcontent1' style='width: auto; display: none; z-index: 0001;' id='lnkKPIStatistics'>
                                                    <table class="statisticstable">
                                                        <tr class="alert alert-info">
                                                            <td class="tdstatisticsleft">
                                                                <asp:Label runat="server" Text="Total"></asp:Label>
                                                            </td>
                                                            <td>
                                                                <asp:Label runat="server" Text="6"></asp:Label>
                                                            </td>
                                                        </tr>
                                                        <tr class="alert alert-success safe">
                                                            <td class="tdstatisticsleft">
                                                                <asp:Label runat="server" Text="Safe"></asp:Label>
                                                            </td>
                                                            <td>
                                                                <asp:Label runat="server" Text="3"></asp:Label>
                                                            </td>
                                                        </tr>
                                                        <tr class="alert alert-warning warning">
                                                            <td class="tdstatisticsleft">
                                                                <asp:Label runat="server" Text="Warning"></asp:Label>
                                                            </td>
                                                            <td>
                                                                <asp:Label runat="server" Text="2"></asp:Label>
                                                            </td>
                                                        </tr>
                                                        <tr class="alert alert-danger critical">
                                                            <td class="tdstatisticsleft">
                                                                <asp:Label runat="server" Text="Critical"></asp:Label>
                                                            </td>
                                                            <td>
                                                                <asp:Label runat="server" Text="1"></asp:Label>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </div>
                                            </div>--%>
                                </div>
                            </div>
                            <div class="clear clearfix">
                            </div>
                            <div id="wrapper1" style="display: flex; display: none;">
                                <div id="sidebar-wrapper1" class="animated slideInLeft modal-content">
                                    <div id="accordion">
                                        <ul class="sidebar-nav item">
                                            <li class="sidebar-brand">
                                                <p>
                                                    KPI Selection
                                                            <asp:LinkButton ID="IbtnViewKPI" runat="server" CssClass="btnAccordionSlider" OnClick="IbtnViewKPI_Click" OnClientClick="ShowPopUp();"> 
                                                                <%--<span class="glyphicon glyphicon-search" />--%>
                                                                <img src="../images/icn-search-kpi.png" style="height: 16px; width: 16px;cursor:pointer" />
                                                            </asp:LinkButton>
                                                    <span class="imgAccordionSlider glyphicon glyphicon-menu-up" />
                                                </p>
                                            </li>
                                            <li></li>
                                        </ul>
                                        <%--<ul class="sidebar-nav item">
                                                    <li class="sidebar-brand">
                                                        <p>
                                                            KPI Statistics
                                                            <span class="imgAccordionSlider glyphicon glyphicon-menu-up" />
                                                        </p>
                                                    </li>
                                                    <li style="padding: 5px 0;">
                                                        <table class="statisticstable">
                                                            <tr class="alert alert-info">
                                                                <td class="tdstatisticsleft">
                                                                    <asp:Label runat="server" Text="Total"></asp:Label>
                                                                </td>
                                                                <td>
                                                                    <asp:Label runat="server" Text="6"></asp:Label>
                                                                </td>
                                                            </tr>
                                                            <tr class="alert alert-success safe">
                                                                <td class="tdstatisticsleft">
                                                                    <asp:Label runat="server" Text="Safe"></asp:Label>
                                                                </td>
                                                                <td>
                                                                    <asp:Label runat="server" Text="3"></asp:Label>
                                                                </td>
                                                            </tr>
                                                            <tr class="alert alert-warning warning">
                                                                <td class="tdstatisticsleft">
                                                                    <asp:Label runat="server" Text="Warning"></asp:Label>
                                                                </td>
                                                                <td>
                                                                    <asp:Label runat="server" Text="2"></asp:Label>
                                                                </td>
                                                            </tr>
                                                            <tr class="alert alert-danger critical">
                                                                <td class="tdstatisticsleft">
                                                                    <asp:Label runat="server" Text="Critical"></asp:Label>
                                                                </td>
                                                                <td>
                                                                    <asp:Label runat="server" Text="1"></asp:Label>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </li>
                                                </ul>--%>
                                    </div>
                                </div>
                                <%--<span class="" aria-hidden="true"></span>--%>
                                <%--<a id="menu-toggle">
                                            <img class="btn btn-default" src="../images/icn-menulist-toggle.png" style="height: 20px; width: 20px;" />
                                        </a>--%>
                                <div id="page-content-wrapper1">
                                </div>
                                <div class="clear clearfix">
                                </div>
                            </div>
                            <%-- </div>--%>
                        </div>
                    </div>
                </div>
                <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="progressPopUp"
                    BackgroundCssClass="modalBackground" TargetControlID="btnTesting">
                </cc1:ModalPopupExtender>
                <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
                <asp:Panel ID="progressPopUp" runat="server" CssClass="processMessage" Style="z-index: 10000; display: none;">
                    <center>
                <br />
                <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
                    </center>
                </asp:Panel>
                <cc1:ModalPopupExtender ID="mpeMapProgressIndicator" runat="server" PopupControlID="pnlMapPopUp"
                    BackgroundCssClass="modalBackground" TargetControlID="btnTesting">
                </cc1:ModalPopupExtender>
                <asp:Panel ID="pnlMapPopUp" runat="server" CssClass="processMessage" Style="z-index: 10000 !important; display: none;">
                    <center>
                <br />
                <img id="img1" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="Label3" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
                </asp:Panel>
                <script lang="javascript" type="text/javascript">
                    function HidePopUp() {
                        if ($find('mpeProgressIndicator') != undefined) {
                            $find('mpeProgressIndicator').hide();
                        }
                    }
                    function ShowPopUp() {
                        if ($find('mpeProgressIndicator') != undefined) {
                            $find('mpeProgressIndicator').show();
                        }
                    }
                </script>
                <script>
                    function myFunction(x) {
                        x.classList.toggle("change");
                    }
                </script>
        </form>
        <uc2:Footer ID="ucFooter" runat="server" />
    </div>
    <!-- Content Ends Here -->

</body>
</html>
