﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_ManageROI, App_Web_vujaspwu" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.v8.2" Namespace="DevExpress.Web.ASPxPopupControl"
    TagPrefix="dxpc" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>
=
<%--********* For Bootstrap Implementation *************--%>
<!DOCTYPE html>
<html lang="en">
<%--********* End of Bootstrap Implementation *************--%>
<head runat="server">
    <%--********* For Bootstrap Implementation *************--%>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <%--********* End of Bootstrap Implementation *************--%>
    <title>tSense-IoT ROI Cost</title>
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet"
        type="text/css" />
    <link id="uidatepicker" runat="server" type="text/css" href="../css/ui.datepicker.css"
        rel="stylesheet" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="updatedcss" runat="server" href="../css/Updated_css.css" rel="stylesheet"
        type="text/css" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />

    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />

    <script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>

    <script type="text/javascript" src="../js/ui.datepicker.js"></script>

    <script type="text/javascript" src="../js/JQQueryDatePicker.js"></script>

    <script src="../js/myformvalidations.js" type="text/javascript"></script>

    <script type="text/javascript" language="javascript" src="../js/ReportScripts.js"></script>
    <%--********* For Bootstrap Implementation *************--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--********* End of Bootstrap Implementation *************--%>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePageMethods="true">
            </asp:ScriptManager>
            <uc1:Header ID="ucHeader" runat="server" />
            <div id="outer">
                <div id="inner">
                    <div id="float-wrap">
                        <div id="content">
                            <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                                <Triggers>
                                    <asp:PostBackTrigger ControlID="btnSave" />
                                    <asp:PostBackTrigger ControlID="btnCancel" />
                                    <asp:PostBackTrigger ControlID="btnExport" />
                                </Triggers>
                                <ContentTemplate>
                                    <div class="content-wrap">
                                        <div id="top-content">
                                            <div id="heading">
                                                <img class="icon" src="../images/ROI_Header.png" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblPreferencesCaption" Text="ROI Cost" runat="server"></asp:Literal></h1>
                                                <a href="Dashboard.aspx">
                                                    <asp:Label ID="lblHomeCaption" Text="Home" runat="server"></asp:Label></a><span>&gt;</span><span><a
                                                        href="ManageROI.aspx">
                                                        <asp:Label ID="lblPreferenceCaption" Text="ROI Cost" runat="server"></asp:Label></a>
                                                    </span>
                                            </div>
                                            <div id="control-box">
                                                <table border="0" cellpadding="0" cellspacing="0" id="control-tbl" width="100%">
                                                    <tr height="20px">
                                                        <td>&nbsp;
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <div>
                                                                <table border="0" cellpadding="0" cellspacing="0" class="ManageGeozoneTableAlign">
                                                                    <tr>
                                                                        <td>
                                                                            <asp:LinkButton ID="btnAssignVehicles" runat="server" CssClass="MultilingualBtn"
                                                                                PostBackUrl="~/Forms/ManageVehicleCost.aspx">
                                                                                <span id="Span3" runat="server" class="MultilingualBtnspan">
                                                                                    <div class="ROICostVehicleAssignment">
                                                                                        <div id="AssignVehiclesDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                            Vehicle Cost Assignment
                                                                                        </div>
                                                                                    </div>
                                                                                </span>
                                                                            </asp:LinkButton>
                                                                        </td>
                                                                        <td>&nbsp;&nbsp;
                                                                        </td>
                                                                        <td>
                                                                            <asp:HyperLink ID="btnBack1" runat="server" ImageUrl="~/Images/btn-back-to-configuration.jpg"
                                                                                NavigateUrl="~/Forms/ConfigurationSetup.aspx" Visible="false"></asp:HyperLink>
                                                                            <asp:LinkButton ID="btnBack" runat="server" CssClass="MultilingualBtn" PostBackUrl="~/Forms/ROI.aspx">
                                                                                <span id="Span5" runat="server" class="MultilingualBtnspan">
                                                                                    <div class="Back">
                                                                                        <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                            Back to ROI
                                                                                        </div>
                                                                                    </div>
                                                                                </span>
                                                                            </asp:LinkButton>
                                                                        </td>
                                                                        <td>&nbsp;&nbsp;
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </div>

                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                        <div class="form-box">
                                            <asp:Panel ID="pnlROICostDetails" runat="server">
                                                <h1>
                                                    <span class="icon">
                                                        <asp:Image ID="imgUserPreferences" runat="server" ImageUrl="../images/ROICost.png" /></span>
                                                    <asp:Label ID="lblUserPreferences" runat="server" Text="ROI Cost"></asp:Label>
                                                </h1>
                                                <table border="0" cellpadding="0" cellspacing="0" class="form-tbl">
                                                    <tr id="trTypesOfCost">
                                                        <td class="split">&nbsp;
                                                        </td>
                                                        <td class="label" style="width: 197px">
                                                            <asp:Label ID="lblTypesOfCost" runat="server" Font-Bold="False" Text="Types of Cost"
                                                                CssClass="label"></asp:Label>
                                                        </td>
                                                        <td class="dropdown">
                                                            <dxw:ASPxComboBox ID="ddlCostTypes" runat="server" ValueType="System.String" ShowImageInEditBox="false"
                                                                AutoPostBack="false" Width="245px" Height="20px" TabIndex="3" AutoResizeWithContainer="true"
                                                                EnableIncrementalFiltering="true" ClientInstanceName="ddlCostTypes" SelectedIndex="0"
                                                                CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                EnableTheming="true" Theme="Office2003Blue">
                                                                <Items>
                                                                    <dxw:ListEditItem Text="Operational Cost" Value="1" />
                                                                    <dxw:ListEditItem Text="Ownership Cost" Value="2" />
                                                                    <dxw:ListEditItem Text="Other Cost" Value="3" />
                                                                </Items>
                                                            </dxw:ASPxComboBox>
                                                        </td>
                                                    </tr>
                                                    <tr id="trCostName">
                                                        <td class="split">&nbsp;
                                                        </td>
                                                        <td class="label" style="width: 197px">
                                                            <asp:Label ID="lblCostNameCaption" runat="server" Font-Bold="False" Text="Cost Name"
                                                                CssClass="label"></asp:Label>&nbsp;<span style="color: Red">*</span>
                                                        </td>
                                                        <td class="dropdown">
                                                            <asp:TextBox ID="txtCostName" runat="server" MaxLength="25" Width="150px" onkeypress="return chkAlphaNumeric(event)"></asp:TextBox>
                                                        </td>
                                                    </tr>
                                                    <tr id="trCostDesc" runat="server">
                                                        <td></td>
                                                        <td>
                                                            <asp:Label ID="lblCostDesc" runat="server" Text="Cost Description"></asp:Label>
                                                        </td>
                                                        <td class="dropdown">
                                                            <asp:TextBox ID="txtCostDesc" runat="server" TextMode="MultiLine" Width="150px"></asp:TextBox>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td class="split">&nbsp;
                                                        </td>
                                                        <td class="label" style="width: 197px">&nbsp;
                                                        </td>
                                                        <td class="AlignControl" valign="middle">
                                                            <asp:ImageButton ImageUrl="~/images/btn-save.jpg" ID="btnSave1" runat="server" OnClick="btnSave_Click"
                                                                TabIndex="5" Visible="false" />
                                                            <asp:LinkButton ID="btnSave" runat="server" CssClass="MultilingualBtn" OnClick="btnSave_Click"
                                                                OnClientClick="return ROICostname();">
                                                                <span runat="server" class="MultilingualBtnspan">
                                                                    <div class="Save">
                                                                        <div id="SaveButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                            Save
                                                                        </div>
                                                                    </div>
                                                                </span>
                                                            </asp:LinkButton>
                                                            &nbsp;
                                                        <asp:ImageButton ImageUrl="~/images/btn-cancel.jpg" ID="btnCancel1" runat="server"
                                                            OnClick="btnCancel_Click" TabIndex="6" Visible="false" />
                                                            <asp:LinkButton ID="btnCancel" runat="server" CssClass="MultilingualBtn" OnClick="btnCancel_Click">
                                                                <span runat="server" class="MultilingualBtnspan">
                                                                    <div class="Cancel">
                                                                        <div id="CancelButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                            Cancel
                                                                        </div>
                                                                    </div>
                                                                </span>
                                                            </asp:LinkButton>
                                                        </td>

                                                    </tr>
                                                    <tr>
                                                        <td></td>
                                                        <td></td>
                                                        <td class="label" style="width: 190px"><span style="color: Red">*</span> Indicates mandatory fields</td>
                                                    </tr>
                                                    <%--<tr><td class="AlignControl" valign="middle"><span style="color:Red">*</span> Indicates mandatory fields</td></tr>--%>
                                                </table>
                                            </asp:Panel>
                                        </div>
                                    </div>
                                    <asp:Panel ID="pnlROICosts" runat="server">
                                        <div id="grid-dsply">
                                            <div id="top">
                                                <div class="left-col">
                                                    <span class="txt">
                                                        <asp:Label ID="lblFleetCaption" runat="server" Text="ROI Cost Details"></asp:Label></span>
                                                </div>
                                                <div class="right-col">
                                                    <span class="dropdown">
                                                        <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" Width="80px" Height="20px"
                                                            ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                            CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                            EnableTheming="true" Theme="Office2003Blue">
                                                            <Items>
                                                                <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                                <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                                <%--<dxw:ListEditItem ImageUrl="../images/icn-csv.gif" Text="csv" Value="csv" />--%>
                                                            </Items>
                                                        </dxw:ASPxComboBox>
                                                    </span>&nbsp;<span class="txt">
                                                        <asp:ImageButton ID="btnExport1" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                            OnClick="btnExport_Click" Visible="false" />
                                                        <asp:LinkButton ID="btnExport" runat="server" CssClass="MultilingualBtn" OnClick="btnExport_Click">
                                                            <span id="Span1" runat="server" class="MultilingualBtnspan">
                                                                <div class="Export">
                                                                    <div id="ExportButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                        Export
                                                                    </div>
                                                                </div>
                                                            </span>
                                                        </asp:LinkButton>
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                            <dxw:ASPxGridView ID="gvROICost" runat="server" Width="100%" KeyFieldName="CostId"
                                                CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                EnableTheming="true" Theme="Office2003Blue">
                                                <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="225" />
                                                <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                                <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                            </Images>--%>
                                                <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                    CssPostfix="Office2003_Blue">
                                                    <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                    </Header>
                                                    <LoadingPanel ImageSpacing="10px">
                                                    </LoadingPanel>
                                                    <PagerBottomPanel CssClass="PageFooter">
                                                    </PagerBottomPanel>
                                                    <PagerTopPanel CssClass="PageFooter">
                                                    </PagerTopPanel>
                                                </Styles>
                                                <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                    PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                    NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                    NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                </SettingsPager>
                                                <Columns>
                                                    <dxw:GridViewDataColumn FieldName="CostId" Caption="Cost ID" VisibleIndex="0" Visible="false">
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="TypeOfCost" Caption="Type Of Cost" VisibleIndex="3"
                                                        HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="15%">
                                                        <HeaderCaptionTemplate>
                                                            <span class="icon">
                                                                <asp:Image ID="imgTypeOfCost" runat="server" ImageUrl="../images/ROICost.png" /></span>
                                                            <span class="label">
                                                                <asp:Label ID="lblTypeOfCost" runat="server" Font-Bold="false" Text="Type Of Cost"></asp:Label></span>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="CostName" Caption="Cost Name" VisibleIndex="1"
                                                        HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="15%">
                                                        <HeaderCaptionTemplate>
                                                            <span class="icon">
                                                                <asp:Image ID="imgFleetName" runat="server" ImageUrl="../images/CostName.gif" /></span>
                                                            <span class="label">
                                                                <asp:Label ID="lblFleetName" runat="server" Font-Bold="false" Text="Cost Name"></asp:Label></span>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="Description" Caption="Description" VisibleIndex="2"
                                                        HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="20%">
                                                        <HeaderCaptionTemplate>
                                                            <span class="icon">
                                                                <asp:Image ID="imgVehDisc" runat="server" ImageUrl="../images/CostDescription.png" />
                                                            </span><span class="label">&nbsp;<asp:Label ID="lblDescription" runat="server" Font-Bold="false"
                                                                Text="Description"></asp:Label>
                                                            </span>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn Caption="Edit" VisibleIndex="6" HeaderStyle-HorizontalAlign="Center"
                                                        CellStyle-HorizontalAlign="Center" Width="3%" Name="Edit">
                                                        <HeaderTemplate>
                                                        </HeaderTemplate>
                                                        <DataItemTemplate>
                                                            <asp:LinkButton ID="btnEdit" runat="server" CommandArgument='<%# Eval("CostId") %>' OnClientClick="return ShowPopUp();"
                                                                OnClick="btnEdit_click" Style="text-decoration: none;"><img src="../images/icn-edit.gif" alt="View" title="Click here to Edit"/></asp:LinkButton>
                                                        </DataItemTemplate>
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn Caption="Delete" VisibleIndex="7" HeaderStyle-HorizontalAlign="Center"
                                                        CellStyle-HorizontalAlign="Center" Width="3%" Name="Delete">
                                                        <HeaderTemplate>
                                                        </HeaderTemplate>
                                                        <DataItemTemplate>
                                                            <asp:LinkButton ID="btnDelete" runat="server" CommandArgument='<%# Eval("CostId") %>'
                                                                OnClientClick="return confirm('Are you sure want to delete?');" AlternateText="Delete"
                                                                CommandName="Delete" OnClick="btnDelete_click" ToolTip="Click here to Delete"
                                                                ImageAlign="Middle" CssClass="handButton">
                                                                <asp:Image ID="imgDeleteOption" runat="server" ImageUrl="~/images/delete-icon.gif" />
                                                            </asp:LinkButton>
                                                        </DataItemTemplate>
                                                    </dxw:GridViewDataTextColumn>
                                                </Columns>
                                                <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                <SettingsText EmptyDataRow="No cost details found" />
                                            </dxw:ASPxGridView>
                                            <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvROICost"
                                                ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Arial;}}
\viewkind4\uc1\pard\qc\b\fs28 Fleet Details\par
\pard\par
\par
}
">
                                                <PageFooter Right="[Page # of Pages #]">
                                                </PageFooter>
                                            </dxw:ASPxGridViewExporter>
                                        </div>
                                    </asp:Panel>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                        <div id="left">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <div id="right">
                    </div>
                    <div class="clear clearfix">
                    </div>
                </div>
                <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="pnlProgress"
                    TargetControlID="Button1">
                </cc1:ModalPopupExtender>
                <asp:Button ID="Button1" Style="display: none;" runat="server" />
                <%-- <asp:UpdateProgress ID="uprDataLoading" runat="server" DynamicLayout="True" AssociatedUpdatePanelID="updVhDetails">
            <ProgressTemplate>--%>
                <asp:Panel ID="pnlProgress" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                    <center>
                <br />
                <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
                </asp:Panel>
            </div>
            <asp:HiddenField ID="hdnPreference" runat="server" />

            <script language="JavaScript1.2" type="text/javascript" src="../js/myformvalidations.js"></script>

            <script language="javascript" type="text/javascript" src="../js/SendCommandScripts.js"></script>

            <script type="text/javascript">
                function OrgList() {
                    var rbtDefault = document.getElementById('rbtDefault');
                    var rbtAllOrganizations = document.getElementById('rbtAllOrganizations');
                    if (rbtDefault.checked) {
                        document.getElementById('ddlOrganizations').style.display = "block";
                    }
                    if (rbtAllOrganizations.checked) {
                        document.getElementById('ddlOrganizations').style.display = "none";
                    }
                }

            </script>

            <script type="text/javascript">
                var Alert_Confirm = "Are you sure you want to save the settings?";
                var Alert_PreferedChart = "Select minimum one chart as prefered Dashboard chart.";
                var Alert_FromDate = "Please select the From Date.";
                var Alert_ToDate = "Please select the To Date.";

                function Save(Confirm, Prefered, FromDate, ToDate) {
                    Alert_Confirm = Confirm;
                    Alert_PreferedChart = Prefered;
                    Alert_FromDate = FromDate;
                    Alert_ToDate = ToDate;
                }
                function GetSettings() {
                    if (confirm(Alert_Confirm)) {
                        return true;
                    }
                }

                function validateROI() {
                    var costname = document.getElementsByName("txtCostName");
                    if (costname == null && costname.value.length == 0) {
                        alert("Please select cost name.");
                        return false;
                    }
                    else { return true; }
                }

            </script>
            <script type="text/javascript">
                function HidePopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').hide();
                    }
                }
                function ShowPopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').show();
                    }
                }
            </script>

            <script src="../js/ROIJScript.js" type="text/javascript"></script>
            <asp:HiddenField runat="server" ID="hdnDateFormat" Value="dd-MMM-yyyy" />
            <asp:HiddenField ID="hdnDayLight" runat="server" />
            <asp:HiddenField ID="hdnLogout" runat="server" />
            <asp:HiddenField ID="hdnMultiLingualmsg" runat="server" />
        </form>
    </div>
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
