﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_VehicleMsgSeverity, App_Web_djtyz2h1" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>
<%@ Register Src="~/UserControls/TrinetraGrid.ascx" TagName="FleetGrid" TagPrefix="uc5" %>
<%@ Register Src="~/UserControls/TrinetraGrid.ascx" TagName="EmailGrid" TagPrefix="uc4" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.v8.2" Namespace="DevExpress.Web.ASPxTabControl"
    TagPrefix="dxtc" %>
<%@ Register Assembly="DevExpress.Web.v8.2" Namespace="DevExpress.Web.ASPxClasses"
    TagPrefix="dxw" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>
<%--********* For Bootstrap Implementation *************--%>
<!DOCTYPE html>
<html lang="en">
<%--********* End of Bootstrap Implementation *************--%>
<head id="Head1" runat="server">
    <%--********* For Bootstrap Implementation *************--%>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <%--********* End of Bootstrap Implementation *************--%>
    <title>tSense-IoT Configuration - Message Severity Settings</title>
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet"
        type="text/css" />
    <link id="updatedcss" runat="server" href="../css/Updated_css.css" rel="stylesheet"
        type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <%--BootStrap Css--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <!-- Header Starts Here -->
            <uc1:Header ID="ucHeader" runat="server" />
            <!-- Nav Ends Here -->
            <!-- Content Starts Here -->
            <div id="outer">
                <div id="inner">
                    <div id="float-wrap">
                        <!-- Main Content Starts Here -->
                        <div id="content">
                            <div class="content-wrap">
                                <div id="top-content" class="head-part">

                                    <div id="heading" class="col-sm-3 col-md-4 col-lg-3">
                                        <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                        <h1>
                                            <asp:Literal ID="lblConfigurationSetupCaption" Text="Configuration" runat="server"></asp:Literal></h1>
                                        <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton><span>&gt;</span><span><a
                                            href="MsgSeveritySettings.aspx"><asp:Label ID="lblSeverityCaption" Text="Severity"
                                                runat="server"></asp:Label></a></span>
                                    </div>
                                    <div class="col-sm-6 col-md-5 col-lg-6">
                                        <div class="topIconControl">

                                            <div class="col-sm-6 topControlAlign controllinebreak">
                                                <div class="col-xs-1 col-sm-2 col-md-2 col-lg-1 padding-width-sm-right">
                                                    <asp:Image ID="imgFleetIcon" ImageUrl="../images/fleet-icon.gif" AlternateText="Fleet Name"
                                                        ToolTip="Fleet Name" CssClass="icon" runat="server" />
                                                </div>
                                                <div class="col-xs-2 col-sm-2 col-md-2 col-lg-1 padding-width-sm-right" style="margin-top: 4px;">
                                                    <asp:Label ID="lblFleet" runat="server" Text="Fleet"></asp:Label>
                                                </div>
                                                <div class="col-xs-9 col-sm-8 col-md-8 col-lg-10 padding-width-sm">
                                                    <asp:DropDownList ID="ddlFleet" CssClass="form-control FontAlign" runat="server" AutoPostBack="true" OnSelectedIndexChanged="ddlFleet_SelectedIndexChanged">
                                                    </asp:DropDownList>
                                                </div>
                                            </div>
                                            <div class="col-sm-6 topControlAlign controllinebreak">
                                                <div class="col-xs-1 col-sm-2 col-md-2 col-lg-1 padding-width-sm-right">
                                                    <asp:Image ID="imgVehicleIcon" runat="server" CssClass="icon" ImageUrl="../images/vehicle-icon.gif"
                                                        AlternateText="Vehicle" ToolTip="Vehicle" />
                                                </div>
                                                <div class="col-xs-2 col-sm-2 col-md-2 col-lg-1 padding-width-sm-right" style="margin-top: 4px;">
                                                    <asp:Label ID="lblVehicle" runat="server" Text="Vehicle"></asp:Label>
                                                </div>
                                                <div class="col-xs-9 col-sm-8 col-md-8 col-lg-10 padding-width-sm adjustPadding">
                                                    <asp:DropDownList ID="ddlVehicle" CssClass="form-control FontAlign" runat="server" AutoPostBack="true" OnSelectedIndexChanged="ddlVehicle_SelectedIndexChanged">
                                                        <asp:ListItem Text="- Select -" Value="0"></asp:ListItem>
                                                    </asp:DropDownList>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-sm-3 col-md-3 col-lg-3 head-part-btns">
                                        <div class="pull-right">
                                            <div class="ManageGeozoneTableAlign">
                                                <asp:HyperLink ID="lnkManageVehicle1" runat="server" NavigateUrl="~/Forms/VehicleInfo.aspx"
                                                    ImageUrl="~/images/btn-manage-vehicles.jpg" Visible="false"></asp:HyperLink>
                                                <asp:LinkButton ID="lnkManageVehicle" runat="server" CssClass="MultilingualBtn" NavigateUrl="~/Forms/VehicleInfo.aspx">
                                                    <span runat="server" class="MultilingualBtnspan">
                                                        <div class="ManageVehicles">
                                                            <div id="ManageVehiclesDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                Manage Vehicle
                                                            </div>
                                                        </div>
                                                    </span>
                                                </asp:LinkButton>
                                                &nbsp;
                                                <asp:HyperLink ID="hlBackConfig1" runat="server" NavigateUrl="~/Forms/ConfigurationSetup.aspx"
                                                    ImageUrl="~/images/btn-back-to-configuration.jpg" Visible="false"></asp:HyperLink>
                                                <asp:LinkButton ID="hlBackConfig" runat="server" CssClass="MultilingualBtn" NavigateUrl="~/Forms/ConfigurationSetup.aspx">
                                                    <span id="Span1" runat="server" class="MultilingualBtnspan">
                                                        <div class="Back">
                                                            <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                Back to Configuration
                                                            </div>
                                                        </div>
                                                    </span>
                                                </asp:LinkButton>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="clear clearfix">
                                    </div>
                                    <div class="row-Geozone"></div>
                                </div>
                                <div id="form-box">
                                    <asp:UpdatePanel ID="updVehicle" runat="server">
                                        <Triggers>
                                            <asp:PostBackTrigger ControlID="gvSensorSeverity" />
                                        </Triggers>
                                        <ContentTemplate>

                                            <div id="tr1" runat="server" visible="true">
                                                <asp:Panel ID="pnlVehicleMsgSeveritySettings" runat="server">
                                                    <div class="form-box col-sm-12 nullpadding " id="trMessageType" visible="false" runat="server">
                                                        <h1>
                                                            <span class="icon">
                                                                <asp:Image ID="imgMessageSeveirtyEntry" runat="server" ImageUrl="../images/vehicle-icon.gif" /></span>
                                                            <span class="txt">
                                                                <asp:Label ID="lblVehicleMsgESeverityEntry" runat="server" Text="Vehicle Message Severity"></asp:Label></span>
                                                        </h1>
                                                        <div class="clearfix"></div>
                                                        <div class="col-sm-10 col-md-9 col-lg-8 nullpadding">
                                                            <div class="col-sm-12 rowTollgate">
                                                                <div class="col-sm-5 nullpadding">
                                                                    <div class="col-xs-4 col-sm-4 col-md-4 col-lg-3 nullpadding icon-img">
                                                                        <asp:Label ID="lblMessageType" runat="server" Text="Message Type"></asp:Label>
                                                                    </div>
                                                                    <div class="col-xs-8 col-sm-8 col-md-8 col-lg-9 nullpadding form-controllinebreak">
                                                                        <asp:Label ID="lblSelectedMessageType" runat="server" Text="Message Type"></asp:Label>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div id="trSeverity" visible="false" runat="server">
                                                                <div class="col-sm-12 rowTollgate">
                                                                    <div class="col-sm-5 nullpadding">
                                                                        <div class="col-sm-4 col-md-4 col-lg-3 col-xs-4 nullpadding">
                                                                            <asp:Label ID="lblSeverity" runat="server" Text="Severity"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-7 col-md-7 col-lg-8 col-xs-8 nullpadding">
                                                                            <asp:DropDownList ID="ddlSeverities" CssClass="form-control FontAlign form-controllinebreak" runat="server" AutoPostBack="false">
                                                                            </asp:DropDownList>
                                                                        </div>
                                                                    </div>

                                                                    <div class="col-sm-5 nullpadding">
                                                                        <asp:ImageButton ID="btnSave1" ImageUrl="~/images/btn-save.jpg" runat="server" text="Save"
                                                                            OnClick="btnSave_Click" Visible="false" />
                                                                        <asp:LinkButton ID="btnSave" runat="server" CssClass="MultilingualBtn" OnClick="btnSave_Click" OnClientClick="ShowPopUp();">
                                                                            <span runat="server" class="MultilingualBtnspan">
                                                                                <div class="Save">
                                                                                    <div id="SaveDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                        Save
                                                                                    </div>
                                                                                </div>
                                                                            </span>
                                                                        </asp:LinkButton>

                                                                        &nbsp;&nbsp;&nbsp;
                                                                              
                                                                                    <asp:ImageButton ID="btnCancel1" runat="server" OnClick="btnCancel_Click" ImageUrl="~/images/btn-cancel.jpg"
                                                                                        Visible="false" />
                                                                        <asp:LinkButton ID="btnCancel" runat="server" CssClass="MultilingualBtn" OnClick="btnCancel_Click" OnClientClick="ShowPopUp();">
                                                                            <span runat="server" class="MultilingualBtnspan">
                                                                                <div class="Cancel">
                                                                                    <div id="CancelDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                        Cancel
                                                                                    </div>
                                                                                </div>
                                                                            </span>
                                                                        </asp:LinkButton>

                                                                    </div>

                                                                </div>
                                                            </div>


                                                        </div>

                                                    </div>
                                                    <div class="clear clearfix">
                                                    </div>
                                                    <asp:Panel ID="pnlVehicleMessageSeverity" runat="server" CssClass="ControlShowSendCommands">
                                                        <div id="grid-dsply">
                                                            <div id="top">
                                                                <div class="col-sm-12 padding-width-md">
                                                                    <span class="icon">
                                                                        <asp:Image ID="imgVehicleMessageSeverity" runat="server" ImageUrl="../images/vehicle-icon.gif" /></span>
                                                                    <span class="txt">
                                                                        <asp:Label ID="lblVehicleMessageSeverity" runat="server" Text="Vehicle Message Severity"></asp:Label></span>
                                                                </div>
                                                            </div>
                                                            <div class="Clear clearfix"></div>
                                                            <div class="table-responsive">
                                                                <dxw:ASPxGridView ID="gvVehicleServerity" runat="server" Width="100%" KeyFieldName="BoxMsgInTypeId"
                                                                    CssFilePath="/App_Themes/office2003Blue/GridView/grid.css" CssPostfix="Office2003_Blue"
                                                                    EnableTheming="true" Theme="Office2003Blue" ClientInstanceName="gvVehicleServerity"
                                                                    EnableRowsCache="False" OnHtmlRowCreated="gvVehicleServerity_HtmlRowCreated">
                                                                    <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="100" />
                                                                    <%--<Images ImageFolder="~/App_Themes/office2003Blue/GridView/">
                                                                        <CollapsedButton Height="12px" Url="/App_Themes/office2003Blue/GridView/gvCollapsedButton.png"
                                                                            Width="11px" />
                                                                        <ExpandedButton Height="12px" Url="/App_Themes/office2003Blue/GridView/gvExpandedButton.png"
                                                                            Width="11px" />
                                                                        <DetailCollapsedButton Height="12px" Url="/App_Themes/office2003Blue/GridView/gvCollapsedButton.png"
                                                                            Width="11px" />
                                                                        <DetailExpandedButton Height="12px" Url="/App_Themes/office2003Blue/GridView/gvExpandedButton.png"
                                                                            Width="11px" />
                                                                    </Images>--%>
                                                                    <SettingsPager PrevPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pPrev.gif"
                                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pPrevDisabled.gif"
                                                                        NextPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pNextDisabled.gif"
                                                                        NextPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pNext.gif" AlwaysShowPager="true"
                                                                        PageSize="5">
                                                                    </SettingsPager>
                                                                    <Styles AlternatingRow-Enabled="True" CssFilePath="/App_Themes/office2003Blue/GridView/grid.css"
                                                                        CssPostfix="Office2003_Blue">
                                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                        </Header>
                                                                        <LoadingPanel ImageSpacing="10px">
                                                                        </LoadingPanel>
                                                                        <PagerBottomPanel CssClass="PageFooter">
                                                                        </PagerBottomPanel>
                                                                        <PagerTopPanel CssClass="PageFooter">
                                                                        </PagerTopPanel>
                                                                    </Styles>
                                                                    <Settings ShowFilterRow="false" />
                                                                    <SettingsBehavior AllowFocusedRow="true" />
                                                                    <SettingsEditing Mode="Inline" />
                                                                    <Columns>
                                                                        <dxw:GridViewDataTextColumn FieldName="BoxMsgInTypeDesc" Width="50%" Caption="Message"
                                                                            VisibleIndex="1">
                                                                            <HeaderCaptionTemplate>
                                                                                <span class="icon">
                                                                                    <asp:Image ID="imgMessage" runat="server" ImageUrl="..\Images\icn-message-details.gif" /></span>
                                                                                <span class="label">
                                                                                    <asp:Label ID="lblMessage" runat="server" Text="Message"></asp:Label></span>
                                                                            </HeaderCaptionTemplate>
                                                                            <DataItemTemplate>
                                                                                <asp:Label ID="lblBoxMsgInTypeDesc" runat="server" Text='<%# Eval("BoxMsgInTypeDesc") %>'></asp:Label>
                                                                            </DataItemTemplate>
                                                                            <EditItemTemplate>
                                                                                <asp:Label ID="lblBoxMsgInTypeDes" runat="server" Text='<%# Eval("BoxMsgInTypeDesc") %>'></asp:Label>
                                                                            </EditItemTemplate>
                                                                            <Settings ShowFilterRowMenu="True" />
                                                                        </dxw:GridViewDataTextColumn>
                                                                        <%--<dxw:GridViewDataComboBoxColumn FieldName="AlarmLevelName" Caption="Severity" VisibleIndex="2">
                                                                            <HeaderCaptionTemplate>
                                                                                <span class="icon">
                                                                                    <asp:Image runat="server" ID="imgSeverity" ImageUrl="..\Images\icn-severity.gif" /></span>
                                                                                <span class="label">
                                                                                    <asp:Label ID="lblSeverity" runat="server" Text="Severity"></asp:Label></span>
                                                                            </HeaderCaptionTemplate>
                                                                            <PropertiesComboBox TextField="AlarmLevelName" ValueField="AlarmLevelId" EnableSynchronization="False"
                                                                                EnableIncrementalFiltering="True">
                                                                            </PropertiesComboBox>
                                                                            <Settings ShowFilterRowMenu="True" />
                                                                        </dxw:GridViewDataComboBoxColumn>--%>
                                                                        <dxw:GridViewDataTextColumn FieldName="AlarmLevelName" Caption="Severity" VisibleIndex="1">
                                                                            <HeaderCaptionTemplate>
                                                                                <span class="icon">
                                                                                    <asp:Image runat="server" ID="imgSeverity" ImageUrl="..\Images\icn-severity.gif" /></span>
                                                                                <span class="label">
                                                                                    <asp:Label ID="lblSeverity" runat="server" Text="Message"></asp:Label></span>
                                                                            </HeaderCaptionTemplate>
                                                                            <DataItemTemplate>
                                                                                <asp:Label ID="lblSeverity" runat="server" Text='<%# Eval("AlarmLevelName") %>'></asp:Label>
                                                                            </DataItemTemplate>
                                                                            <EditItemTemplate>
                                                                                <asp:Label ID="lblSeverity" runat="server" Text='<%# Eval("AlarmLevelName") %>'></asp:Label>
                                                                            </EditItemTemplate>
                                                                            <Settings ShowFilterRowMenu="True" />
                                                                        </dxw:GridViewDataTextColumn>
                                                                        <dxw:GridViewDataTextColumn Caption="" Width="5%" VisibleIndex="3">
                                                                            <DataItemTemplate>
                                                                                <asp:LinkButton ID="lnkEditVehicleSensorSeverity" runat="server" OnClientClick="return ShowPopUp();"
                                                                                    OnClick="EditVehicleMessageSeverity" CommandArgument='<%# Eval("BoxMsgInTypeId")+","+Eval("AlarmLevelID")+","+ Eval("IsDefaultAlarm")+","+ Eval("BoxMsgInTypeDesc") %>'><img src="../images/icn-edit.gif" alt="" /></asp:LinkButton>
                                                                            </DataItemTemplate>
                                                                        </dxw:GridViewDataTextColumn>
                                                                    </Columns>
                                                                    <SettingsBehavior AllowFocusedRow="true" />
                                                                    <SettingsText EmptyDataRow="No message severity is set for the selected vehicle." />
                                                                </dxw:ASPxGridView>
                                                            </div>
                                                        </div>
                                                        <div class="gridStyle">
                                                            <div class="col-sm-12 nullpadding row-Geozone">
                                                                <div class="col-sm-3 col-md-4 col-lg-3"></div>
                                                                <div class="col-sm-6 col-md-5 col-lg-6">
                                                                    <div class="topIconControl">

                                                                        <div class="col-sm-6 topControlAlign controllinebreak">
                                                                            <div class="col-xs-1 col-sm-2 col-md-2 col-lg-1 padding-width-sm-right">
                                                                                <asp:Image ID="imgSensorFleet" runat="server" CssClass="icon" AlternateText="Fleet Name" ImageUrl="../images/fleet-icon.gif"
                                                                                    ToolTip="Fleet Name" />
                                                                            </div>
                                                                            <div class="col-xs-2 col-sm-2 col-md-2 col-lg-1 padding-width-sm-right" style="margin-top: 4px;">
                                                                                <asp:Label ID="lblSensorFleet" runat="server" Style="white-space: nowrap" Text="Fleet"></asp:Label>
                                                                            </div>
                                                                            <div class="col-xs-9 col-sm-8 col-md-8 col-lg-10 padding-width-sm">
                                                                                <asp:DropDownList ID="ddlSensorFleet" CssClass="form-control FontAlign" runat="server" AutoPostBack="true" OnSelectedIndexChanged="ddlSensorFleet_SelectedIndexChanged">
                                                                                </asp:DropDownList>
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-sm-6 topControlAlign controllinebreak">
                                                                            <div class="col-xs-1 col-sm-2 col-md-2 col-lg-1 padding-width-sm-right">
                                                                                <asp:Image ID="imgSensorVehicle" CssClass="icon" runat="server" AlternateText="Vehicle" ImageUrl="../images/vehicle-icon.gif"
                                                                                    ToolTip="Vehicle" />
                                                                            </div>
                                                                            <div class="col-xs-2 col-sm-2 col-md-2 col-lg-1 padding-width-sm-right" style="margin-top: 4px;">
                                                                                <asp:Label ID="lblSensorVehicle" runat="server" Text="Vehicle"></asp:Label>
                                                                            </div>
                                                                            <div class="col-xs-9 col-sm-8 col-md-8 col-lg-10 padding-width-sm adjustPadding">
                                                                                <asp:DropDownList ID="ddlSensorvehicle" CssClass="form-control FontAlign" runat="server" AutoPostBack="true" OnSelectedIndexChanged="ddlSensorvehicle_SelectedIndexChanged">
                                                                                    <asp:ListItem Text="- Select -" Value="0"></asp:ListItem>
                                                                                </asp:DropDownList>
                                                                            </div>
                                                                        </div>

                                                                    </div>
                                                                </div>
                                                                <div class="col-sm-3 col-md-3 col-lg-3"></div>
                                                            </div>
                                                        </div>
                                                    </asp:Panel>
                                                </asp:Panel>

                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                            <div id="tr2" runat="server" visible="true">

                                                <asp:Panel ID="pnlVehicleSeverityList" runat="server">
                                                    <asp:Panel ID="pnlSensorSeveritySettingsEdit" runat="server" Visible="false">
                                                        <div class="form-box col-sm-12 nullpadding">
                                                            <h1>
                                                                <span class="icon">
                                                                    <asp:Image ID="imgVehicleSensorSevSettings" runat="server" ImageUrl="../images/vehicle-icon.gif"
                                                                        alt="" /></span>
                                                                <asp:Label ID="lblVehicleSensorSevSettings" runat="server" Text="Vehicle Sensor Severity Settings"></asp:Label>
                                                            </h1>
                                                            <div class="col-sm-10 col-md-9 col-lg-8 nullpadding">
                                                                <div class="col-sm-12 rowTollgate">
                                                                    <div class="col-sm-5 nullpadding">
                                                                        <div class="col-sm-4 col-md-4 col-lg-3 nullpadding icon-img">
                                                                            <asp:Label ID="lblSensorName" runat="server" Text="Sensor Name"></asp:Label>
                                                                            <asp:Label ID="lblSensorNameRequired" runat="server" ForeColor="Red" Text="*"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-7 col-md-7 col-lg-7 nullpadding">
                                                                            <asp:Label ID="lblSensorNameEdit" runat="server" Text=""></asp:Label>
                                                                            <asp:TextBox ID="txtSensorNameEdit" runat="server" CssClass="form-control form-controllinebreak" onpaste="return false;" ondrop="return false;"
                                                                                onkeypress="return chkAlphaNumericWithSpace(event,this,19);"></asp:TextBox>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="col-sm-12 rowTollgate">
                                                                    <div class="col-sm-5 nullpadding">
                                                                        <div class="col-sm-4 col-md-4 col-lg-3 nullpadding icon-img">
                                                                            <asp:Label ID="lblActionOn" runat="server" Text="Action On"></asp:Label>
                                                                            <asp:Label ID="lblActionOnRequired" runat="server" ForeColor="Red" Text="*"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-7 col-md-7 col-lg-7 nullpadding">
                                                                            <asp:Label ID="lblActionOnEdit" runat="server" Text=""></asp:Label>
                                                                            <asp:TextBox ID="txtActionOnEdit" runat="server" CssClass="form-control FontAlign form-controllinebreak" onpaste="return false;" ondrop="return false;"
                                                                                onkeypress="return chkAlphaNumericWithSpace(event,this,14);"></asp:TextBox>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm-4 nullpadding">
                                                                        <div class="col-sm-4 col-md-4 col-lg-4 nullpadding icon-img">
                                                                            <asp:Label ID="lblAlarmLeveOn" runat="server" Text="Alarm Level On"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-7 col-md-7 col-lg-7 nullpadding">
                                                                            <asp:Label ID="lblAlarmLevelOnEdit" runat="server" Text=""></asp:Label>
                                                                            <asp:DropDownList ID="ddlAlarmLevelOnEdit" CssClass="form-control FontAlign form-controllinebreak" runat="server">
                                                                            </asp:DropDownList>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="col-sm-12 rowTollgate">
                                                                    <div class="col-sm-5 nullpadding">
                                                                        <div class="col-sm-4 col-md-4 col-lg-3 nullpadding icon-img">
                                                                            <asp:Label ID="lblActionOff" runat="server" Text="Action Off"></asp:Label>
                                                                            <asp:Label ID="lblActionOffRequired" runat="server" ForeColor="Red" Text="*"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-7 col-md-7 col-lg-7 nullpadding">
                                                                            <asp:Label ID="lblActionOffEdit" runat="server" Text=""></asp:Label>
                                                                            <asp:TextBox ID="txtActionOffEdit" runat="server" CssClass="form-control FontAlign form-controllinebreak" onpaste="return false;" ondrop="return false;"
                                                                                onkeypress="return chkAlphaNumericWithSpace(event,this,14);"></asp:TextBox>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm-4 nullpadding">
                                                                        <div class="col-sm-4 col-md-4 col-lg-4 nullpadding icon-img">
                                                                            <asp:Label ID="lblAlarmLevelOff" runat="server" Text="Alarm Level Off"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-7 col-md-7 col-lg-7 nullpadding">
                                                                            <asp:Label ID="lblAlarmLevelOffEdit" runat="server" Text=""></asp:Label>

                                                                            <asp:DropDownList ID="ddlAlarmLevelOffEdit" CssClass="form-control FontAlign form-controllinebreak" runat="server">
                                                                            </asp:DropDownList>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="col-sm-12 rowTollgate">
                                                                    <div class="col-sm-5 nullpadding">
                                                                        <div class="col-sm-12 nullpadding">
                                                                            <asp:Label ID="Label1" runat="server" ForeColor="Red" Text="*"></asp:Label>
                                                                            <asp:Label ID="lblIndicatesMandatory" runat="server" Text="Required Fields"></asp:Label>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="col-sm-12 rowTollgate">
                                                                    <div class="col-sm-5 nullpadding">
                                                                        <div class="col-sm-4 col-md-4 col-lg-3 nullpadding"></div>
                                                                        <div class="col-sm-7 col-md-7 col-lg-7 nullpadding">
                                                                            <div class="col-sm-12 nullpadding">
                                                                                <asp:ImageButton ID="ibtSave1" runat="server" ImageUrl="~/images/btn-save.jpg" OnClick="ibtSave_Click"
                                                                                    Visible="false" />
                                                                                <asp:LinkButton ID="ibtSave" runat="server" CssClass="MultilingualBtn" OnClick="ibtSave_Click" OnClientClick="ShowPopUp();">
                                                                                    <span runat="server" class="MultilingualBtnspan">
                                                                                        <div class="Save">
                                                                                            <div id="ibtnSaveDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                                Save
                                                                                            </div>
                                                                                        </div>
                                                                                    </span>
                                                                                </asp:LinkButton>

                                                                                <asp:ImageButton ID="ibtCancel1" runat="server" ImageUrl="~/images/btn-cancel.jpg"
                                                                                    OnClick="ibtCancel_Click" Visible="false" />
                                                                                <asp:LinkButton ID="ibtCancel" runat="server" CssClass="MultilingualBtn" OnClick="ibtCancel_Click" OnClientClick="ShowPopUp();">
                                                                                    <span runat="server" class="MultilingualBtnspan">
                                                                                        <div class="Cancel">
                                                                                            <div id="ibtCancelDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                                Cancel
                                                                                            </div>
                                                                                        </div>
                                                                                    </span>
                                                                                </asp:LinkButton>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </asp:Panel>
                                                    <div class="clear clearfix">
                                                    </div>
                                                    <asp:Panel ID="pnlSensorSeverity" runat="server">
                                                        <div id="grid-dsply">
                                                            <div id="top">
                                                                <div class="col-sm-12 padding-width-md">
                                                                    <span class="icon">
                                                                        <asp:Image ID="Image1" runat="server" ImageUrl="../images/vehicle-icon.gif" alt="" /></span>
                                                                    <span class="txt">
                                                                        <asp:Label ID="Label2" runat="server" Text="Vehicle Sensor Severity Settings"></asp:Label></span>
                                                                </div>
                                                            </div>
                                                            <div class="Clear clearfix"></div>
                                                            <div class="table-responsive">
                                                                <dxw:ASPxGridView ID="gvSensorSeverity" runat="server" Width="100%" KeyFieldName="SensorId"
                                                                    CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css" CssPostfix="Office2003_Blue"
                                                                    EnableTheming="true" Theme="Office2003Blue" ClientInstanceName="gvSensorSeverity"
                                                                    EnableRowsCache="False" OnHtmlRowCreated="gvSensorSeverity_HtmlRowCreated">
                                                                    <SettingsEditing Mode="Inline" />
                                                                    <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="75" />
                                                                    <%--<Images ImageFolder="~/App_Themes/office2003Blue/GridView/">
                                                                        <CollapsedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvCollapsedButton.png"
                                                                            Width="11px" />
                                                                        <ExpandedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvExpandedButton.png"
                                                                            Width="11px" />
                                                                        <DetailCollapsedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvCollapsedButton.png"
                                                                            Width="11px" />
                                                                        <DetailExpandedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvExpandedButton.png"
                                                                            Width="11px" />
                                                                    </Images>--%>
                                                                    <SettingsBehavior AllowFocusedRow="true" />
                                                                    <SettingsPager PrevPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pPrev.gif"
                                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pPrevDisabled.gif"
                                                                        NextPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pNextDisabled.gif"
                                                                        NextPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pNext.gif" AlwaysShowPager="true"
                                                                        PageSize="5">
                                                                    </SettingsPager>
                                                                    <Styles AlternatingRow-Enabled="True" CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css"
                                                                        CssPostfix="Office2003_Blue">
                                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                        </Header>
                                                                        <LoadingPanel ImageSpacing="10px">
                                                                        </LoadingPanel>
                                                                        <PagerBottomPanel CssClass="PageFooter">
                                                                        </PagerBottomPanel>
                                                                        <PagerTopPanel CssClass="PageFooter">
                                                                        </PagerTopPanel>
                                                                    </Styles>
                                                                    <SettingsBehavior AllowFocusedRow="true" />
                                                                    <SettingsEditing Mode="Inline" />
                                                                    <Columns>
                                                                        <dxw:GridViewDataTextColumn FieldName="SensorName" Caption="Sensor Name" VisibleIndex="0"
                                                                            Width="20%">
                                                                            <HeaderCaptionTemplate>
                                                                                <span class="icon">
                                                                                    <asp:Image ID="imgSensorName" runat="server" ImageUrl="..\Images\icn-sensor-name.gif" /></span>
                                                                                <span class="label">
                                                                                    <asp:Label ID="lblSensorName" runat="server" Text="Sensor Name"></asp:Label></span>
                                                                            </HeaderCaptionTemplate>
                                                                            <DataItemTemplate>
                                                                                <asp:Label ID="lblItemTempSensorName" runat="server" Text='<%#Eval("SensorName") %>'>
                                                                                </asp:Label>
                                                                            </DataItemTemplate>
                                                                            <EditItemTemplate>
                                                                                <asp:Label ID="lblEditTempSensorName" runat="server" Text='<%#Eval("SensorName") %>'>
                                                                                </asp:Label>
                                                                            </EditItemTemplate>
                                                                        </dxw:GridViewDataTextColumn>
                                                                        <dxw:GridViewDataTextColumn FieldName="ActionOn" Caption="Action On" VisibleIndex="1"
                                                                            Width="20%">
                                                                            <HeaderCaptionTemplate>
                                                                                <span class="icon">
                                                                                    <asp:Image ID="imgActionOn" runat="server" ImageUrl="..\Images\icn-action-on.gif" /></span>
                                                                                <span class="label">
                                                                                    <asp:Label ID="lblActionOn" runat="server" Text="Action On"></asp:Label></span>
                                                                            </HeaderCaptionTemplate>
                                                                            <DataItemTemplate>
                                                                                <asp:Label ID="lblItemTempActionOn" runat="server" Text='<%#Eval("ActionOn") %>'>
                                                                                </asp:Label>
                                                                            </DataItemTemplate>
                                                                            <EditItemTemplate>
                                                                                <asp:Label ID="lblEditTempActionOn" runat="server" Text='<%#Eval("ActionOn") %>'>
                                                                                </asp:Label>
                                                                            </EditItemTemplate>
                                                                        </dxw:GridViewDataTextColumn>
                                                                        <dxw:GridViewDataTextColumn FieldName="AlarmLevelForON" Caption="Alarm Level On"
                                                                            VisibleIndex="2" Width="17%">
                                                                            <HeaderCaptionTemplate>
                                                                                <span class="icon">
                                                                                    <asp:Image ID="imgAlarmLevelOn" runat="server" ImageUrl="..\Images\icn-level-action-on.gif" /></span>
                                                                                <span class="label">
                                                                                    <asp:Label ID="lblAlarmLevelOn" runat="server" Text="Alarm Level On"></asp:Label></span>
                                                                            </HeaderCaptionTemplate>
                                                                            <DataItemTemplate>
                                                                                <asp:Label ID="lblItemTempAlarmLevelOn" runat="server" Text='<%#Eval("AlarmLevelForON") %>'>
                                                                                </asp:Label>
                                                                            </DataItemTemplate>
                                                                            <EditItemTemplate>
                                                                                <asp:Label ID="lblEditTempAlarmLevelOn" runat="server" Text='<%#Eval("AlarmLevelForON") %>'>
                                                                                </asp:Label>
                                                                            </EditItemTemplate>
                                                                        </dxw:GridViewDataTextColumn>
                                                                        <dxw:GridViewDataTextColumn FieldName="ActionOff" Caption="Action Off" VisibleIndex="3"
                                                                            Width="20%">
                                                                            <HeaderCaptionTemplate>
                                                                                <span class="icon">
                                                                                    <asp:Image ID="imgActionOff" runat="server" ImageUrl="..\Images\icn-action-off.gif" /></span>
                                                                                <span class="label">
                                                                                    <asp:Label ID="lblActionOff" runat="server" Text="Action Off"></asp:Label></span>
                                                                            </HeaderCaptionTemplate>
                                                                            <DataItemTemplate>
                                                                                <asp:Label ID="lblItemTempActionOff" runat="server" Text='<%#Eval("ActionOff") %>'>
                                                                                </asp:Label>
                                                                            </DataItemTemplate>
                                                                            <EditItemTemplate>
                                                                                <asp:Label ID="lblEditTempActionOff" runat="server" Text='<%#Eval("ActionOff") %>'>
                                                                                </asp:Label>
                                                                            </EditItemTemplate>
                                                                        </dxw:GridViewDataTextColumn>
                                                                        <dxw:GridViewDataTextColumn FieldName="AlarmLevelForOff" Caption="Alarm Level Off"
                                                                            VisibleIndex="4">
                                                                            <HeaderCaptionTemplate>
                                                                                <span class="icon">
                                                                                    <asp:Image ID="imgAlarmLevelOff" runat="server" ImageUrl="..\Images\icn-level-action-off.gif" /></span>
                                                                                <span class="label">
                                                                                    <asp:Label ID="lblAlarmLevelOff" runat="server" Text="Alarm Level Off"></asp:Label>
                                                                                </span>
                                                                            </HeaderCaptionTemplate>
                                                                            <DataItemTemplate>
                                                                                <asp:Label ID="lblItemTempAlarmLevelOff" runat="server" Text='<%#Eval("AlarmLevelForOff") %>'>
                                                                                </asp:Label>
                                                                            </DataItemTemplate>
                                                                            <EditItemTemplate>
                                                                                <asp:Label ID="lblEditTempAlarmLevelOff" runat="server" Text='<%#Eval("AlarmLevelForOff") %>'>
                                                                                </asp:Label>
                                                                            </EditItemTemplate>
                                                                        </dxw:GridViewDataTextColumn>
                                                                        <dxw:GridViewDataTextColumn Width="5%">
                                                                            <DataItemTemplate>
                                                                                <asp:LinkButton ID="ibtEditSensorSettings" runat="server" OnClientClick="return ShowPopUp();"
                                                                                    CommandArgument='<%# Eval("SensorId")+","+Eval("BoxId") %>' OnClick="EditSensorSettings"><img src="../images/icn-edit.gif" alt=""/></asp:LinkButton>
                                                                            </DataItemTemplate>
                                                                        </dxw:GridViewDataTextColumn>
                                                                    </Columns>
                                                                    <SettingsBehavior AllowFocusedRow="true" />
                                                                    <SettingsText EmptyDataRow="No sensor severity is set for the selected vehicle." />
                                                                </dxw:ASPxGridView>
                                                            </div>
                                                        </div>
                                                    </asp:Panel>
                                                </asp:Panel>
                                                </td>
                                            </div>
                                            <tr id="tr3" runat="server" visible="true">
                                                <td>
                                                    <asp:Panel ID="pnlVehicleOutputList" runat="server">
                                                        <asp:Panel ID="pnlVehicleOutputsEdit" runat="server" Visible="false">
                                                            <div class="form-box col-sm-12 nullpadding">
                                                                <h1>
                                                                    <span class="icon">
                                                                        <asp:Image ID="imgVehicleOutputs" runat="server" ImageUrl="../images/vehicle-icon.gif"
                                                                            alt="" /></span>
                                                                    <asp:Label ID="lblVehicleOutputs" runat="server" Text="Vehicle Outputs"></asp:Label>
                                                                </h1>

                                                                <div class="col-sm-10 col-md-9 col-lg-8 nullpadding">
                                                                    <div class="col-sm-12 rowTollgate">
                                                                        <div class="col-sm-5 nullpadding">
                                                                            <div class="col-sm-4 col-md-4 col-lg-3 nullpadding icon-img">
                                                                                <asp:Label ID="lblOutputName" runat="server" Text="Output Name"></asp:Label>
                                                                                <asp:Label ID="lblOutputNameRequired" runat="server" ForeColor="Red" Text="*"></asp:Label>
                                                                            </div>
                                                                            <div class="col-sm-7 col-md-7 col-lg-7 nullpadding">
                                                                                <asp:TextBox ID="txtOutputName" runat="server" CssClass="form-control FontAlign form-controllinebreak" onpaste="return false;" ondrop="return false;"
                                                                                    onkeypress="return chkAlphaNumericWithSpace(event,this,19);"></asp:TextBox>
                                                                                <asp:Label ID="lblOutputNameEdit" runat="server"></asp:Label>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm-12 rowTollgate">
                                                                        <div class="col-sm-5 nullpadding">
                                                                            <div class="col-sm-4 col-md-4 col-lg-3 nullpadding icon-img">
                                                                                <asp:Label ID="lblOutputActionOn" runat="server" Text="Action On"></asp:Label>
                                                                                <asp:Label ID="lblOutputActionOnRequired" runat="server" ForeColor="Red" Text="*"></asp:Label>
                                                                            </div>
                                                                            <div class="col-sm-7 col-md-7 col-lg-7 nullpadding">
                                                                                <asp:TextBox ID="txtOutputActionOn" CssClass="form-control FontAlign form-controllinebreak" runat="server" onpaste="return false;" ondrop="return false;"
                                                                                    onkeypress="return chkAlphaNumericWithSpace(event,this,14);"></asp:TextBox>
                                                                                <asp:Label ID="lblOutputActionOnEdit" runat="server"></asp:Label>
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-sm-4 nullpadding">
                                                                            <asp:Label ID="lblOutputMandatoryIndication" runat="server" ForeColor="Red" Text="*"></asp:Label>
                                                                            <asp:Label ID="lblOutputMandatory" runat="server" Text="Required Fields"></asp:Label>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm-12 rowTollgate">
                                                                        <div class="col-sm-5 nullpadding">
                                                                            <div class="col-sm-4 col-md-4 col-lg-3 nullpadding icon-img">
                                                                                <asp:Label ID="lblOutputActionOff" runat="server" Text="Action Off"></asp:Label>
                                                                                <asp:Label ID="lblOutputActionOffRequired" runat="server" ForeColor="Red" Text="*"></asp:Label>
                                                                            </div>
                                                                            <div class="col-sm-7 col-md-7 col-lg-7 nullpadding">
                                                                                <asp:TextBox ID="txtOutputActionOff" CssClass="form-control form-controllinebreak" runat="server" onpaste="return false;" ondrop="return false;"
                                                                                    onkeypress="return chkAlphaNumericWithSpace(event,this,14);"></asp:TextBox>
                                                                                <asp:Label ID="lblOutputActionOffEdit" runat="server"></asp:Label>
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-sm-6 col-lg-4 nullpadding">
                                                                            <div class="col-sm-8 nullpadding">
                                                                                <asp:ImageButton ID="ibtOutputSave1" runat="server" ImageUrl="~/images/btn-save.jpg"
                                                                                    OnClick="ibtOutputSave_Click" Visible="false" />
                                                                                <asp:LinkButton ID="ibtOutputSave" runat="server" CssClass="MultilingualBtn" OnClick="ibtOutputSave_Click">
                                                                                    <span runat="server" class="MultilingualBtnspan">
                                                                                        <div class="Save">
                                                                                            <div id="OutputSaveDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                                Save
                                                                                            </div>
                                                                                        </div>
                                                                                    </span>
                                                                                </asp:LinkButton>


                                                                                <asp:ImageButton ID="ibtOutputCancel1" runat="server" ImageUrl="~/images/btn-cancel.jpg"
                                                                                    OnClick="ibtOutputCancel_Click" Visible="false" />
                                                                                <asp:LinkButton ID="ibtOutputCancel" runat="server" CssClass="MultilingualBtn" OnClick="ibtOutputCancel_Click">
                                                                                    <span runat="server" class="MultilingualBtnspan">
                                                                                        <div class="Cancel">
                                                                                            <div id="OutputCancelDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                                Cancel
                                                                                            </div>
                                                                                        </div>
                                                                                    </span>
                                                                                </asp:LinkButton>

                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                        </asp:Panel>
                                                        <div class="clear clearfix">
                                                        </div>
                                                        <asp:Panel ID="pnlVehicleOutputs" runat="server" CssClass="ControlHide">
                                                            <div id="grid-dsply">
                                                                <div id="top">
                                                                    <div class="col-sm-12 padding-width-md">
                                                                        <span class="icon">
                                                                            <img src="../images/vehicle-icon.gif" class="icon" alt="" /></span>
                                                                        <span class="txt">
                                                                            <asp:Label ID="lblOutputCaption" runat="server" Text="Vehicle Outputs"></asp:Label></span>
                                                                    </div>
                                                                </div>
                                                                <div class="clear clearfix"></div>
                                                                <div class="table-responsive">
                                                                    <dxw:ASPxGridView ID="gvBoxOutputs" runat="server" Width="100%"
                                                                        KeyFieldName="OutputId"
                                                                        CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css" CssPostfix="Office2003_Blue"
                                                                        EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvBoxOutputs_HtmlRowCreated">
                                                                        <Images ImageFolder="~/App_Themes/office2003Blue/GridView/">
                                                                            <CollapsedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvCollapsedButton.png"
                                                                                Width="11px" />
                                                                            <ExpandedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvExpandedButton.png"
                                                                                Width="11px" />
                                                                            <DetailCollapsedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvCollapsedButton.png"
                                                                                Width="11px" />
                                                                            <DetailExpandedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvExpandedButton.png"
                                                                                Width="11px" />
                                                                        </Images>
                                                                        <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="75" />
                                                                        <SettingsPager PrevPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pPrev.gif"
                                                                            PrevPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pPrevDisabled.gif"
                                                                            NextPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pNextDisabled.gif"
                                                                            NextPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pNext.gif" AlwaysShowPager="true"
                                                                            PageSize="5">
                                                                        </SettingsPager>
                                                                        <Styles AlternatingRow-Enabled="True" CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css"
                                                                            CssPostfix="Office2003_Blue">
                                                                            <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                            </Header>
                                                                            <LoadingPanel ImageSpacing="10px">
                                                                            </LoadingPanel>
                                                                            <PagerBottomPanel CssClass="PageFooter">
                                                                            </PagerBottomPanel>
                                                                            <PagerTopPanel CssClass="PageFooter">
                                                                            </PagerTopPanel>
                                                                        </Styles>
                                                                        <SettingsBehavior AllowFocusedRow="true" />
                                                                        <Columns>
                                                                            <dxw:GridViewDataColumn FieldName="OutputName" Caption="Output Name" VisibleIndex="1"
                                                                                Width="35%">
                                                                                <HeaderCaptionTemplate>
                                                                                    <span class="icon">
                                                                                        <asp:Image runat="server" ID="imgOutputName" ImageUrl="..\Images\icn-output-name.gif"
                                                                                            alt="" /></span> <span class="label">
                                                                                                <asp:Label ID="lblOutputNameCaption" runat="server" Text="Output Name"></asp:Label></span>
                                                                                </HeaderCaptionTemplate>
                                                                            </dxw:GridViewDataColumn>
                                                                            <dxw:GridViewDataColumn FieldName="OutputOn" Caption="Action On" VisibleIndex="2"
                                                                                Width="30%">
                                                                                <HeaderCaptionTemplate>
                                                                                    <span class="icon">
                                                                                        <asp:Image runat="server" ID="imgOutputOn" ImageUrl="..\Images\icn-action-on.gif" /></span>
                                                                                    <span class="label">
                                                                                        <asp:Label ID="lblActionOnCaption" runat="server" Text="Action On"></asp:Label></span>
                                                                                </HeaderCaptionTemplate>
                                                                            </dxw:GridViewDataColumn>
                                                                            <dxw:GridViewDataColumn FieldName="OutputOff" Caption="Action Off" VisibleIndex="3"
                                                                                Width="30%">
                                                                                <HeaderCaptionTemplate>
                                                                                    <span class="icon">
                                                                                        <asp:Image runat="server" ID="imgOutputOff" ImageUrl="..\Images\icn-action-off.gif" /></span>
                                                                                    <span class="label">
                                                                                        <asp:Label ID="lblActionOffCaption" runat="server" Text="Action Off"></asp:Label></span>
                                                                                </HeaderCaptionTemplate>
                                                                            </dxw:GridViewDataColumn>
                                                                            <dxw:GridViewDataTextColumn Width="5%">
                                                                                <DataItemTemplate>
                                                                                    <asp:LinkButton ID="ibtEditOutputSettings" runat="server" CommandArgument='<%# Eval("OutputId")+","+Eval("BoxId") %>'
                                                                                        OnClick="EditOutputSettings"><img src="../images/icn-edit.gif" alt="" /></asp:LinkButton>
                                                                                </DataItemTemplate>
                                                                            </dxw:GridViewDataTextColumn>
                                                                        </Columns>
                                                                        <SettingsText EmptyDataRow="No output is found for the selected vehicle." />
                                                                    </dxw:ASPxGridView>
                                                                </div>
                                                            </div>
                                                        </asp:Panel>
                                                    </asp:Panel>
                                                </td>
                                            </tr>
                                            </table>
                                        </ContentTemplate>
                                    </asp:UpdatePanel>
                                </div>
                            </div>
                        </div>
                        <!-- Main Content Ends Here -->
                        <div id="left">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <div id="right">
                    </div>
                    <div class="clear clearfix">
                    </div>
                </div>
            </div>
            <!-- Content Ends Here -->
            <%--<script type="text/javascript" language="javascript" src="../js/FormValidations.js">
    </script>--%>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />

            <asp:UpdatePanel ID="updNotify" runat="server" UpdateMode="Conditional">

                <ContentTemplate>
                    <asp:Panel ID="pnlNotificationsList" runat="server" Style="display: none; width: 90%; position: absolute; top: 150px; left: 50px; z-index: 150;">
                        <uc3:NotificationsList ID="ucNotificationList" runat="server" NotificationType="3" />
                    </asp:Panel>
                </ContentTemplate>
            </asp:UpdatePanel>

            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="pnlProgress"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Button ID="Button1" Style="display: none;" runat="server" />
            <%-- <asp:UpdateProgress ID="uprDataLoading" runat="server" DynamicLayout="True" AssociatedUpdatePanelID="updVhDetails">
            <ProgressTemplate>--%>
            <asp:Panel ID="pnlProgress" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                <center>
                <br />
                <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
            </asp:Panel>
            <%--</ProgressTemplate>
        </asp:UpdateProgress>--%>

            <script language="javascript" type="text/javascript">
                function HidePopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').hide();
                    }
                }
                function ShowPopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').show();
                    }
                }
                //            function ShowHideDetails() {
                //                document.getElementById('trMessageType').style.display = 'none';
                //                document.getElementById('trSeverity').style.display = 'none';
                //            }
            </script>

            <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>

            <script lang="JavaScript1.2" type="text/javascript" src="../js/myformvalidations.js"></script>

            <asp:HiddenField ID="hdnLogout" runat="server" />
        </form>
    </div>
    <div style="height: 15px">
    </div>
    <uc2:Footer ID="Footer1" runat="server" />
</body>
</html>
