﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_NewDriverAssignmentDevx, App_Web_i1f0pxcz" enableeventvalidation="false" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView.Export" TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dx" %>
<%@ Register Assembly="DevExpress.Web.ASPxScheduler.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxScheduler" TagPrefix="dxwschs" %>
<%@ Register Assembly="DevExpress.XtraScheduler.v8.2.Core, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.XtraScheduler" TagPrefix="cc2" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<%--********* For Bootstrap Implementation *************--%>
<!DOCTYPE html>
<html lang="en">
<%--********* End of Bootstrap Implementation *************--%>
<head id="Head1" runat="server">
    <%--********* For Bootstrap Implementation *************--%>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <%--********* End of Bootstrap Implementation *************--%>
    <title>tSense-IoT Driver scheduling</title>
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet"
        type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <link id="datepicker" runat="server" type="text/css" href="../css/ui.datepicker.css"
        rel="stylesheet" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />

    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />

    <script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>
    <%--********* For Bootstrap Implementation *************--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--********* End of Bootstrap Implementation *************--%>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <%--********* For Bootstrap Implementation *************--%>
    <div class="pageContainer">
        <%--********* End of Bootstrap Implementation *************--%>
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel runat="server" ID="updVhDetails" UpdateMode="Conditional">
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content" class="container-fluid head-part">
                                            <div id="heading" class="col-sm-4 col-md-4">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationSetupCaption" Text="Configuration" runat="server"></asp:Literal>
                                                </h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton><span>&gt;</span><span><a
                                                    href="NewDriverAssignmentDevx.aspx"><asp:Label ID="lblManageDriverAssignment" Text="Assignment"
                                                        runat="server"></asp:Label></a></span>
                                            </div>
                                            <div id="" class="col-sm-7 col-md-7 pull-right">
                                                <div class="pull-right btn-wrap">

                                                    <asp:ImageButton ID="ibtnDriverMaster1" runat="server" PostBackUrl="~/Forms/DriverMaster.aspx"
                                                        ImageUrl="~/images/btn-manage-drivers.png" Visible="false" />
                                                    <asp:LinkButton ID="ibtnDriverMaster" runat="server" CausesValidation="true" CssClass="MultilingualBtn"
                                                        PostBackUrl="~/Forms/DriverMaster.aspx">
                                                        <span runat="server" class="MultilingualBtnspan">
                                                            <div class="ManageDrivers">
                                                                <div id="ManageDriversDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Manage Drivers
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>&nbsp;
                                                               
                                                                        <asp:ImageButton ID="ibtnViewDriver1" runat="server" ImageUrl="~/images/btn-driver-scheduling.png"
                                                                            PostBackUrl="~/Forms/DriverListing.aspx" Visible="false" />
                                                    <asp:LinkButton ID="ibtnViewDriver" runat="server" CausesValidation="true" CssClass="MultilingualBtn"
                                                        PostBackUrl="~/Forms/DriverListing.aspx">
                                                        <span id="Span1" runat="server" class="MultilingualBtnspan">
                                                            <div class="DriverSchedule">
                                                                <div id="DriverScheduleDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Driver Schedule
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>&nbsp;
                                                                  
                                                                        <asp:ImageButton ID="ibtnViewVehicles1" runat="server" ImageUrl="~/images/btn-vehicle-schedule.png"
                                                                            PostBackUrl="~/Forms/VehicleListing.aspx" Visible="false" />
                                                    <asp:LinkButton ID="ibtnViewVehicles" runat="server" CausesValidation="true" CssClass="MultilingualBtn"
                                                        PostBackUrl="~/Forms/VehicleListing.aspx">
                                                        <span id="Span2" runat="server" class="MultilingualBtnspan">
                                                            <div class="VehicleSchedule">
                                                                <div id="ViewScheduleDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Vehicle Schedule
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>&nbsp;
                                                                  
                                                                        <asp:ImageButton ID="ibtnBackToConfig1" runat="server" CausesValidation="false" ImageUrl="~/images/btn-back-to-configuration.jpg"
                                                                            PostBackUrl="~/Forms/ConfigurationSetup.aspx" Visible="false" />
                                                    <asp:LinkButton ID="ibtnBackToConfig" runat="server" CausesValidation="true" CssClass="MultilingualBtn"
                                                        PostBackUrl="~/Forms/VehicleListing.aspx">
                                                        <span id="Span3" runat="server" class="MultilingualBtnspan">
                                                            <div class="Back">
                                                                <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Back to Configuration
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>&nbsp;
                                                </div>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlDriverInfo" runat="server">
                                            <div class="form-box col-xs-12 nullpadding">
                                                <h1>
                                                    <span class="icon">
                                                        <img alt="" src="../images/icn-driver-information.gif" /></span><asp:Label ID="lblCaptionDriverAssignement"
                                                            Text="Driver Assignment Details" runat="server"></asp:Label></h1>
                                                <div class="col-sm-10 MySearchPanelFilter">
                                                    <div class="col-xs-12 col-sm-6 col-lg-4 controllinebreak">
                                                        <div class="col-xs-4 nullpadding">
                                                            <img src="../images/icn-driver-name.gif" />
                                                            <asp:Label ID="lblDriverName" runat="server" CssClass="label" Text="Driver Name"></asp:Label>
                                                            <asp:Label ID="Label2" runat="server" ForeColor="Red">*</asp:Label>
                                                        </div>
                                                        <div class="col-xs-6 nullpadding">
                                                            <asp:DropDownList ID="ddlDriverName" class="form-control" runat="server" AutoPostBack="true" OnSelectedIndexChanged="ddlDriverName_SelectedIndexChanged">
                                                            </asp:DropDownList>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="clear clearfix">
                                                </div>
                                            </div>
                                        </asp:Panel>
                                    </div>
                                    <div class="clear clearfix">
                                    </div>
                                    <asp:Panel ID="pnlDriverDetailsList" runat="server">
                                        <%--  <div class="form-box">
                                        <h1>
                                            <span class="icon">
                                                <img align="top" alt="" src="../images/driver-scheduling.png" /></span><asp:Label
                                                    ID="lblCaptionDriverSchedule" Text="Driver Scheduling" runat="server"></asp:Label></h1>
                                    </div>--%>
                                        <div id="grid-dsply">
                                            <div id="top">
                                                <div class="col-xs-12 gridheader">
                                                    <div class="col-sm-12 col-md-9 col-lg-7">
                                                        <span class="icon txt">
                                                            <img alt="" src="../images/driver-scheduling.png" />
                                                            <asp:Label ID="lblCaptionDriverSchedule" Text="Driver Scheduling" runat="server"></asp:Label></span>
                                                    </div>
                                                    <div class="col-sm-12 col-md-3 col-lg-5">
                                                        <div class="pull-right">
                                                            <span class="dropdown">
                                                                <div style="width: 15px; height: 15px; background-color: #669900; padding-top: 5px">
                                                                </div>
                                                            </span><span class="txt">
                                                                <asp:Label ID="lblAutomaticSchedule" Text="Automatic Schedule" runat="server"></asp:Label></span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <%--</div>--%>
                                            <!-- Main Content Ends Here -->
                                            <div id="left">
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                            <div class="table-responsive">
                                                <dxw:ASPxCalendar ID="calDriverScheduler" runat="server" OnDayCellPrepared="dxDriver_DayRender"
                                                    ShowClearButton="False" ShowTodayButton="False" ShowWeekNumbers="False" Font-Size="8pt"
                                                    Font-Names="Arial" ForeColor="#07519A" ClientInstanceName="Calendar" EnableDefaultAppearance="False"
                                                    EnableMultiSelect="True" SkinID="None" EnableViewState="False" BackColor="White" Width="100%"
                                                    EnableTheming="true" Theme="Office2003Blue" OnSelectionChanged="calDriverScheduler_SelectionChanged">
                                                    <ButtonStyle BackColor="#EBF3FB" Font-Names="Arial" Cursor="pointer">
                                                        <HoverStyle BackColor="#E2ECF8" />
                                                        <PressedStyle BackColor="#C4DCF4" />
                                                        <Border BorderWidth="1px" BorderStyle="Solid" BorderColor="#AACCEE" />
                                                    </ButtonStyle>
                                                    <PrevMonthImage Height="17px" Width="19px" AlternateText="Previous month" Url="../images/leftSingleArrow.png" />
                                                    <NextMonthImage Height="17px" Width="19px" AlternateText="Next  month" Url="../images/rightSingleArrow.png" />
                                                    <BorderRight BorderStyle="None" />
                                                    <DayHeaderStyle Font-Size="12pt" ForeColor="#51A8DF">
                                                        <BorderBottom BorderWidth="1px" BorderStyle="Solid" BorderColor="#AACCEE" />
                                                        <BorderRight BorderWidth="1px" BorderStyle="Solid" BorderColor="#AACCEE" />
                                                    </DayHeaderStyle>
                                                    <MonthGridPaddings Padding="0px" />
                                                    <Border BorderStyle="Solid" BorderColor="#AACCEE" BorderWidth="1px" />
                                                    <NextYearImage Height="17px" Width="19px" AlternateText="Next year" Url="../images/rightDoubleArrow.png" />
                                                    <HeaderStyle Spacing="5px" HorizontalAlign="Center" Font-Size="16pt" BackColor="#EBF3FB"
                                                        ForeColor="#51A8DF">
                                                        <Paddings PaddingTop="3px" PaddingRight="5px" PaddingBottom="3px" PaddingLeft="5px" />
                                                        <BackgroundImage Repeat="RepeatX" VerticalPosition="bottom" ImageUrl="../images/headerBg.png" />
                                                        <Border BorderWidth="1px" BorderStyle="Solid" BorderColor="#AACCEE" />
                                                        <BorderTop BorderStyle="None" />
                                                        <BorderLeft BorderStyle="None" />
                                                    </HeaderStyle>
                                                    <FastNavFooterStyle Spacing="5px" HorizontalAlign="Center" BackColor="#EBF3FB">
                                                        <Paddings Padding="10px" />
                                                        <Border BorderWidth="1px" BorderStyle="Solid" BorderColor="#AACCEE" />
                                                        <BorderTop BorderStyle="None" />
                                                    </FastNavFooterStyle>
                                                    <WeekNumberStyle ForeColor="#51A8DF">
                                                    </WeekNumberStyle>
                                                    <FastNavMonthStyle Font-Italic="False" Cursor="pointer">
                                                        <Paddings PaddingTop="5px" PaddingRight="2px" PaddingBottom="5px" PaddingLeft="2px" />
                                                        <HoverStyle BackColor="#E2ECF8">
                                                            <Border BorderWidth="1px" BorderStyle="Solid" BorderColor="#AACCEE" />
                                                        </HoverStyle>
                                                        <SelectedStyle BackColor="#C4DCF4" />
                                                    </FastNavMonthStyle>
                                                    <DayOtherMonthStyle ForeColor="#C9DEF4">
                                                        <BackgroundImage ImageUrl="../images/otherMonthDayBg.png" />
                                                    </DayOtherMonthStyle>
                                                    <PrevYearImage Height="17px" Width="19px" AlternateText="Previous year" Url="../images/leftDoubleArrow.png" />
                                                    <DayStyle VerticalAlign="Top" Cursor="default">
                                                        <Paddings Padding="3px" />
                                                        <Border BorderWidth="1px" BorderStyle="Solid" BorderColor="#AACCEE" />
                                                        <BorderTop BorderStyle="None" />
                                                        <BorderLeft BorderStyle="None" />
                                                    </DayStyle>
                                                    <FastNavPrevYearImage Height="17px" Width="19px" AlternateText="Previous year" Url="../images/leftSingleArrow.png" />
                                                    <FastNavYearStyle Cursor="pointer">
                                                        <Paddings PaddingTop="2px" Padding="4px" />
                                                        <HoverStyle BackColor="#E2ECF8">
                                                            <Border BorderWidth="1px" BorderStyle="Solid" BorderColor="#AACCEE" />
                                                        </HoverStyle>
                                                        <SelectedStyle BackColor="#C4DCF4" />
                                                    </FastNavYearStyle>
                                                    <BorderBottom BorderStyle="None" />
                                                    <FastNavNextYearImage Height="17px" Width="19px" AlternateText="Next year" Url="../images/rightSingleArrow.png" />
                                                    <DaySelectedStyle BackColor="#E2ECF8" />
                                                    <FastNavStyle MonthYearSpacing="8px" HorizontalAlign="Center" VerticalAlign="Top"
                                                        Font-Size="12pt" Font-Bold="False" BackColor="#EBF3FB" ImageSpacing="12px">
                                                        <Paddings Padding="10px" />
                                                        <Border BorderWidth="1px" BorderStyle="Solid" BorderColor="#AACCEE" />
                                                    </FastNavStyle>
                                                    <ClientSideEvents SelectionChanged="function(s, e) {calSelection(s,e);}" />
                                                    <%--<SettingsLoadingPanel Enabled="true" />--%>
                                                </dxw:ASPxCalendar>
                                            </div>
                                        </div>
                                        <div id="right">
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                    </asp:Panel>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Content Ends Here -->
                    <asp:Button ID="btnTest" runat="server" OnClick="btnTest_click" CssClass="ControlHide"
                        Text="Test" />
                    <asp:Button ID="btnSaveConflict" runat="server" OnClick="btnSaveConflict_Click" CssClass="ControlHide" />
                    <asp:HiddenField ID="hdnIsAdmin" runat="server" />
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="btnTest" />
                    <%-- <asp:PostBackTrigger ControlID="btnExport" />--%>
                </Triggers>
            </asp:UpdatePanel>
            <asp:UpdateProgress ID="uprDataLoading" runat="server" DynamicLayout="True" AssociatedUpdatePanelID="updVhDetails">
                <ProgressTemplate>
                    <asp:Panel ID="pnlProgress" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                        <center>
                        <br />
                        <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                        <br />
                        <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label><br />
                        <br />
                    </center>
                    </asp:Panel>
                </ProgressTemplate>
            </asp:UpdateProgress>
            <cc1:ModalPopupExtender ID="modalView" runat="server" TargetControlID="Button1" PopupControlID="pnlViewSchedule"
                Drag="true" PopupDragHandleControlID="pnlViewSchedule">
            </cc1:ModalPopupExtender>
            <asp:Button ID="Button1" runat="server" CssClass="ControlHide" Text="Test" />
            <%-- <asp:Panel ID="pnlViewSchedule" runat="server"  Style="position: absolute;
            top: 250px; left: 220px; z-index: 400; height: 80%; width: 50%;">--%>
            <asp:Panel ID="pnlViewSchedule" runat="server" Style="z-index: 1000; display: none;" CssClass="DriverSchedulePanelFrame col-xs-10 col-sm-9 col-lg-5">
                <asp:UpdatePanel ID="upSchedule" runat="server" UpdateMode="Always">
                    <ContentTemplate>
                        <div id="con">
                            <div class="popup">
                                <div class="top">
                                    <h1>
                                        <asp:Label ID="lblViewPolicyHeading" Text="Vehicle Scheduling" runat="server"></asp:Label></h1>
                                    <div class="close">
                                        <img id="ibtClose" onclick="ClosePopup()" src="../images/popup-close.gif" />
                                    </div>
                                    <%--alt="Close"--%>
                                    <div class="clear clearfix">
                                    </div>
                                </div>
                                <div class="popup-cont">
                                    <div class="form-box form-landmark NullBorder">
                                        <div class="row form-group">
                                            <div class="col-xs-12 col-sm-2 col-lg-2">
                                                <asp:Label ID="lblFleetName" runat="server" Text="Fleet" CssClass="label"></asp:Label><asp:Label
                                                    ID="lblFleet" runat="server" Text="*" ForeColor="Red"></asp:Label>
                                            </div>
                                            <div class="col-xs-12 col-sm-3 col-lg-3">
                                                <asp:DropDownList runat="server" ID="ddlFleet" class="form-control" AutoPostBack="true" TabIndex="1" OnSelectedIndexChanged="ddlFleet_SelectedIndexChanged">
                                                    <asp:ListItem Text="- Select -" Value="0"></asp:ListItem>
                                                </asp:DropDownList>
                                            </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-xs-12 col-sm-2 col-lg-2">
                                                <asp:Label ID="lblVehicleName" runat="server" Text="Vehicle" CssClass="label"></asp:Label><asp:Label
                                                    ID="lblMan" runat="server" Text="*" ForeColor="Red"></asp:Label>
                                            </div>
                                            <div class="col-xs-12 col-sm-3 col-lg-3">
                                                <asp:DropDownList ID="ddlVehicle" class="form-control" runat="server">
                                                </asp:DropDownList>
                                            </div>
                                            <div class="col-xs-12 col-sm-2 col-lg-2">
                                                <asp:Label ID="lblsecondDriver" runat="server" Text="Driver-2" CssClass="label"></asp:Label>
                                            </div>
                                            <div class="col-xs-12 col-sm-3 col-lg-3">
                                                <asp:DropDownList ID="ddlSecondDriver" class="form-control" runat="server">
                                                </asp:DropDownList>
                                            </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-xs-12 col-sm-2 col-lg-2">
                                                <asp:Label ID="lblFromTime" runat="server" Text="From Time" CssClass="label"></asp:Label>
                                                <asp:Label ID="Label1" runat="server" Text="*" ForeColor="Red"></asp:Label>
                                            </div>
                                            <div class="col-xs-12 col-sm-3 col-lg-3">
                                                <div class="col-xs-6 padding-width-sm-right">
                                                    <asp:DropDownList ID="ddlFromTime" runat="server" class="form-control" onchange="ValidateTime('ddlFromTime', 'ddlToTime','ddlFromMin','ddlToMin');">
                                                    </asp:DropDownList>
                                                </div>
                                                <div class="col-xs-6 nullpadding">
                                                    <asp:DropDownList ID="ddlFromMin" runat="server" class="form-control" onchange="ValidateTime('ddlFromTime', 'ddlToTime','ddlFromMin','ddlToMin');">
                                                        <asp:ListItem>00</asp:ListItem>
                                                        <asp:ListItem>15</asp:ListItem>
                                                        <asp:ListItem>30</asp:ListItem>
                                                        <asp:ListItem>45</asp:ListItem>
                                                    </asp:DropDownList>
                                                </div>
                                            </div>
                                            <div class="col-xs-12 col-sm-2 col-lg-2">
                                                <asp:Label ID="lblToTime" runat="server" Text="To Time" CssClass="label"></asp:Label>
                                                <asp:Label ID="Label3" runat="server" Text="*" ForeColor="Red"></asp:Label>
                                            </div>
                                            <div class="col-xs-12 col-sm-3 col-lg-3">
                                                <div class="col-xs-6 padding-width-sm-right">
                                                    <asp:DropDownList ID="ddlToTime" runat="server" class="form-control">
                                                    </asp:DropDownList>
                                                </div>
                                                <div class="col-xs-6 nullpadding">
                                                    <asp:DropDownList ID="ddlToMin" runat="server" class="form-control">
                                                        <asp:ListItem>00</asp:ListItem>
                                                        <asp:ListItem>15</asp:ListItem>
                                                        <asp:ListItem>30</asp:ListItem>
                                                        <asp:ListItem>45</asp:ListItem>
                                                    </asp:DropDownList>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-xs-12 col-sm-2 col-lg-2">
                                                <asp:Label ID="lblLandmark" runat="server" Text="LandMark From" CssClass="label"></asp:Label>
                                            </div>
                                            <div class="col-xs-12 col-sm-3 col-lg-3">
                                                <asp:DropDownList ID="ddlFromPlace" runat="server" class="form-control">
                                                </asp:DropDownList>
                                            </div>
                                            <div class="col-xs-12 col-sm-2 col-lg-2">
                                                <asp:Label ID="lblLandMarkTo" runat="server" Text="LandMark To" CssClass="label"></asp:Label>
                                            </div>
                                            <div class="col-xs-12 col-sm-3 col-lg-3">
                                                <asp:DropDownList ID="ddlToPlace" runat="server" class="form-control">
                                                </asp:DropDownList>
                                            </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-sm-4">
                                            </div>
                                            <div class="col-sm-8">
                                                <asp:LinkButton ID="ibtnSaveSchedule1" runat="server" OnClientClick="return validateAssignmentDetails();"
                                                    OnClick="ibtnSaveSchedule_click" CausesValidation="false" TabIndex="7" Visible="false"><img src="../images/btn-save.jpg" alt="" /></asp:LinkButton>
                                                <asp:LinkButton ID="ibtnSaveSchedule" runat="server" CausesValidation="true" CssClass="MultilingualBtn"
                                                    OnClick="ibtnSaveSchedule_click" OnClientClick="return validateAssignmentDetails();">
                                                    <span runat="server" class="MultilingualBtnspan">
                                                        <div class="Save">
                                                            <div id="SaveDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                Save
                                                            </div>
                                                        </div>
                                                    </span>
                                                </asp:LinkButton>&nbsp;
                                                    <asp:LinkButton ID="ibtnCancelSchedule1" runat="server" OnClientClick="return clearFields();"
                                                        CausesValidation="false" TabIndex="8" Visible="false"><img src="../images/btn-clear.jpg" alt=""  /></asp:LinkButton>
                                                <%-- <asp:LinkButton ID="ibtnCancelSchedule" runat="server" CausesValidation="true" CssClass="MultilingualBtn"
                                                    OnClientClick="return clearFields();ClosePopup();return false;">
                                                    <span runat="server" class="MultilingualBtnspan">
                                                        <div class="Cancel">
                                                            <div id="CancelDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                Save
                                                            </div>
                                                        </div>
                                                    </span>
                                                </asp:LinkButton>&nbsp;--%>
                                                <asp:LinkButton ID="ibtnViewSchedule1" runat="server" CausesValidation="false" TabIndex="8"
                                                    OnClick="ibtnViewSchedule_Click" Visible="false"><img src="../images/btn-view-schedules.png" alt="" /></asp:LinkButton>
                                                <asp:LinkButton ID="ibtnViewSchedule" runat="server" CausesValidation="true" CssClass="MultilingualBtn"
                                                    OnClick="ibtnViewSchedule_Click">
                                                    <span runat="server" class="MultilingualBtnspan">
                                                        <div class="ViewSchedule">
                                                            <div id="viewSchDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                View Schedules
                                                            </div>
                                                        </div>
                                                    </span>
                                                </asp:LinkButton>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </ContentTemplate>
                </asp:UpdatePanel>
            </asp:Panel>

            <script type="text/javascript" src="../js/ScriptToClearCtrls.js"></script>

            <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>

            <script language="javascript" type="text/javascript" src="../js/DriverManagementScript.js"></script>

            <script src="../js/myformvalidations.js" type="text/javascript"></script>

            <asp:HiddenField ID="hdnLogout" runat="server" />
        </form>
    </div>
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
