﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_SchoolMaster, App_Web_pfnjsimb" %>

<%--<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>--%>
<%@ Register Assembly="TimePicker" Namespace="MKB.TimePicker" TagPrefix="MKB" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView.Export" TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dx" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html>
<html lang="en">
<head id="Head1" runat="server">
    <title>tSense-IoT School Master</title>
    <%--<meta http-equiv="X-UA-Compatible" content="IE=7" />
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />--%>
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />

    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <link id="ieonly" runat="server" href="" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />

    <%--BootStrap Css--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>

    <script src="../js/jquery-1.5.1.min.js" type="text/javascript"></script>
    <%--<script language="JavaScript1.2" type="text/javascript" src="../js/myformvalidations.js"></script>
    <script language="javascript" type="text/javascript" src="../js/DriverManagementScript.js"></script>--%>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel runat="server" ID="updDriverDetails">
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content" class="head-part">
                                            <div id="heading" class="col-sm-6">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationSetupCaption" Text="Configuration" runat="server"></asp:Literal>
                                                </h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton><span>&gt;</span><span><a
                                                    href="SchoolMaster.aspx"><asp:Label ID="lblManageSchool" Text="Manage School" runat="server"></asp:Label></a></span>
                                            </div>
                                            <div class="col-sm-6 head-part-btns">
                                                <div class="pull-right">
                                                    <asp:ImageButton ID="lbtnAddDriver1" runat="server" ImageUrl="~/images/btn-add-drivers.jpg"
                                                        Visible="false" />
                                                    <asp:LinkButton ID="ibtnSchoolDetails" runat="server" CssClass="MultilingualBtn"
                                                        OnClick="ibtnSchoolDetails_Click" OnClientClick="ShowPopUp();">
                                                        <span runat="server" class="MultilingualBtnspan">
                                                            <div class="AddGeozone">
                                                                <div id="AddDriverDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Add School Details
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>&nbsp;
                                                    <asp:ImageButton ID="ibtnBackToConfig1" runat="server" CausesValidation="false" ImageUrl="~/images/btn-back-to-configuration.jpg"
                                                        PostBackUrl="~/Forms/ConfigurationSetup.aspx" Visible="false" />
                                                    <asp:LinkButton ID="ibtnBackToConfig" runat="server" CssClass="MultilingualBtn" PostBackUrl="~/Forms/ConfigurationSetup.aspx">
                                                        <span runat="server" class="MultilingualBtnspan">
                                                            <div class="Back">
                                                                <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Back to Configuration
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>&nbsp;                                                                        
                                                </div>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlSchoolInfo" runat="server" Visible="false">
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon">
                                                        <img src="../images/icn-driver-information.gif" alt="" />
                                                    </span>
                                                    <asp:Label ID="lblCapDrvInformation" Text="School Information" runat="server"></asp:Label>
                                                </h1>
                                                <div class="form-tbl col-sm-12">
                                                    <div class="form-horizontal">
                                                        <div class="form-group">
                                                            <div class="clear clearfix"></div>
                                                            <asp:Panel ID="pnlSchoolInfromation" runat="server" GroupingText="School Information :">
                                                                <div class="col-sm-12">
                                                                    <div class="form-group">
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblSchoolCode" runat="server" Text="School Code" CssClass="label"></asp:Label>
                                                                            <asp:Label ID="Label2" runat="server" ForeColor="Red">*</asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm">
                                                                            <asp:TextBox ID="txtSchoolCode" MaxLength="100" TabIndex="2" runat="server" ondrop="return false;"
                                                                                CssClass="form-control"></asp:TextBox>
                                                                        </div>
                                                                    </div>
                                                                    <div class="row">
                                                                        <div class="col-xs-3 col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblStarttime" runat="server" Text="School Start Time"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm">
                                                                            <div class="time1 Responsivetime">
                                                                                <MKB:TimeSelector ID="tsfromHrs" runat="server" AmPm="AM" DisplaySeconds="False"
                                                                                    Hour="8" Font-Size="10pt" SelectedTimeFormat="Twelve" class="time">
                                                                                </MKB:TimeSelector>
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-xs-3 col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblEndTime" runat="server" Text="School End Time"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm">
                                                                            <div class="time1 Responsivetime">
                                                                                <MKB:TimeSelector ID="tstoHrs" runat="server" AmPm="PM" DisplaySeconds="False" Hour="3"
                                                                                    Font-Size="10pt" SelectedTimeFormat="Twelve" class="time">
                                                                                </MKB:TimeSelector>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="form-group">
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="Label1" runat="server" Text="Geozone"></asp:Label>
                                                                            <asp:Label ID="Label6" runat="server" ForeColor="Red" Visible="true">*</asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                            <asp:DropDownList ID="ddlGeozone" runat="server" TabIndex="5" CssClass="form-control">
                                                                            </asp:DropDownList>
                                                                        </div>
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="Label3" runat="server" Text="Waiting Time(Before Exit school)" Visible="false"></asp:Label>
                                                                            <asp:Label ID="Label11" runat="server" ForeColor="Red" Visible="false">*</asp:Label>
                                                                            <asp:Label ID="lblStationID" runat="server" CssClass="label" Text="Station ID"></asp:Label>
                                                                            <asp:Label ID="Label9" runat="server" ForeColor="Red" Visible="true">*</asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm">
                                                                            <asp:DropDownList ID="ddlWaitingTime" runat="server" TabIndex="6" Visible="false">
                                                                                <asp:ListItem Text="15 Mins" Value="15" Selected="True"></asp:ListItem>
                                                                                <asp:ListItem Text="30 Mins" Value="30"></asp:ListItem>
                                                                                <asp:ListItem Text="1 Hour" Value="60"></asp:ListItem>
                                                                                <asp:ListItem Text="1.5 Hours" Value="90"></asp:ListItem>
                                                                                <asp:ListItem Text="2 Hours" Value="120"></asp:ListItem>
                                                                                <asp:ListItem Text="2.5 Hours" Value="150"></asp:ListItem>
                                                                                <asp:ListItem Text="3 Hours" Value="180"></asp:ListItem>
                                                                            </asp:DropDownList>
                                                                            <dxw:ASPxComboBox ID="ddlStationID" runat="server" ValueType="System.String" CssClass="form-control"
                                                                                ClientInstanceName="ddlStationID" EnableTheming="true" Theme="Office2003Blue"
                                                                                CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                                EnableIncrementalFiltering="true" AutoPostBack="false" TabIndex="7">
                                                                            </dxw:ASPxComboBox>
                                                                        </div>
                                                                    </div>
                                                                    <div class="form-group" style="display: none">
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <%--<asp:DropDownList ID="ddlStationID" runat="server" Width="130px" OnSelectedIndexChanged="StationID"
                                                                            AutoPostBack="true" AppendDataBoundItems="true" TabIndex="5">
                                                                        </asp:DropDownList>--%>
                                                                        </div>
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <%--<asp:DropDownList ID="ddlStationName" runat="server" TabIndex="6" Width="205px" AutoPostBack="true"
                                                                            AppendDataBoundItems="true">
                                                                        </asp:DropDownList>--%>
                                                                            <%-- <asp:ListItem Value="- Select -"></asp:ListItem>--%>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </asp:Panel>
                                                        </div>
                                                        <div class="form-group">
                                                            <asp:Panel ID="pnlContactDetails" runat="server" GroupingText="Contact Information :">
                                                                <div class="col-sm-12">
                                                                    <div class="form-group">
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblAddress1" runat="server" CssClass="label" Text="Address 1"></asp:Label>
                                                                            <asp:Label ID="Label5" runat="server" ForeColor="Red">*</asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                            <asp:TextBox ID="txtAddress1" runat="server" Rows="4" TextMode="MultiLine" MaxLength="200"
                                                                                TabIndex="8" CssClass="form-control"></asp:TextBox>
                                                                        </div>
                                                                        <%--  <td colspan="2">
                                                                    </td>--%>
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblAddress2" runat="server" CssClass="label" Text="Address2"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm icon-img">
                                                                            <asp:TextBox ID="txtAddress2" runat="server" MaxLength="200" TextMode="MultiLine"
                                                                                TabIndex="9" CssClass="form-control" Rows="4"></asp:TextBox>
                                                                        </div>
                                                                    </div>
                                                                    <%--   <tr>
                                                                    <td>
                                                                    </td>
                                                                    <td colspan="2">
                                                                    </td>
                                                                </tr>--%>
                                                                    <div class="form-group">
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblStreet" runat="server" CssClass="label" Text="Street"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                            <asp:TextBox ID="txtStreet" runat="server" MaxLength="100" CssClass="form-control" TabIndex="10"></asp:TextBox>
                                                                        </div>
                                                                        <%--<td colspan="2">
                                                                    </td>--%>
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblCity" runat="server" CssClass="label" Text="City / Village"></asp:Label>
                                                                            <asp:Label ID="Label18" runat="server" ForeColor="Red">*</asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm">
                                                                            <asp:TextBox ID="txtCity" runat="server" MaxLength="100" TabIndex="11" CssClass="form-control"></asp:TextBox>
                                                                        </div>
                                                                    </div>
                                                                    <div class="form-group">
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblRegion" runat="server" CssClass="label" Text="Region / Area"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                            <asp:TextBox ID="txtRegion" runat="server" CssClass="form-control" MaxLength="50" TabIndex="12"></asp:TextBox>
                                                                        </div>
                                                                        <%--   <td colspan="2">
                                                                    </td>--%>
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblCountry" runat="server" CssClass="label" Text="Country"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm">
                                                                            <dxw:ASPxComboBox ID="ddlCountry" runat="server" ValueType="System.String" CssClass="form-control"
                                                                                ClientInstanceName="ddlCountry" SelectedIndex="0"
                                                                                CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                                EnableTheming="true" Theme="Office2003Blue" EnableIncrementalFiltering="true" TabIndex="13">
                                                                            </dxw:ASPxComboBox>
                                                                        </div>
                                                                    </div>
                                                                    <div class="form-group">
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="Label7" runat="server" CssClass="label" Text="Mobile No"></asp:Label>
                                                                            <asp:Label ID="Label10" runat="server" ForeColor="Red">*</asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                                            <asp:TextBox ID="txtMobileNo" runat="server" MaxLength="14" CssClass="form-control" TabIndex="14"
                                                                                onkeypress="return chkNumeric_only(event);"></asp:TextBox>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </asp:Panel>
                                                        </div>
                                                        <div class="form-group">
                                                            <asp:Panel ID="pnlNotificationInfo" runat="server" GroupingText="Notification Information :">
                                                                <div class="col-sm-12">
                                                                    <div class="form-group">
                                                                        <div class="col-sm-2 col-lg-1 padding-width-sm icon-img">
                                                                            <asp:Label ID="lblReportingPerson" runat="server" CssClass="label" Text="Reporting Person"></asp:Label>
                                                                            <asp:Label ID="lblrequired" runat="server" ForeColor="Red">*</asp:Label>
                                                                        </div>
                                                                        <div class="col-xs-12 col-sm-5 col-md-4 padding-width-sm">
                                                                            <dxw:ASPxComboBox ID="ddlReportingPerson" runat="server" ValueType="System.String" CssClass="form-control"
                                                                                ClientInstanceName="ddlReportingPerson" EnableTheming="true" Theme="Office2003Blue" AutoResizeWithContainer="false"
                                                                                CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                                EnableIncrementalFiltering="true" AutoPostBack="false">
                                                                                <ClientSideEvents Validation="function(s,e) {if (s.GetSelectedIndex()==0) {
                                                                                                                    e.isValid = false;          
                                                                                                                    e.errorText = 'Please select a Reporting Person';}
                                                                                                                }" />
                                                                                <ValidationSettings ValidateOnLeave="false"></ValidationSettings>
                                                                            </dxw:ASPxComboBox>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </asp:Panel>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-xs-4"></div>
                                                            <div class="col-xs-8">
                                                                <asp:ImageButton ID="ibtnUpdateDriver1" runat="server" ImageUrl="~/images/btn-update.jpg"
                                                                    TabIndex="17" Visible="false" />
                                                                <asp:LinkButton ID="ibtnUpdateSchool" runat="server" CssClass="MultilingualBtn" TabIndex="15"
                                                                    OnClick="ibUpdate_Click" OnClientClick="return ValidateSchoolInfo();">
                                                                    <span id="Span3" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Update">
                                                                            <div id="UpdateButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Update
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                                <asp:ImageButton ID="ibtnAddDriver1" runat="server" OnClientClick="return ValidateDriverInfo();"
                                                                    ImageUrl="~/images/btn-save.jpg" TabIndex="18" Visible="false" />
                                                                <asp:LinkButton ID="ibtnAddSchool" runat="server" CssClass="MultilingualBtn" TabIndex="16"
                                                                    OnClick="ibSave_Click" OnClientClick="return ValidateSchoolInfo();">
                                                                    <span id="Span4" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Save">
                                                                            <div id="SaveButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Save
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                                <asp:ImageButton ID="btnDriverCancel1" runat="server" TabIndex="19" ImageUrl="~/images/btn-cancel.jpg"
                                                                    Visible="false" />
                                                                &nbsp;
                                                            <asp:LinkButton ID="btnDriverCancel" runat="server" CssClass="MultilingualBtn" TabIndex="17"
                                                                OnClick="ibCancel_Click">
                                                                <span id="Span5" runat="server" class="MultilingualBtnspan">
                                                                    <div class="Cancel">
                                                                        <div id="CancelButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                            Cancel
                                                                        </div>
                                                                    </div>
                                                                </span>
                                                            </asp:LinkButton>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </asp:Panel>
                                        <div class="clear clearfix">
                                        </div>
                                    </div>
                                    <div class="clear clearfix">
                                    </div>
                                    <asp:Panel ID="pnlSchoolDetailsList" runat="server">
                                        <div id="grid-dsply">
                                            <div id="top">
                                                <div class="col-xs-12 gridheader">
                                                    <div class="col-sm-6 padding-width-md-left">
                                                        <span class="icon">
                                                            <img src="../images/school.png" alt="" />
                                                        </span>
                                                        <span class="txt">
                                                            <asp:Label ID="lblCapDrvDetails" runat="server" Text="School Details"></asp:Label>
                                                        </span>
                                                    </div>
                                                    <div class="col-sm-6 nullpadding">
                                                        <div class="pull-right">
                                                            <span class="txt">
                                                                <asp:ImageButton ID="ibtnBulkDelete1" runat="server" ImageUrl="~/images/delete-icon.gif"
                                                                    Visible="false" />
                                                                <asp:LinkButton ID="ibtnBulkDelete" runat="server" CssClass="MultilingualBtn" OnClick="ibtnDelete_click"
                                                                    OnClientClick="return DeleteRowCount();">
                                                                    <span runat="server" class="MultilingualBtnspan">
                                                                        <div class="Delete">
                                                                            <div id="divDelete" runat="server" class="MultilingualBtnTextAlign">
                                                                                Delete
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </span>&nbsp 
                                                            <span class="txt">
                                                                <asp:ImageButton ID="ibtnBulkUpdate1" runat="server" ImageUrl="~/images/import.jpg"
                                                                    Visible="false" />
                                                                <asp:LinkButton ID="ibtnBulkUpdate" runat="server" OnClientClick="popUpAdvancedSearch(1);HidePopUp();return false;"
                                                                    CssClass="MultilingualBtn" Visible="true">
                                                                    <span id="Span10" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Import">
                                                                            <div id="ImportDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Import
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </span>&nbsp; 
                                                            <span class="dropdown padding-width-sm-right">
                                                                <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" Width="80px"
                                                                    ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                                    CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                    EnableTheming="true" Theme="Office2003Blue" Style="display: none">
                                                                    <Items>
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                                    </Items>
                                                                </dxw:ASPxComboBox>
                                                            </span>&nbsp; 
                                                            <span class="txt">
                                                                <asp:ImageButton ID="ibtnExport1" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                                    Visible="false" />
                                                                <asp:LinkButton ID="ibtnExport" runat="server" CssClass="MultilingualBtn" OnClick="ibtnExport_Click">
                                                                    <span id="Span11" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Export">
                                                                            <div id="ExportButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Export
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                            <div class="table-responsive">
                                                <dxw:ASPxGridView ID="gvSchool" ClientInstanceName="gvSchool" runat="server" Width="100%" KeyFieldName="SchoolID"
                                                    EnableTheming="true" Theme="Office2003Blue" CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css"
                                                    CssPostfix="Office2003_Blue" Settings-ShowFilterRow="true" OnHtmlRowCreated="gvSchool_OnHtmlRowCreated">
                                                    <%-- <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(1); }" />--%>
                                                    <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="250" />
                                                    <SettingsBehavior ProcessSelectionChangedOnServer="false" />
                                                    <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                <CollapsedButton Height="12px" Url="~/App_Themes/Office2  003 Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                                <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                            </Images>--%>
                                                    <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                        CssPostfix="Office2003_Blue">
                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                        </Header>
                                                        <LoadingPanel ImageSpacing="10px">
                                                        </LoadingPanel>
                                                        <PagerBottomPanel CssClass="PageFooter">
                                                        </PagerBottomPanel>
                                                        <PagerTopPanel CssClass="PageFooter">
                                                        </PagerTopPanel>
                                                    </Styles>
                                                    <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                        NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                        NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                    </SettingsPager>
                                                    <Columns>
                                                        <dxw:GridViewDataColumn Caption="SchoolID" FieldName="School ID" Width="8%" ReadOnly="true"
                                                            Visible="false">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/school.png" alt="" align="top" />&nbsp;
                                                            <asp:Label ID="lbl" runat="server" Text="Student Name"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                <asp:Label ID="lblSchoolID" runat="server" Text='<%# Eval("SchoolID") %>'></asp:Label>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="SchoolName" FieldName="SchoolName" Width="13%"
                                                            VisibleIndex="1">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/school.png" alt="" align="top" />&nbsp;
                                                            <asp:Label ID="lblCaptionSchoolCode" runat="server" Text="School Name"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                <asp:Label ID="lblSchoolCode" runat="server" Text='<%# Eval("SchoolName") %>'></asp:Label>
                                                            </DataItemTemplate>
                                                            <Settings AllowSort="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="StationName" FieldName="StationName" Width="9%"
                                                            VisibleIndex="3">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/fleet-icon.gif" alt="" align="top" />&nbsp;
                                                            <asp:Label ID="lblStationName" runat="server" Text="Station Name"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                <asp:Label ID="lblStationName" runat="server" Text='<%# Eval("StationName") %>'></asp:Label>
                                                            </DataItemTemplate>
                                                            <Settings AllowSort="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="City" FieldName="City" Width="8%" VisibleIndex="6">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/city.png" alt="" align="top" />&nbsp;
                                                            <asp:Label ID="lblCity" runat="server" Text="City"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                <asp:Label ID="lblCity" runat="server" Text='<%# Eval("City") %>'></asp:Label>
                                                            </DataItemTemplate>
                                                            <Settings AllowSort="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="Region" FieldName="Region" Width="8%" VisibleIndex="7">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../imagesButton/btn-geozone-vehicle-assign.png" alt="" align="middle" />&nbsp;
                                                            <asp:Label ID="lblRegion" runat="server" Font-Bold="false" Text="Region"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                <asp:Label ID="lblRegion" runat="server" Text='<%# Eval("Region") %>'></asp:Label>
                                                            </DataItemTemplate>
                                                            <Settings AllowSort="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="Street" FieldName="Street" Width="15%" VisibleIndex="8">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/icn-contact-number.gif" alt="" align="middle" />&nbsp;
                                                            <asp:Label ID="lblStreet" runat="server" Font-Bold="false" Text="Street"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                <asp:Label ID="lblStreet" runat="server" Text='<%# Eval("Street") %>'></asp:Label>
                                                            </DataItemTemplate>
                                                            <Settings AllowSort="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="Geozone" FieldName="GeozoneName" Width="8%" VisibleIndex="9">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/icn-geo-zone-name.gif" alt="" align="top" />&nbsp;
                                                            <asp:Label ID="lblGeozone" runat="server" Text="Geozone"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                <asp:Label ID="lblStationID" runat="server" Text='<%# Eval("GeozoneName") %>'></asp:Label>
                                                            </DataItemTemplate>
                                                            <Settings AllowSort="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="Waiting Time" FieldName="WaitTime" Width="8%"
                                                            VisibleIndex="10" Visible="false">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/icn-timezone.gif" alt="" align="top" />&nbsp;
                                                            <asp:Label ID="lblWaitingTime" runat="server" Text="Waiting Time"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                <asp:Label ID="lblWaitingTime" runat="server" Text='<%# Eval("WaitTime") %>'></asp:Label>
                                                            </DataItemTemplate>
                                                            <Settings AllowSort="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="Edit" CellStyle-HorizontalAlign="Center" Width="3%"
                                                            Name="Edit" VisibleIndex="14">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="ibEdit" runat="server" CommandArgument='<%# Eval("SchoolID") %>'
                                                                    CommandName="Edit" OnClick="ibEdit_Click" OnClientClick="ShowPopUp();" Style="text-decoration: none;"><img src="../images/icn-edit.gif"/></asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewCommandColumn ShowSelectCheckbox="True" Name="Checkbox" Width="3%"
                                                            VisibleIndex="0">
                                                            <HeaderTemplate>
                                                                <input id="chkSelectAll" type="checkbox" runat="server" onclick="gvSchool.SelectAllRowsOnPage(this.checked);"
                                                                    style="vertical-align: middle;" title="Select/Unselect all rows on the page" />
                                                            </HeaderTemplate>
                                                            <HeaderStyle HorizontalAlign="Center" />
                                                        </dxw:GridViewCommandColumn>
                                                    </Columns>
                                                    <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                    <SettingsText EmptyDataRow="No School details found" />
                                                </dxw:ASPxGridView>
                                            </div>
                                            <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvSchool"
                                                ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Times New Roman;}{\f1\fnil\fcharset0 Arial;}}
                                                                \viewkind4\uc1\pard\qc\ul\b\f0\fs28 Vehicle Plan Assignment\par
                                                                \pard\ulnone\f1\par\par}"
                                                DetailHorizontalOffset="1" DetailVerticalOffset="1" MaxColumnWidth="12000">
                                                <Styles>
                                                    <Default VerticalAlign="Middle">
                                                    </Default>
                                                    <Header BackColor="#D1D1D1" Font-Bold="True" Font-Names="Arial" Font-Size="10pt"
                                                        ForeColor="Black" HorizontalAlign="Center" VerticalAlign="Middle" Wrap="True">
                                                    </Header>
                                                    <Cell VerticalAlign="Middle">
                                                    </Cell>
                                                </Styles>
                                                <PageHeader VerticalAlignment="None">
                                                    <Font Bold="False" Size="10pt"></Font>
                                                </PageHeader>
                                                <PageFooter Right="[Page # of Pages #]">
                                                </PageFooter>
                                            </dxw:ASPxGridViewExporter>
                                        </div>
                                        <%-- <div class="AlignControl">
                                        <br />
                                        <img src="../images/blue.png" />
                                        <asp:Label ID="BlueIcnIndicator" runat="server" Text="Inactive Driver"></asp:Label>&nbsp;
                                        &nbsp;
                                        <img src="../images/red.png" />
                                        <asp:Label ID="RedIcnIndicator" runat="server" Text="License expired Driver"></asp:Label>
                                    </div>--%>
                                    </asp:Panel>
                                </div>
                            </div>
                        </div>
                        <!-- Main Content Ends Here -->
                        <div id="left">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <div id="right">
                    </div>
                    <div class="clear clearfix">
                    </div>
                    <%--</div>--%>
                    <%--</div>--%>
                    <asp:HiddenField ID="hdnSchoolID" runat="server" />
                    <asp:Button ID="btnTest" Text="Test" CssClass="ControlHide" runat="server" />
                    <asp:HiddenField ID="hdnDriverImage" runat="server" />
                    <%--<cc1:ModalPopupExtender ID="mpDriverDetailsLoad" runat="server" BackgroundCssClass="modalbackground"
                        PopupControlID="pnlImportVehicles" TargetControlID="ibtnBulkUpdate" X="280" CancelControlID="ibtnCancel">
                    </cc1:ModalPopupExtender>--%>
                </ContentTemplate>
                <Triggers>
                    <%-- <asp:PostBackTrigger ControlID="btnTest" />
                    <asp:PostBackTrigger ControlID="ibtnAddDriver" />                
                    <asp:PostBackTrigger ControlID="btnDriverCancel" />
                    <asp:PostBackTrigger ControlID="lbtnAddDriver" />
                    <asp:PostBackTrigger ControlID="btnLoadPhoto" />      --%>
                    <%--<asp:PostBackTrigger ControlID="ibtnSchoolDetails" />--%>
                    <asp:PostBackTrigger ControlID="ibtnExport" />
                    <asp:PostBackTrigger ControlID="ibtnBulkDelete" />
                </Triggers>
            </asp:UpdatePanel>
            <asp:Panel ID="pnlImportVehicles" runat="server" CssClass="iButtonPanelImport col-sm-5 col-md-5 col-lg-4" Style="display: none;">
                <div class="popup">
                    <div class="top">
                        <h1>
                            <asp:Label ID="lblFile" Text="Bulk Update School Details" runat="server"></asp:Label>
                        </h1>
                        <div class="close">
                            <asp:ImageButton ID="ibtnClose" OnClientClick="popUpAdvancedSearch(0);HidePopUp();return false;"
                                CausesValidation="false" ImageUrl="~/images/popup-close.gif" Visible="true" runat="server" />
                        </div>
                        <div class="clear clearfix"></div>
                    </div>
                    <div class="popup-cont">
                        <div class="form-tbl">
                            <div class="form-horizontal">
                                <div class="form-group">
                                    <div class="col-sm-2 icon-img">
                                        <asp:Label ID="lblDriverDetails" runat="server" Text="Select File" CssClass="label"></asp:Label>
                                    </div>
                                    <div class="col-sm-10">
                                        <asp:FileUpload ID="fuSchools" runat="server" /><%--onchange="return validateCSVFileUpload(this);"--%>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-2"></div>
                                    <div class="col-sm-10">
                                        <asp:ImageButton ID="ibtnUpdateDrivers1" runat="server" ImageUrl="~/images/btn-update.jpg"
                                            Visible="false" />
                                        <asp:LinkButton ID="ibtnUpdateDrivers" runat="server" CssClass="MultilingualBtn"
                                            TabIndex="17" OnClick="ibtnUpdateDrivers_Click" OnClientClick=" ShowPopUp();">
                                            <span id="Span12" runat="server" class="MultilingualBtnspan">
                                                <div class="Update">
                                                    <div id="UpdateDiv" runat="server" class="MultilingualBtnTextAlign">
                                                        Update
                                                    </div>
                                                </div>
                                            </span>
                                        </asp:LinkButton>
                                        <asp:ImageButton ID="ibtnCancel1" runat="server" ImageUrl="~/images/btn-Cancel.jpg" Visible="false" />&nbsp;
                                    <asp:LinkButton ID="ibtnCancel" runat="server" CssClass="MultilingualBtn" TabIndex="19">
                                        <span id="Span13" runat="server" class="MultilingualBtnspan">
                                            <div class="Cancel">
                                                <div id="CancelDiv" runat="server" class="MultilingualBtnTextAlign">
                                                    Cancel
                                                </div>
                                            </div>
                                        </span>
                                    </asp:LinkButton>&nbsp;&nbsp;
                                    <asp:LinkButton ID="lbtnDownloadTemp" runat="server" Text="Download Template" OnClick="Download_Template">
                                    </asp:LinkButton>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </asp:Panel>
            <%-- <asp:UpdatePanel ID="updNotify" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:Panel ID="pnlNotificationsList" runat="server" Style="display: none; width: 90%;
                    position: absolute; top: 150px; left: 50px; z-index: 150;">
                    <uc3:NotificationsList ID="ucNotificationList" runat="server" NotificationType="11" />
                </asp:Panel>
            </ContentTemplate>
        </asp:UpdatePanel>--%>
            <%--<asp:UpdateProgress ID="uprDataLoading" runat="server" DynamicLayout="True" AssociatedUpdatePanelID="updDriverDetails">
            <ProgressTemplate>
                <asp:Panel ID="pnlProgress" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                    <center>
                        <br />
                        <img alt="Please Wait ..." src="../images/47.gif" /><br />
                        <br />
                        <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                        <br />
                        <br />
                    </center>
                </asp:Panel>
            </ProgressTemplate>
        </asp:UpdateProgress>--%>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="pnlProgress1"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <%-- <asp:UpdateProgress ID="uprDataLoading" runat="server" DynamicLayout="True" AssociatedUpdatePanelID="updVhDetails">
            <ProgressTemplate>--%>
            <asp:Panel ID="pnlProgress1" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                <center>
                <br />
                <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
            </asp:Panel>
            <asp:HiddenField ID="hdnLogout" runat="server" />

            <script type="text/javascript" language="javascript">
                var AlertFileType = 'files are not allowed.\n\n Please upload only xls/xlsx files.';
                var AlertSelectStudent = 'Please select one or more school.';

                function setAlertMessageFileType(Filetype) {
                    AlertFileType = Filetype;
                }
                function validateCSVFileUpload(obj) {
                    var fileName = new String();
                    var fileExtension = new String();
                    var validfileextensions = "xls";
                    var validfileextensions1 = "xlsx";
                    var flag = false;
                    // store the file name into the variable
                    filename = obj.value;
                    // extract and store the file extension into another variable
                    fileextension = filename.substr(filename.length - 3, 3);
                    // check over the valid file extensions to compare them with uploaded file
                    if (fileextension.toLowerCase() == validfileextensions.toString().toLowerCase() || fileextension.toLowerCase() == validfileextensions1.toString().toLowerCase()) {
                        flag = true;

                    }
                    // display the alert message box according to the flag value
                    if (flag == false) {
                        alert('"' + fileextension + AlertFileType);
                        var file = document.getElementById("fuSchools");
                        file.select();
                        cmd = file.createTextRange();
                        cmd.execCommand('delete');
                        file.focus();
                        return false;
                    }
                    else {
                        return true;
                    }
                }
                var Alert_Delete = "Do you want to really delete this school details?.";
                function setAlertMessageDelete(Delete) {
                    Alert_Delete = Delete;
                }

                function DeleteConfirm() {
                    HidePopUp();
                    return confirm(Alert_Delete);
                }
                function setAlertMessageValidation(Validation) {
                    AlertSelectStudent = Validation;
                }
                function gridSelectionValidationAlert() {
                    alert(AlertSelectStudent);
                    ShowPopUp();
                }
                function DeleteRowCount() {
                    if (gvSchool.GetSelectedRowCount() != 0) {
                        if (confirm(Alert_Delete) == true) {
                            ShowPopUp();
                            return true;
                        }
                        else {
                            HidePopUp();
                            return false;
                        }
                    }
                    else {
                        gridSelectionValidationAlert();
                        HidePopUp();
                        return false;
                    }
                }
                function floatValidation(e, control) {
                    var Long = '';
                    var hdnArray = new Array();
                    if (e.keyCode == 46) {
                        var patt1 = new RegExp("\\.");
                        var ch = patt1.exec(control.value);
                        if (ch == ".") {
                            e.keyCode = 0;
                        }
                    }
                    else if ((e.keyCode >= 48 && e.keyCode <= 57) || e.keyCode == 8)//Numbers or BackSpace
                    {
                        hdnArray = control.value;
                        if (control.id == "txtLongtitude") {
                            if (e.keyCode != 53 && hdnArray == "") {
                                e.keyCode = 0;
                            }
                            else if (hdnArray.length < 3) {
                                if (e.keyCode >= 50 && e.keyCode <= 54) {
                                }
                                else {
                                    if (hdnArray.length < 3) {
                                        e.keyCode = 0;
                                    }

                                }
                            }
                            else {
                                if (hdnArray.length < 3) {
                                    e.keyCode = 0;
                                }
                            }
                        }
                        else {
                            if (e.keyCode != 50 && hdnArray == "") {
                                e.keyCode = 0;
                            }
                            else if (hdnArray.length < 3) {
                                if (e.keyCode >= 50 && e.keyCode <= 53) {
                                }
                                else {
                                    if (hdnArray.length < 3) {
                                        e.keyCode = 0;
                                    }

                                }
                            }
                            else {
                                if (hdnArray.length < 3) {
                                    e.keyCode = 0;
                                }
                            }
                        }
                        if (control.value.indexOf('.') != -1)//. Exisist in TextBox 
                        {
                            var pointIndex = control.value.indexOf('.');
                            var beforePoint = control.value.substring(0, pointIndex);
                            var afterPoint = control.value.substring(pointIndex + 1);
                            var iCaretPos = 0;
                            if (document.selection) {
                                if (control.type == 'text') // textbox
                                {
                                    var selectionRange = document.selection.createRange();
                                    selectionRange.moveStart('character', -control.value.length);
                                    iCaretPos = selectionRange.text.length;
                                }
                            }
                            if (iCaretPos > pointIndex && afterPoint.length >= 10) {
                                e.keyCode = 0;
                            }
                            else if (iCaretPos <= pointIndex && beforePoint.length >= 15) {
                                e.keyCode = 0;
                            }
                        }
                        else//. Not Exisist in TextBox
                        {
                            if (control.value.length >= 15) {
                                e.keyCode = 0;
                            }
                        }

                    }
                    else {
                        e.keyCode = 0;
                    }
                }

                function popUpAdvancedSearch(PanelStatus) {
                    if (document.getElementById('pnlImportVehicles') != null) {
                        if (PanelStatus == 1)
                            document.getElementById('pnlImportVehicles').style.display = "inline-block";
                        else
                            document.getElementById('pnlImportVehicles').style.display = "none";
                    }
                }
            </script>
            <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>
            <script lang="javascript" type="text/javascript" src="../js/DriverManagementScript.js"></script>
            <script lang="javascript" type="text/javascript" src="../js/UserManipulationsScript.js"></script>
            <script lang="javascript" type="text/javascript" src="../js/SchoolManagement.js"></script>
            <script lang="javascript" type="text/javascript" src="../js/FormValidations.js"></script>
            <script lang="javascript" type="text/javascript" src="../js/myformvalidations.js"></script>
        </form>
        <!-- Content Ends Here -->
    </div>
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
