﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_SensorManagement, App_Web_fgsdwdrl" %>

<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/TrinetraGrid.ascx" TagName="FleetGrid" TagPrefix="uc5" %>
<%@ Register Src="~/UserControls/TrinetraGrid.ascx" TagName="EmailGrid" TagPrefix="uc4" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxMenu" TagPrefix="dxm" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <meta http-equiv="X-UA-Compatible" content="IE=7" />
    <title>tSense-IoT Configuration</title>
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />

    <script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>
    <script lang="JavaScript1.2" type="text/javascript" src="../js/myformvalidations.js"></script>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div id="container">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel runat="server" ID="updVhDetails" UpdateMode="Conditional">
                <Triggers>
                    <asp:PostBackTrigger ControlID="btnTest" />
                    <asp:PostBackTrigger ControlID="btnExport"></asp:PostBackTrigger>
                    <asp:PostBackTrigger ControlID="btnExport"></asp:PostBackTrigger>
                    <asp:PostBackTrigger ControlID="btnExport"></asp:PostBackTrigger>
                    <asp:PostBackTrigger ControlID="btnExport"></asp:PostBackTrigger>
                    <asp:PostBackTrigger ControlID="btnExport"></asp:PostBackTrigger>
                    <asp:PostBackTrigger ControlID="btnExport"></asp:PostBackTrigger>
                    <asp:PostBackTrigger ControlID="btnExport"></asp:PostBackTrigger>
                    <asp:PostBackTrigger ControlID="btnExport"></asp:PostBackTrigger>
                    <asp:PostBackTrigger ControlID="btnExport"></asp:PostBackTrigger>
                </Triggers>
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Do not delete the 'btnTest' Button -->
                                <asp:Button ID="btnTest" Text="Test" CssClass="ControlHide" runat="server" OnClick="btnTest_Click" />
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content">
                                            <div id="heading">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationCaption" runat="server"></asp:Literal></h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton>
                                                <span>&gt;</span><span><a href="SensorManagement.aspx"><asp:Label ID="lblManageCaption"
                                                    Text="Manage" runat="server"></asp:Label></a></span>
                                            </div>
                                            <div id="control-box">
                                                <table border="0" cellpadding="0" cellspacing="0" id="control-tbl" width="100%">
                                                    <tr>
                                                        <td>
                                                            <div id="control-btn">
                                                                <table>
                                                                    <tr height="20px">
                                                                        <td></td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>
                                                                            <asp:ImageButton ID="lbtnAddSensor" runat="server" CausesValidation="false" OnClick="lbtnAddSensor_Click"
                                                                                ImageUrl="~/images/btn-add-vehicle.jpg" />
                                                                        </td>
                                                                        <td>&nbsp;&nbsp;
                                                                        </td>
                                                                        <td>
                                                                            <%--<asp:ImageButton ID="lbtnVehSeveritySetting" PostBackUrl="MsgSeveritySettings.aspx"
                                                                            runat="server" CausesValidation="false" ImageUrl="~/images/btn-vehicle-msg.jpg" />--%>
                                                                            <asp:HyperLink runat="server" ID="lbtnVehSeveritySetting" NavigateUrl="~/Forms/MsgSeveritySettings.aspx"
                                                                                ImageUrl="~/images/btn-vehicle-msg.jpg"></asp:HyperLink>
                                                                        </td>
                                                                        <td>&nbsp;&nbsp;
                                                                        </td>
                                                                        <td>
                                                                            <%--<asp:ImageButton ID="btnBack" runat="server" PostBackUrl="~/Forms/ConfigurationSetup.aspx"
                                                                            CausesValidation="false" ImageUrl="~/images/btn-back-to-configuration.jpg" />--%>
                                                                            <asp:HyperLink ID="btnBack" runat="server" ImageUrl="~/images/btn-back-to-configuration.jpg"
                                                                                NavigateUrl="~/Forms/ConfigurationSetup.aspx"></asp:HyperLink>
                                                                        </td>
                                                                        <td>&nbsp;&nbsp;
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlVehicleInfo" runat="server" Visible="false">
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon">
                                                        <asp:Image ID="imgSensorInformation" ImageUrl="../images/vehicle-icon.gif" runat="server" /></span>
                                                    <asp:Label ID="lblSensorInformation" runat="server" Text="Sensor Information"></asp:Label>
                                                </h1>
                                                <table align="left" cellspacing="5px" border="0" class="form-tbl">
                                                    <tr>
                                                        <td class="split"></td>
                                                        <td>
                                                            <asp:Label ID="lblDevID" runat="server" Text="Device ID" CssClass="label"></asp:Label>
                                                            <asp:Label ID="Label7" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:Label ID="lblDevice" runat="server" CssClass="label" Text="[Device ID of the Sensor]"></asp:Label>
                                                            <asp:DropDownList ID="ddlBoxId" runat="server" TabIndex="1" Width="130px" AppendDataBoundItems="true">
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td></td>
                                                        <td>
                                                            <asp:Label ID="lblSensor" runat="server" Text="Sensor name" CssClass="label"></asp:Label>
                                                            <asp:Label ID="Label2" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtSensorName" MaxLength="20" onkeypress="return chkDescription(event,this,19);"
                                                                TabIndex="1" runat="server" onpaste="return false;" ondrop="return false;"></asp:TextBox>
                                                            <asp:RequiredFieldValidator ID="rfvSensorName" ValidationGroup="vgVeh" ControlToValidate="txtSensorName"
                                                                ErrorMessage="Sensor name required" Display="None" runat="server"></asp:RequiredFieldValidator>
                                                        </td>
                                                    </tr>
                                                    <%--<tr>
                                                    <td class="split">
                                                    </td>
                                                    <td>
                                                        <asp:Label ID="lblDisplayName" runat="server" Text="Display Name" CssClass="label"></asp:Label>
                                                        <asp:Label ID="Label14" runat="server" ForeColor="Red">*</asp:Label>
                                                    </td>
                                                    <td>
                                                        <asp:TextBox ID="txtDisplayName" MaxLength="10" onkeypress="return chkDescription(event,this,9);"
                                                            TabIndex="1" runat="server" onpaste="return false;" ondrop="return false;"></asp:TextBox>
                                                        <asp:RequiredFieldValidator ID="rfvDisplayName" ValidationGroup="vgVeh" ControlToValidate="txtDisplayName"
                                                            ErrorMessage="Sensor display name required" Display="None" runat="server"></asp:RequiredFieldValidator>
                                                    </td>
                                                </tr>--%>
                                                    <tr>
                                                        <td></td>
                                                        <td>
                                                            <asp:Label ID="lblSensorLocation" runat="server" Text="Location" CssClass="label"></asp:Label>
                                                            <asp:Label ID="Label4" runat="server" ForeColor="Red"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtSensorLocation" MaxLength="200" runat="server" TextMode="MultiLine"
                                                                onkeypress="return chkDescription(event,this,199);" TabIndex="4" onpaste="return false;"
                                                                ondrop="return false;"></asp:TextBox>
                                                            <asp:RequiredFieldValidator ID="rfvSensorLocation" ValidationGroup="vgVeh" ControlToValidate="txtSensorLocation"
                                                                ErrorMessage="Sensor location required" Display="None" runat="server"></asp:RequiredFieldValidator>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td class="split"></td>
                                                        <td>
                                                            <asp:Label ID="lblSeverity" runat="server" Text="Severity" CssClass="label"></asp:Label>
                                                            <asp:Label ID="Label5" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td dir="ltr">
                                                            <asp:CheckBoxList ID="chkSeverities" runat="server" CssClass="Chkinput" RepeatDirection="Horizontal"
                                                                RepeatLayout="Flow" TabIndex="8" OnPreRender="chkSeverities_PreRender">
                                                            </asp:CheckBoxList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td></td>
                                                        <td colspan="2">
                                                            <asp:Label ID="Label1" runat="server" ForeColor="Red">*</asp:Label>&nbsp;
                                                        <asp:Label ID="lblIndicatesMandatory" runat="server" Text="Required Fields"></asp:Label>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td></td>
                                                        <td></td>
                                                        <td align="left">
                                                            <asp:ImageButton ID="btnAddNotifictions" runat="server" CssClass="btn" OnClick="btnAddNotifictions_Click"
                                                                OnClientClick="document.getElementById('pnlNotificationsList').style.display = 'block';"
                                                                TabIndex="12" ImageUrl="~/images/btn-manage-notification.jpg" />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td align="left"></td>
                                                        <td></td>
                                                        <td style="padding: 0; margin: 0">
                                                            <table cellpadding="0" cellspacing="0" border="0">
                                                                <tr>
                                                                    <td>
                                                                        <asp:ImageButton ID="ibtnUpdateSensor" runat="server" CausesValidation="true" ImageUrl="~/images/btn-update.jpg"
                                                                            ValidationGroup="vgVeh" TabIndex="14" OnClick="ibtnUpdateSensor_Click" OnClientClick="return ValidateSensorInfo(false);" />
                                                                        <asp:ImageButton ID="ibtnAddSensor" runat="server" CausesValidation="true" ImageUrl="~/images/btn-save.jpg"
                                                                            ValidationGroup="vgVeh" TabIndex="13" OnClick="ibtnAddSensor_Click" OnClientClick="return ValidateSensorInfo(true);" />
                                                                    </td>
                                                                    <td>
                                                                        <asp:ImageButton ID="btnUserCancel" runat="server" OnClick="btnUserCancel_Click"
                                                                            CausesValidation="false" TabIndex="15" ImageUrl="~/images/btn-cancel.jpg" />
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                </table>
                                                <div class="clear clearfix">
                                                </div>
                                            </div>
                                        </asp:Panel>
                                    </div>
                                    <div class="clear clearfix">
                                    </div>
                                    <asp:Panel ID="pnlVehicleDetailsList" runat="server">
                                        <div id="grid-dsply">
                                            <div id="top">
                                                <div class="left-col">
                                                </div>
                                                <div class="right-col">
                                                    <span class="dropdown">
                                                        <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" Width="80px" Height="20px"
                                                            ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                            CssFilePath="~/App_Themes/Office2003 Blue/Editors/styles.css" CssPostfix="Office2003_Blue">
                                                            <Items>
                                                                <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                                <%--<dxw:ListEditItem ImageUrl="../images/icn-csv.gif" Text="csv" Value="csv" />--%>
                                                            </Items>
                                                        </dxw:ASPxComboBox>
                                                    </span><span class="txt">
                                                        <asp:ImageButton ID="btnExport" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                            OnClick="btnExport_Click" /></span>
                                                </div>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                            <dxw:ASPxGridView ID="gvSensor" runat="server" Width="100%" EnableTheming="true" Theme="Office2003Blue"
                                                KeyFieldName="BoxId" CssFilePath="~/App_Themes/Office2003 Blue/{0}/styles.css"
                                                CssPostfix="Office2003_Blue" OnHtmlRowCreated="gvSensor_OnHtmlRowCreated">
                                                <Settings ShowVerticalScrollBar="true" />
                                                <%--<Images ImageFolder="~/App_Themes/Office2003 Blue/{0}/">
                                                <CollapsedButton Height="12px" Url="~/App_Themes/Office2003 Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <ExpandedButton Height="12px" Url="~/App_Themes/Office2003 Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                                <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003 Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003 Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                            </Images>--%>
                                                <Styles CssFilePath="~/App_Themes/Office2003 Blue/{0}/grid.css" AlternatingRow-Enabled="True"
                                                    CssPostfix="Office2003_Blue">
                                                    <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                    </Header>
                                                    <LoadingPanel ImageSpacing="10px">
                                                    </LoadingPanel>
                                                    <PagerBottomPanel CssClass="PageFooter">
                                                    </PagerBottomPanel>
                                                    <PagerTopPanel CssClass="PageFooter">
                                                    </PagerTopPanel>
                                                </Styles>
                                                <SettingsPager PageSize="15" PrevPageButton-Image-Url="../App_Themes/Office2003 Blue/GridView/pPrev.gif"
                                                    PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003 Blue/GridView/pPrevDisabled.gif"
                                                    NextPageButton-Image-UrlDisabled="../App_Themes/Office2003 Blue/GridView/pNextDisabled.gif"
                                                    NextPageButton-Image-Url="../App_Themes/Office2003 Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                </SettingsPager>
                                                <Columns>
                                                    <dxw:GridViewDataColumn FieldName="BoxId" Caption="Device ID" VisibleIndex="0" Width="10%">
                                                        <HeaderCaptionTemplate>
                                                            <span class="icon">
                                                                <asp:Image ID="imgDeviceId" ImageUrl="..\Images\icn-device-id.gif" runat="server" /></span>
                                                            <span class="label">
                                                                <asp:Label ID="lblDeviceId" runat="server" Text="Device ID"></asp:Label></span>
                                                        </HeaderCaptionTemplate>
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="VehicleDescription" Caption="Sensor Name" VisibleIndex="1">
                                                        <HeaderCaptionTemplate>
                                                            <span class="icon">
                                                                <asp:Image ID="imgSensorName" ImageUrl="..\Images\icn-vehicle-name.gif" runat="server" /></span>
                                                            <span class="label">
                                                                <asp:Label ID="lblSensorName" runat="server" Text="Sensor Name"></asp:Label></span>
                                                        </HeaderCaptionTemplate>
                                                    </dxw:GridViewDataColumn>
                                                    <%-- <dxw:GridViewDataColumn FieldName="DisplayName" Caption="Display Name" VisibleIndex="2"
                                                    Width="10%">
                                                    <HeaderCaptionTemplate>
                                                        <span class="icon">
                                                            <asp:Image ID="imgDisplayName" runat="server" ImageUrl="..\Images\icn-make-name.gif" /></span>
                                                        <span class="label">
                                                            <asp:Label ID="lblDispalyName" runat="server" Text="Display Name"></asp:Label></span>
                                                    </HeaderCaptionTemplate>
                                                </dxw:GridViewDataColumn>--%>
                                                    <dxw:GridViewDataColumn Caption="Location" FieldName="location" VisibleIndex="3"
                                                        Width="15%">
                                                        <HeaderCaptionTemplate>
                                                            <span class="icon">
                                                                <asp:Image ID="imgLocation" runat="server" ImageUrl="..\Images\icn-model-name.gif" /></span>
                                                            <span class="label">
                                                                <asp:Label ID="lblLocation" runat="server" Text="location"></asp:Label></span>
                                                        </HeaderCaptionTemplate>
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="EmailUserNameList" Caption="Email Users" VisibleIndex="5"
                                                        Width="19%">
                                                        <HeaderCaptionTemplate>
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <asp:Image ID="imgEmailUsers" runat="server" ImageUrl="..\Images\icn-email-users.gif" />
                                                                    </td>
                                                                    <td>&nbsp;<asp:Label ID="lblEmailUsers" runat="server" Font-Bold="false" Text="Email Users"></asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </HeaderCaptionTemplate>
                                                        <CellStyle Wrap="True">
                                                        </CellStyle>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="SMSUserNameList" Caption="SMS Users" VisibleIndex="6"
                                                        Width="18%">
                                                        <HeaderCaptionTemplate>
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <asp:Image ID="imgSMSUsers" runat="server" ImageUrl="..\Images\icn-sms-users.gif" />
                                                                    </td>
                                                                    <td>
                                                                        <asp:Label ID="lblSMSUsers" Font-Bold="false" runat="server" Text="SMS Users"></asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </HeaderCaptionTemplate>
                                                        <CellStyle Wrap="True">
                                                        </CellStyle>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="Severity" Caption="Severity" VisibleIndex="8"
                                                        Width="12%">
                                                        <HeaderCaptionTemplate>
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <asp:Image ID="imgSeverity" ImageUrl="..\Images\severity-icon.gif" runat="server" />
                                                                    </td>
                                                                    <td>&nbsp;<asp:Label ID="lblSeverity" Font-Bold="false" Text="Severity" runat="server"></asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataTextColumn Caption="Edit" VisibleIndex="9" Width="3%" Name="Edit">
                                                        <HeaderTemplate>
                                                        </HeaderTemplate>
                                                        <DataItemTemplate>
                                                            <asp:ImageButton ID="btnUpdateSensor" runat="server" CommandArgument='<%# Eval("VehicleId") %>'
                                                                AlternateText="Update" ImageUrl="~/images/icn-edit.gif" OnClick="btnUpdateSensor_Click"
                                                                ToolTip="Click here to Edit" ImageAlign="Middle" CssClass="handButton" />
                                                        </DataItemTemplate>
                                                    </dxw:GridViewDataTextColumn>
                                                </Columns>
                                                <ClientSideEvents EndCallback="function(s, e) {document.getElementById('btnTest').click();}" />
                                                <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                <SettingsText EmptyDataRow="No Sensor details found" />
                                            </dxw:ASPxGridView>
                                            <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvSensor"
                                                ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Arial;}}
\viewkind4\uc1\pard\qc\b\fs28 Sensor Details\par
\pard\par
\par
}">
                                                <PageFooter Right="[Page # of Pages #]">
                                                </PageFooter>
                                            </dxw:ASPxGridViewExporter>
                                        </div>
                                    </asp:Panel>
                                </div>
                            </div>
                            <%--</div>--%>
                            <!-- Main Content Ends Here -->
                            <div id="left">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                        <div id="right">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>

                    </div>
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="btnExport" />
                </Triggers>
            </asp:UpdatePanel>

            <asp:UpdatePanel ID="updNotify" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <asp:Panel ID="pnlNotificationsList" runat="server" Style="display: none; width: 90%; position: absolute; top: 150px; left: 50px; z-index: 150;">
                        <uc3:NotificationsList ID="ucNotificationList" runat="server" NotificationType="3" />
                    </asp:Panel>
                </ContentTemplate>
            </asp:UpdatePanel>

            <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>
            <asp:HiddenField ID="hdnLogout" runat="server" />
        </form>
    </div>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
